#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gnss_allocate_device, "_gpl", "");
KSYMTAB_FUNC(gnss_put_device, "_gpl", "");
KSYMTAB_FUNC(gnss_register_device, "_gpl", "");
KSYMTAB_FUNC(gnss_deregister_device, "_gpl", "");
KSYMTAB_FUNC(gnss_insert_raw, "_gpl", "");

SYMBOL_CRC(gnss_allocate_device, 0x2f6b2adb, "_gpl");
SYMBOL_CRC(gnss_put_device, 0x835de1d6, "_gpl");
SYMBOL_CRC(gnss_register_device, 0xa6e1a3d5, "_gpl");
SYMBOL_CRC(gnss_deregister_device, 0x835de1d6, "_gpl");
SYMBOL_CRC(gnss_insert_raw, 0xa9cc6323, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x21f931bb, "add_uevent_var" },
	{ 0x52aa9e12, "ida_alloc_range" },
	{ 0x9f222e1e, "alloc_chrdev_region" },
	{ 0xa61fd7aa, "__check_object_size" },
	{ 0x19517bac, "__init_rwsem" },
	{ 0xe8c61750, "ida_destroy" },
	{ 0x1c944237, "dev_set_name" },
	{ 0x562e3aaa, "__kfifo_in" },
	{ 0x0607f285, "cdev_device_del" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0xbba606e7, "class_destroy" },
	{ 0xb95d3a55, "device_initialize" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0x59ed6329, "get_device" },
	{ 0x283bce08, "__kfifo_free" },
	{ 0xfbcfaf73, "dev_driver_string" },
	{ 0xe8213e80, "_printk" },
	{ 0x9be5ac84, "cdev_device_add" },
	{ 0xd272d446, "schedule" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0xb95d3a55, "put_device" },
	{ 0x7a5ffe84, "init_wait_entry" },
	{ 0x09977ec6, "down_write" },
	{ 0x4bb2877d, "_dev_err" },
	{ 0x09977ec6, "up_write" },
	{ 0xec1d15f3, "class_create" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x639d7a37, "ida_free" },
	{ 0xaff69526, "__mutex_init" },
	{ 0x43f152f9, "mutex_lock_interruptible" },
	{ 0xafebc293, "__kfifo_to_user" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0x09977ec6, "down_read" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xdd6830c7, "sprintf" },
	{ 0x0bc5fb0d, "unregister_chrdev_region" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x546c19d9, "validate_usercopy_range" },
	{ 0x75738bed, "__warn_printk" },
	{ 0x260be00a, "stream_open" },
	{ 0xc7e289d2, "__kfifo_alloc" },
	{ 0x09977ec6, "up_read" },
	{ 0x080a9542, "cdev_init" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x21f931bb,
	0x52aa9e12,
	0x9f222e1e,
	0xa61fd7aa,
	0x19517bac,
	0xe8c61750,
	0x1c944237,
	0x562e3aaa,
	0x0607f285,
	0xf62c71e3,
	0xbba606e7,
	0xb95d3a55,
	0xd272d446,
	0xcb8b6ec6,
	0xb6d2241d,
	0x0433c0cc,
	0x59ed6329,
	0x283bce08,
	0xfbcfaf73,
	0xe8213e80,
	0x9be5ac84,
	0xd272d446,
	0xd272d446,
	0xb95d3a55,
	0x7a5ffe84,
	0x09977ec6,
	0x4bb2877d,
	0x09977ec6,
	0xec1d15f3,
	0x760fcb1a,
	0x639d7a37,
	0xaff69526,
	0x43f152f9,
	0xafebc293,
	0xd272d446,
	0x9a963e9f,
	0x09977ec6,
	0xd272d446,
	0xdd6830c7,
	0x0bc5fb0d,
	0x760fcb1a,
	0x544e22b5,
	0x546c19d9,
	0x75738bed,
	0x260be00a,
	0xc7e289d2,
	0x09977ec6,
	0x080a9542,
	0x9dc59ece,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"add_uevent_var\0"
	"ida_alloc_range\0"
	"alloc_chrdev_region\0"
	"__check_object_size\0"
	"__init_rwsem\0"
	"ida_destroy\0"
	"dev_set_name\0"
	"__kfifo_in\0"
	"cdev_device_del\0"
	"finish_wait\0"
	"class_destroy\0"
	"device_initialize\0"
	"__s390_indirect_jump_r3\0"
	"kfree\0"
	"prepare_to_wait_event\0"
	"__wake_up\0"
	"get_device\0"
	"__kfifo_free\0"
	"dev_driver_string\0"
	"_printk\0"
	"cdev_device_add\0"
	"schedule\0"
	"__s390_indirect_jump_r4\0"
	"put_device\0"
	"init_wait_entry\0"
	"down_write\0"
	"_dev_err\0"
	"up_write\0"
	"class_create\0"
	"mutex_lock\0"
	"ida_free\0"
	"__mutex_init\0"
	"mutex_lock_interruptible\0"
	"__kfifo_to_user\0"
	"__s390_indirect_jump_r14\0"
	"__init_waitqueue_head\0"
	"down_read\0"
	"__s390_indirect_jump_r1\0"
	"sprintf\0"
	"unregister_chrdev_region\0"
	"mutex_unlock\0"
	"__kmalloc_cache_noprof\0"
	"validate_usercopy_range\0"
	"__warn_printk\0"
	"stream_open\0"
	"__kfifo_alloc\0"
	"up_read\0"
	"cdev_init\0"
	"kmalloc_caches\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "67A4444D359B27D6C83BFCD");
MODULE_INFO(rhelversion, "10.99");
