#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_client_setup, "", "");
KSYMTAB_FUNC(drm_client_setup_with_fourcc, "", "");
KSYMTAB_FUNC(drm_client_setup_with_color_mode, "", "");

SYMBOL_CRC(drm_client_setup, 0x3b23d14a, "");
SYMBOL_CRC(drm_client_setup_with_fourcc, 0xa95fac15, "");
SYMBOL_CRC(drm_client_setup_with_color_mode, 0x54c446b3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4ab15f87, "drm_client_register" },
	{ 0xf68baf87, "drm_fb_helper_init" },
	{ 0xe91f2f9f, "drm_fb_helper_lastclose" },
	{ 0x6aeecab3, "drm_helper_disable_unused_functions" },
	{ 0x5bfb18a1, "drm_fb_helper_unprepare" },
	{ 0x5bfb18a1, "drm_fb_helper_fini" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xfbcfaf73, "dev_driver_string" },
	{ 0xbb5ca562, "drm_fb_helper_hotplug_event" },
	{ 0x4a66122d, "drm_fb_helper_set_suspend_unlocked" },
	{ 0x1164d3a3, "drm_client_init" },
	{ 0xb5f8f467, "drm_driver_color_mode_format" },
	{ 0x6a34ec01, "drm_fb_helper_prepare" },
	{ 0x4bb2877d, "_dev_err" },
	{ 0x4bb2877d, "_dev_warn" },
	{ 0x4a66122d, "drm_fb_helper_set_suspend" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x3237cbf2, "drm_format_info_bpp" },
	{ 0x4ab15f87, "drm_client_release" },
	{ 0x9f5a41cc, "param_ops_string" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xa7754093, "drm_format_info" },
	{ 0xbb5ca562, "drm_fb_helper_initial_config" },
	{ 0x5bfb18a1, "drm_fb_helper_unregister_info" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x4ab15f87,
	0xf68baf87,
	0xe91f2f9f,
	0x6aeecab3,
	0x5bfb18a1,
	0x5bfb18a1,
	0xcb8b6ec6,
	0xfbcfaf73,
	0xbb5ca562,
	0x4a66122d,
	0x1164d3a3,
	0xb5f8f467,
	0x6a34ec01,
	0x4bb2877d,
	0x4bb2877d,
	0x4a66122d,
	0xd272d446,
	0x3237cbf2,
	0x4ab15f87,
	0x9f5a41cc,
	0x544e22b5,
	0x75738bed,
	0xa7754093,
	0xbb5ca562,
	0x5bfb18a1,
	0x9dc59ece,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"drm_client_register\0"
	"drm_fb_helper_init\0"
	"drm_fb_helper_lastclose\0"
	"drm_helper_disable_unused_functions\0"
	"drm_fb_helper_unprepare\0"
	"drm_fb_helper_fini\0"
	"kfree\0"
	"dev_driver_string\0"
	"drm_fb_helper_hotplug_event\0"
	"drm_fb_helper_set_suspend_unlocked\0"
	"drm_client_init\0"
	"drm_driver_color_mode_format\0"
	"drm_fb_helper_prepare\0"
	"_dev_err\0"
	"_dev_warn\0"
	"drm_fb_helper_set_suspend\0"
	"__s390_indirect_jump_r14\0"
	"drm_format_info_bpp\0"
	"drm_client_release\0"
	"param_ops_string\0"
	"__kmalloc_cache_noprof\0"
	"__warn_printk\0"
	"drm_format_info\0"
	"drm_fb_helper_initial_config\0"
	"drm_fb_helper_unregister_info\0"
	"kmalloc_caches\0"
	"module_layout\0"
;

MODULE_INFO(depends, "drm,drm_kms_helper");


MODULE_INFO(srcversion, "A4937307524E19DBB8A64B1");
MODULE_INFO(rhelversion, "10.99");
