#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(rdma_user_mmap_disassociate, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_FUNC(uverbs_try_lock_object, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_create_ucap, "", "");
KSYMTAB_FUNC(ib_remove_ucap, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x55771c8a, "");
SYMBOL_CRC(rdma_user_mmap_disassociate, 0x0da105da, "");
SYMBOL_CRC(flow_resources_alloc, 0xe806a993, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x4e616ecd, "");
SYMBOL_CRC(flow_resources_add, 0xa1771986, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x0532919e, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x5a216763, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x0605c4a1, "");
SYMBOL_CRC(uverbs_uobject_put, 0x7b1c1d60, "");
SYMBOL_CRC(uverbs_try_lock_object, 0xb00baac0, "");
SYMBOL_CRC(uverbs_idr_class, 0xbdcd442e, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0xd0cf1210, "");
SYMBOL_CRC(uverbs_fd_class, 0xbdcd442e, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x468f91a9, "");
SYMBOL_CRC(_uverbs_alloc, 0x9b057629, "");
SYMBOL_CRC(uverbs_get_flags64, 0x9727d4c1, "");
SYMBOL_CRC(uverbs_get_flags32, 0xcf22f57a, "");
SYMBOL_CRC(uverbs_copy_to, 0x5dc757b9, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x64123a5c, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x5c97a6a7, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x5dc757b9, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xebb9c785, "");
SYMBOL_CRC(ib_create_ucap, 0x14f68104, "");
SYMBOL_CRC(ib_remove_ucap, 0xce5eb262, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x3a1f9d33, "");
SYMBOL_CRC(ib_umem_get, 0xc4702491, "");
SYMBOL_CRC(ib_umem_release, 0xbae5e425, "");
SYMBOL_CRC(ib_umem_copy_from, 0xc791d3c1, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xac07e1fe, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xdf3375b4, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x99744a2f, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0xfebae15d, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xeaff92a9, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0xdf3375b4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71eb382d, "pin_user_pages_fast" },
	{ 0x52aa9e12, "ida_alloc_range" },
	{ 0x71bdeedc, "try_module_get" },
	{ 0x9f222e1e, "alloc_chrdev_region" },
	{ 0x67c751c8, "anon_inode_getfile" },
	{ 0xa61fd7aa, "__check_object_size" },
	{ 0x55b7912a, "vmemmap" },
	{ 0x19517bac, "__init_rwsem" },
	{ 0x81f3a286, "ib_unregister_client" },
	{ 0x4489dd70, "show_class_attr_string" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0x8996306a, "unpin_user_pages_dirty_lock" },
	{ 0x12fa8381, "radix_tree_insert" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x1c944237, "dev_set_name" },
	{ 0xf2171181, "ibdev_warn" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0x8ff86be9, "complete" },
	{ 0x0c80d96e, "memdup_user" },
	{ 0x4fcb4bef, "ib_create_qp_user" },
	{ 0x1ee81735, "dma_resv_wait_timeout" },
	{ 0x0607f285, "cdev_device_del" },
	{ 0x23109dc0, "__init_swait_queue_head" },
	{ 0x7e55a544, "radix_tree_lookup" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0x75a389f1, "kill_fasync" },
	{ 0xe7a3c70a, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xda46fa52, "fget" },
	{ 0xa85d96d2, "ib_query_srq" },
	{ 0x17806faa, "ww_mutex_unlock" },
	{ 0xb95d3a55, "device_initialize" },
	{ 0x852a6d50, "ib_rdmacg_try_charge" },
	{ 0x3bf9c012, "fd_install" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xfbe7861b, "memcpy" },
	{ 0x6c0bd50e, "sg_alloc_append_table_from_pages" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x78b555a8, "unpin_user_page_range_dirty_lock" },
	{ 0xea3ab95a, "iput" },
	{ 0x01874277, "dma_buf_unpin" },
	{ 0xc8bebce5, "zap_vma_ptes" },
	{ 0xcd2fb7b1, "ib_dereg_mr_user" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0x597dde29, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0x1db28f3b, "synchronize_srcu" },
	{ 0x02e1dca7, "free_pages" },
	{ 0x8bc049ef, "rdma_dev_access_netns" },
	{ 0x59ed6329, "get_device" },
	{ 0x0d01cdaa, "ib_query_qp" },
	{ 0xf5d8d228, "rb_insert_color" },
	{ 0x597dde29, "__tracepoint_mmap_lock_released" },
	{ 0x4459ab6c, "down_read_trylock" },
	{ 0xdab93723, "dma_buf_dynamic_attach" },
	{ 0x9dcb2382, "class_create_file_ns" },
	{ 0xdd6830c7, "sysfs_emit" },
	{ 0xdd4e6beb, "put_unused_fd" },
	{ 0xbc1c919b, "radix_tree_iter_delete" },
	{ 0xec25414e, "ib_destroy_srq_user" },
	{ 0x37a53ae1, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xb7a59f82, "vm_layout" },
	{ 0xbd03ed67, "empty_zero_page" },
	{ 0xe8213e80, "_printk" },
	{ 0x9be5ac84, "cdev_device_add" },
	{ 0x9d68bfcc, "___ratelimit" },
	{ 0xd272d446, "schedule" },
	{ 0xd2ba6793, "rdma_restrack_add" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0xb95d3a55, "put_device" },
	{ 0x8686c426, "radix_tree_lookup_slot" },
	{ 0xe9ecd60c, "ib_modify_qp_with_udata" },
	{ 0x6940d561, "ib_register_event_handler" },
	{ 0x075031d3, "ib_detach_mcast" },
	{ 0xe1736f7c, "dma_buf_map_attachment" },
	{ 0xb0e5a15b, "__free_pages" },
	{ 0x6940d561, "ib_unregister_event_handler" },
	{ 0x0c161ddc, "capable" },
	{ 0x79018d57, "module_put" },
	{ 0x647da8a1, "ib_register_client" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0xbd03ed67, "zero_page_mask" },
	{ 0x7851be11, "__cond_resched" },
	{ 0x9a75df4d, "ib_create_srq_user" },
	{ 0x44decd6f, "hugetlb_optimize_vmemmap_key" },
	{ 0xd272d446, "mmu_notifier_synchronize" },
	{ 0xc4a7c3df, "__task_pid_nr_ns" },
	{ 0x7c4f40eb, "__xa_alloc" },
	{ 0x7a5ffe84, "init_wait_entry" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0x981eda36, "init_srcu_struct" },
	{ 0x177e4768, "fput" },
	{ 0xb5142e8a, "ib_set_client_data" },
	{ 0x09977ec6, "down_write" },
	{ 0x4bb2877d, "_dev_err" },
	{ 0x09977ec6, "up_write" },
	{ 0x3c56caf3, "simple_open" },
	{ 0x96552a39, "dma_buf_unmap_attachment" },
	{ 0xf8934302, "memchr_inv" },
	{ 0xba9b8e22, "radix_tree_next_chunk" },
	{ 0x981eda36, "__srcu_read_lock" },
	{ 0x6b459570, "xa_load" },
	{ 0xb1e2851c, "rdma_put_gid_attr" },
	{ 0x44decd6f, "init_on_alloc" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x967e284c, "dma_buf_get" },
	{ 0x079e1ded, "ib_query_port" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x5032c5b1, "sg_free_append_table" },
	{ 0x3500e6c8, "nla_put" },
	{ 0x5de7b901, "ww_mutex_lock" },
	{ 0x34c3e86c, "fasync_helper" },
	{ 0xf5d8d228, "rb_erase" },
	{ 0xafef0b9a, "ib_qp_usecnt_inc" },
	{ 0x73fffae4, "dma_buf_put" },
	{ 0x639d7a37, "ida_free" },
	{ 0xcbc1e051, "__bitmap_subset" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0xbba606e7, "class_unregister" },
	{ 0x86632fd6, "_find_next_bit" },
	{ 0x1db28f3b, "cleanup_srcu_struct" },
	{ 0xaff69526, "__mutex_init" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0xa43628e2, "ib_destroy_qp_user" },
	{ 0x5e505530, "rdma_nl_get_privileged_qkey" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x8ff86be9, "wait_for_completion" },
	{ 0x2e1cbc16, "rdma_restrack_set_name" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0x6272a740, "rdma_create_user_ah" },
	{ 0x82b7e39d, "rdma_destroy_ah_user" },
	{ 0x860f9130, "dma_buf_pin" },
	{ 0xec203997, "kasprintf" },
	{ 0x2b09ec0d, "ib_destroy_cq_user" },
	{ 0x09977ec6, "down_read" },
	{ 0x02654e89, "__mmdrop" },
	{ 0xd2ba6793, "rdma_restrack_del" },
	{ 0xfac0767d, "__xa_cmpxchg" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0x6b459570, "xa_erase" },
	{ 0xa2e47e52, "__mmap_lock_do_trace_start_locking" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xb1e8aa56, "ib_rdmacg_uncharge" },
	{ 0xa9d85a24, "fdget" },
	{ 0x5b67e728, "igrab" },
	{ 0x367c30ce, "ib_dma_virt_map_sg" },
	{ 0xa4c0178c, "kvfree_call_rcu" },
	{ 0x0bc5fb0d, "unregister_chrdev_region" },
	{ 0x02654e89, "mmput" },
	{ 0x39dec81b, "dma_map_sgtable" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0xd4260a8a, "get_unused_fd_flags" },
	{ 0xa76eeaf8, "xa_destroy" },
	{ 0xb6384bcc, "xa_find" },
	{ 0x597dde29, "__tracepoint_mmap_lock_start_locking" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x546c19d9, "validate_usercopy_range" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xa2e47e52, "__mmap_lock_do_trace_released" },
	{ 0x1f03727c, "ib_alloc_xrcd_user" },
	{ 0x5b5fdb30, "xa_store" },
	{ 0xd95a9cde, "__srcu_read_unlock" },
	{ 0xe3dfdc8c, "rdma_set_cq_moderation" },
	{ 0x2ebec493, "alloc_pages_noprof" },
	{ 0x4ecf1bac, "ib_dealloc_xrcd_user" },
	{ 0x96fea194, "dma_buf_detach" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x260be00a, "stream_open" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0xf7d5ce3b, "ib_open_qp" },
	{ 0xf0ed1a62, "ib_dealloc_pd_user" },
	{ 0x14360a42, "rdma_get_gid_attr" },
	{ 0xa71b08de, "dma_unmap_sg_attrs" },
	{ 0x99ddb7b8, "rdma_port_get_link_layer" },
	{ 0xb6384bcc, "xa_find_after" },
	{ 0xdfa7141f, "rdma_restrack_new" },
	{ 0xc5bd6261, "register_chrdev_region" },
	{ 0xa94bc9a0, "rdma_query_gid_table" },
	{ 0xf1de9e85, "kvfree" },
	{ 0xc67af00a, "rdma_restrack_put" },
	{ 0x6bded543, "get_free_pages_noprof" },
	{ 0x075031d3, "ib_attach_mcast" },
	{ 0xfc0126c0, "__kvmalloc_node_noprof" },
	{ 0x47b94068, "rdma_umap_priv_init" },
	{ 0x09977ec6, "up_read" },
	{ 0x5e505530, "can_do_mlock" },
	{ 0x8401dfc5, "ib_destroy_wq_user" },
	{ 0x0155f75b, "class_register" },
	{ 0x080a9542, "cdev_init" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0x4c1a7f14, "sg_pcopy_to_buffer" },
	{ 0xfceb8727, "rdma_user_mmap_entry_put" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x71eb382d,
	0x52aa9e12,
	0x71bdeedc,
	0x9f222e1e,
	0x67c751c8,
	0xa61fd7aa,
	0x55b7912a,
	0x19517bac,
	0x81f3a286,
	0x4489dd70,
	0xdc352a3b,
	0x8996306a,
	0x12fa8381,
	0x76ceef55,
	0x1c944237,
	0xf2171181,
	0x809f63d8,
	0xd272d446,
	0x8ff86be9,
	0x0c80d96e,
	0x4fcb4bef,
	0x1ee81735,
	0x0607f285,
	0x23109dc0,
	0x7e55a544,
	0xf62c71e3,
	0x75a389f1,
	0xe7a3c70a,
	0xda46fa52,
	0xa85d96d2,
	0x17806faa,
	0xb95d3a55,
	0x852a6d50,
	0x3bf9c012,
	0xd272d446,
	0xfbe7861b,
	0x6c0bd50e,
	0xcb8b6ec6,
	0x78b555a8,
	0xea3ab95a,
	0x01874277,
	0xc8bebce5,
	0xcd2fb7b1,
	0xb6d2241d,
	0x597dde29,
	0x0433c0cc,
	0x1db28f3b,
	0x02e1dca7,
	0x8bc049ef,
	0x59ed6329,
	0x0d01cdaa,
	0xf5d8d228,
	0x597dde29,
	0x4459ab6c,
	0xdab93723,
	0x9dcb2382,
	0xdd6830c7,
	0xdd4e6beb,
	0xbc1c919b,
	0xec25414e,
	0x37a53ae1,
	0xb7a59f82,
	0xbd03ed67,
	0xe8213e80,
	0x9be5ac84,
	0x9d68bfcc,
	0xd272d446,
	0xd2ba6793,
	0x2520ea93,
	0xd272d446,
	0xb95d3a55,
	0x8686c426,
	0xe9ecd60c,
	0x6940d561,
	0x075031d3,
	0xe1736f7c,
	0xb0e5a15b,
	0x6940d561,
	0x0c161ddc,
	0x79018d57,
	0x647da8a1,
	0xd272d446,
	0xbd03ed67,
	0x7851be11,
	0x9a75df4d,
	0x44decd6f,
	0xd272d446,
	0xc4a7c3df,
	0x7c4f40eb,
	0x7a5ffe84,
	0xd272d446,
	0x981eda36,
	0x177e4768,
	0xb5142e8a,
	0x09977ec6,
	0x4bb2877d,
	0x09977ec6,
	0x3c56caf3,
	0x96552a39,
	0xf8934302,
	0xba9b8e22,
	0x981eda36,
	0x6b459570,
	0xb1e2851c,
	0x44decd6f,
	0x760fcb1a,
	0x967e284c,
	0x079e1ded,
	0xd272d446,
	0x5032c5b1,
	0x3500e6c8,
	0x5de7b901,
	0x34c3e86c,
	0xf5d8d228,
	0xafef0b9a,
	0x73fffae4,
	0x639d7a37,
	0xcbc1e051,
	0x4f1e5fd0,
	0xbba606e7,
	0x86632fd6,
	0x1db28f3b,
	0xaff69526,
	0xf521a19a,
	0xa43628e2,
	0x5e505530,
	0xd272d446,
	0x8ff86be9,
	0x2e1cbc16,
	0x9a963e9f,
	0x6272a740,
	0x82b7e39d,
	0x860f9130,
	0xec203997,
	0x2b09ec0d,
	0x09977ec6,
	0x02654e89,
	0xd2ba6793,
	0xfac0767d,
	0xd272d446,
	0x6b459570,
	0xa2e47e52,
	0xd272d446,
	0xb1e8aa56,
	0xa9d85a24,
	0x5b67e728,
	0x367c30ce,
	0xa4c0178c,
	0x0bc5fb0d,
	0x02654e89,
	0x39dec81b,
	0x760fcb1a,
	0xd4260a8a,
	0xa76eeaf8,
	0xb6384bcc,
	0x597dde29,
	0x544e22b5,
	0x546c19d9,
	0x75738bed,
	0xa2e47e52,
	0x1f03727c,
	0x5b5fdb30,
	0xd95a9cde,
	0xe3dfdc8c,
	0x2ebec493,
	0x4ecf1bac,
	0x96fea194,
	0xd272d446,
	0x260be00a,
	0xd272d446,
	0xf7d5ce3b,
	0xf0ed1a62,
	0x14360a42,
	0xa71b08de,
	0x99ddb7b8,
	0xb6384bcc,
	0xdfa7141f,
	0xc5bd6261,
	0xa94bc9a0,
	0xf1de9e85,
	0xc67af00a,
	0x6bded543,
	0x075031d3,
	0xfc0126c0,
	0x47b94068,
	0x09977ec6,
	0x5e505530,
	0x8401dfc5,
	0x0155f75b,
	0x080a9542,
	0x9dc59ece,
	0x4c1a7f14,
	0xfceb8727,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"pin_user_pages_fast\0"
	"ida_alloc_range\0"
	"try_module_get\0"
	"alloc_chrdev_region\0"
	"anon_inode_getfile\0"
	"__check_object_size\0"
	"vmemmap\0"
	"__init_rwsem\0"
	"ib_unregister_client\0"
	"show_class_attr_string\0"
	"__list_add_valid_or_report\0"
	"unpin_user_pages_dirty_lock\0"
	"radix_tree_insert\0"
	"__kmalloc_noprof\0"
	"dev_set_name\0"
	"ibdev_warn\0"
	"arch_spin_lock_wait\0"
	"__s390_indirect_jump_r7\0"
	"complete\0"
	"memdup_user\0"
	"ib_create_qp_user\0"
	"dma_resv_wait_timeout\0"
	"cdev_device_del\0"
	"__init_swait_queue_head\0"
	"radix_tree_lookup\0"
	"finish_wait\0"
	"kill_fasync\0"
	"__mmap_lock_do_trace_acquire_returned\0"
	"fget\0"
	"ib_query_srq\0"
	"ww_mutex_unlock\0"
	"device_initialize\0"
	"ib_rdmacg_try_charge\0"
	"fd_install\0"
	"__s390_indirect_jump_r3\0"
	"memcpy\0"
	"sg_alloc_append_table_from_pages\0"
	"kfree\0"
	"unpin_user_page_range_dirty_lock\0"
	"iput\0"
	"dma_buf_unpin\0"
	"zap_vma_ptes\0"
	"ib_dereg_mr_user\0"
	"prepare_to_wait_event\0"
	"__tracepoint_mmap_lock_acquire_returned\0"
	"__wake_up\0"
	"synchronize_srcu\0"
	"free_pages\0"
	"rdma_dev_access_netns\0"
	"get_device\0"
	"ib_query_qp\0"
	"rb_insert_color\0"
	"__tracepoint_mmap_lock_released\0"
	"down_read_trylock\0"
	"dma_buf_dynamic_attach\0"
	"class_create_file_ns\0"
	"sysfs_emit\0"
	"put_unused_fd\0"
	"radix_tree_iter_delete\0"
	"ib_destroy_srq_user\0"
	"rdma_read_gid_attr_ndev_rcu\0"
	"vm_layout\0"
	"empty_zero_page\0"
	"_printk\0"
	"cdev_device_add\0"
	"___ratelimit\0"
	"schedule\0"
	"rdma_restrack_add\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"put_device\0"
	"radix_tree_lookup_slot\0"
	"ib_modify_qp_with_udata\0"
	"ib_register_event_handler\0"
	"ib_detach_mcast\0"
	"dma_buf_map_attachment\0"
	"__free_pages\0"
	"ib_unregister_event_handler\0"
	"capable\0"
	"module_put\0"
	"ib_register_client\0"
	"__s390_indirect_jump_r6\0"
	"zero_page_mask\0"
	"__cond_resched\0"
	"ib_create_srq_user\0"
	"hugetlb_optimize_vmemmap_key\0"
	"mmu_notifier_synchronize\0"
	"__task_pid_nr_ns\0"
	"__xa_alloc\0"
	"init_wait_entry\0"
	"__s390_indirect_jump_r9\0"
	"init_srcu_struct\0"
	"fput\0"
	"ib_set_client_data\0"
	"down_write\0"
	"_dev_err\0"
	"up_write\0"
	"simple_open\0"
	"dma_buf_unmap_attachment\0"
	"memchr_inv\0"
	"radix_tree_next_chunk\0"
	"__srcu_read_lock\0"
	"xa_load\0"
	"rdma_put_gid_attr\0"
	"init_on_alloc\0"
	"mutex_lock\0"
	"dma_buf_get\0"
	"ib_query_port\0"
	"__s390_indirect_jump_r10\0"
	"sg_free_append_table\0"
	"nla_put\0"
	"ww_mutex_lock\0"
	"fasync_helper\0"
	"rb_erase\0"
	"ib_qp_usecnt_inc\0"
	"dma_buf_put\0"
	"ida_free\0"
	"__bitmap_subset\0"
	"__list_del_entry_valid_or_report\0"
	"class_unregister\0"
	"_find_next_bit\0"
	"cleanup_srcu_struct\0"
	"__mutex_init\0"
	"__fortify_panic\0"
	"ib_destroy_qp_user\0"
	"rdma_nl_get_privileged_qkey\0"
	"__s390_indirect_jump_r14\0"
	"wait_for_completion\0"
	"rdma_restrack_set_name\0"
	"__init_waitqueue_head\0"
	"rdma_create_user_ah\0"
	"rdma_destroy_ah_user\0"
	"dma_buf_pin\0"
	"kasprintf\0"
	"ib_destroy_cq_user\0"
	"down_read\0"
	"__mmdrop\0"
	"rdma_restrack_del\0"
	"__xa_cmpxchg\0"
	"__s390_indirect_jump_r1\0"
	"xa_erase\0"
	"__mmap_lock_do_trace_start_locking\0"
	"__s390_indirect_jump_r8\0"
	"ib_rdmacg_uncharge\0"
	"fdget\0"
	"igrab\0"
	"ib_dma_virt_map_sg\0"
	"kvfree_call_rcu\0"
	"unregister_chrdev_region\0"
	"mmput\0"
	"dma_map_sgtable\0"
	"mutex_unlock\0"
	"get_unused_fd_flags\0"
	"xa_destroy\0"
	"xa_find\0"
	"__tracepoint_mmap_lock_start_locking\0"
	"__kmalloc_cache_noprof\0"
	"validate_usercopy_range\0"
	"__warn_printk\0"
	"__mmap_lock_do_trace_released\0"
	"ib_alloc_xrcd_user\0"
	"xa_store\0"
	"__srcu_read_unlock\0"
	"rdma_set_cq_moderation\0"
	"alloc_pages_noprof\0"
	"ib_dealloc_xrcd_user\0"
	"dma_buf_detach\0"
	"__s390_indirect_jump_r5\0"
	"stream_open\0"
	"__s390_indirect_jump_r11\0"
	"ib_open_qp\0"
	"ib_dealloc_pd_user\0"
	"rdma_get_gid_attr\0"
	"dma_unmap_sg_attrs\0"
	"rdma_port_get_link_layer\0"
	"xa_find_after\0"
	"rdma_restrack_new\0"
	"register_chrdev_region\0"
	"rdma_query_gid_table\0"
	"kvfree\0"
	"rdma_restrack_put\0"
	"get_free_pages_noprof\0"
	"ib_attach_mcast\0"
	"__kvmalloc_node_noprof\0"
	"rdma_umap_priv_init\0"
	"up_read\0"
	"can_do_mlock\0"
	"ib_destroy_wq_user\0"
	"class_register\0"
	"cdev_init\0"
	"kmalloc_caches\0"
	"sg_pcopy_to_buffer\0"
	"rdma_user_mmap_entry_put\0"
	"module_layout\0"
;

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "CBB8AD7CF367E44E70A2E5D");
MODULE_INFO(rhelversion, "10.99");
