#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x7f6b1906, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x079dc037, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd0f5a13, "set_disk_ro" },
	{ 0x5e28b1fc, "shrinker_alloc" },
	{ 0x55b7912a, "vmemmap" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xb6ec423c, "__bio_add_page" },
	{ 0xcae9612a, "blk_start_plug" },
	{ 0xdf4bee3d, "alloc_workqueue" },
	{ 0x12fa8381, "radix_tree_insert" },
	{ 0xd793d133, "md_find_rdev_rcu" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x2b97db46, "mddev_resume" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0x494c552b, "_find_first_bit" },
	{ 0x7e55a544, "radix_tree_lookup" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0x6ed25a76, "queue_limits_stack_bdev" },
	{ 0x5ab030b8, "md_error" },
	{ 0xb04c91b4, "async_xor_val_offs" },
	{ 0x5201f61b, "__cpu_present_mask" },
	{ 0x8e142c2e, "kstrtouint" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x2b97db46, "md_finish_reshape" },
	{ 0xad662c21, "__traceiter_block_bio_remap" },
	{ 0x4fce4ba5, "async_gen_syndrome" },
	{ 0xf62c71e3, "add_wait_queue" },
	{ 0x8ee4e9c5, "md_unregister_thread" },
	{ 0x883bfb8b, "sync_page_io" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0xe2f59f75, "out_of_line_wait_on_bit" },
	{ 0x0e4b74ad, "md_free_cloned_bio" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0xd272d446, "cpus_read_unlock" },
	{ 0xf71e9418, "kthread_park" },
	{ 0xc1434f70, "__per_cpu_offset" },
	{ 0x1354bb24, "mempool_free" },
	{ 0xde8f95f8, "node_states" },
	{ 0xa2782094, "kernfs_notify" },
	{ 0xe77da057, "register_md_submodule" },
	{ 0xce2a168b, "shrinker_free" },
	{ 0x0113fab6, "md_wakeup_thread" },
	{ 0x457e69b0, "__cpuhp_state_remove_instance" },
	{ 0xf00d45ac, "kstrtou16" },
	{ 0xe8213e80, "_printk" },
	{ 0x97362014, "md_set_array_sectors" },
	{ 0x9d68bfcc, "___ratelimit" },
	{ 0xd272d446, "schedule" },
	{ 0x2b97db46, "md_allow_write" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x1f552f55, "rdev_clear_badblocks" },
	{ 0x8686c426, "radix_tree_lookup_slot" },
	{ 0xe0f3fdf3, "async_tx_quiesce" },
	{ 0x76ceef55, "__kmalloc_large_noprof" },
	{ 0xb8f73e81, "md_write_start" },
	{ 0x3215c1d7, "llist_reverse_order" },
	{ 0xce2a168b, "shrinker_register" },
	{ 0x7db1fc56, "radix_tree_replace_slot" },
	{ 0xec375462, "async_xor" },
	{ 0xb0e5a15b, "__free_pages" },
	{ 0x11bf983e, "async_xor_offs" },
	{ 0x29d12a64, "bit_wait" },
	{ 0xcae9612a, "blk_finish_plug" },
	{ 0x5ccfed25, "woken_wake_function" },
	{ 0x5d439886, "submit_bio" },
	{ 0x747fb399, "sysfs_create_link" },
	{ 0x684812dd, "__bitmap_set" },
	{ 0x10419b9e, "kthread_unpark" },
	{ 0xec35eba3, "bioset_exit" },
	{ 0x7851be11, "__cond_resched" },
	{ 0x44decd6f, "hugetlb_optimize_vmemmap_key" },
	{ 0x35306e5b, "md_done_sync" },
	{ 0x5d14723c, "mempool_alloc_noprof" },
	{ 0x39502d02, "bio_put" },
	{ 0x3b9fb66f, "radix_tree_delete" },
	{ 0x39502d02, "bio_endio" },
	{ 0x7a5ffe84, "init_wait_entry" },
	{ 0xd272d446, "cpus_read_lock" },
	{ 0xf0dafd11, "md_wait_for_blocked_rdev" },
	{ 0xb30a29e2, "__cpuhp_setup_state" },
	{ 0x4c1e7250, "mempool_free_slab" },
	{ 0x281dc25c, "async_memcpy" },
	{ 0xbd207936, "mddev_update_io_opt" },
	{ 0x5d439886, "submit_bio_noacct" },
	{ 0xbeb1d261, "destroy_workqueue" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x1a050cd2, "mddev_stack_rdev_limits" },
	{ 0x90954000, "kmem_cache_free" },
	{ 0x4c1e7250, "mempool_free_pages" },
	{ 0x5a4baedb, "strncmp" },
	{ 0x2b97db46, "mddev_unlock" },
	{ 0x597dde29, "__tracepoint_block_unplug" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x7a24e9b5, "bio_chain" },
	{ 0x625995d3, "__blk_trace_note_message" },
	{ 0xb47d70e3, "__traceiter_block_unplug" },
	{ 0x08802712, "blkdev_issue_zeroout" },
	{ 0x457e69b0, "__cpuhp_state_add_instance" },
	{ 0x221289b9, "async_trigger_callback" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0xb0e4754f, "async_raid6_2data_recov" },
	{ 0x6032d2e8, "bio_add_page" },
	{ 0x86632fd6, "_find_next_bit" },
	{ 0xab79a095, "md_update_sb" },
	{ 0x5201f61b, "__cpu_online_mask" },
	{ 0x71ca284c, "sysfs_create_group" },
	{ 0xaff69526, "__mutex_init" },
	{ 0x43f152f9, "mutex_lock_interruptible" },
	{ 0x68a01147, "_atomic_dec_and_lock_irqsave" },
	{ 0x69402418, "md_flush_request" },
	{ 0x2b50e7c8, "bio_init" },
	{ 0x40a9867a, "md_register_thread" },
	{ 0x0ac6e7aa, "bio_alloc_clone" },
	{ 0x5a67fcb9, "raid6_call" },
	{ 0xbd069841, "kstrtoull" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0xcd9ed149, "blk_check_plugged" },
	{ 0xbeb1d261, "__flush_workqueue" },
	{ 0x75251f3a, "mempool_alloc_slab" },
	{ 0xa41a674c, "kmem_cache_alloc_noprof" },
	{ 0xf296206e, "nr_cpu_ids" },
	{ 0xc84b8af8, "md_account_bio" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0x0db23a16, "__kmem_cache_create_args" },
	{ 0x43f152f9, "mutex_trylock" },
	{ 0x690cdb06, "free_percpu" },
	{ 0x058c185a, "jiffies" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xb8f73e81, "md_write_inc" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xdd6830c7, "sprintf" },
	{ 0x322234a2, "pcpu_alloc_noprof" },
	{ 0x39502d02, "bio_uninit" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0x9f5a41cc, "param_ops_bool" },
	{ 0x2415cfa9, "bioset_init" },
	{ 0xd272d446, "md_new_event" },
	{ 0xc1608ce9, "async_syndrome_val" },
	{ 0xf3a8e62c, "list_sort" },
	{ 0xa274d656, "__folio_put" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xd8ce3ede, "seq_printf" },
	{ 0x2b97db46, "md_write_end" },
	{ 0xc01aafd2, "get_random_u32" },
	{ 0x2b97db46, "md_check_recovery" },
	{ 0x597dde29, "__tracepoint_block_bio_remap" },
	{ 0x2ebec493, "alloc_pages_noprof" },
	{ 0xe82825e9, "blkdev_issue_flush" },
	{ 0x7869f8ec, "mddev_suspend" },
	{ 0xc0a38b31, "queue_limits_commit_update" },
	{ 0xce4bb53a, "wait_woken" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0xf62c71e3, "remove_wait_queue" },
	{ 0x7bcdb96f, "crc32c_arch" },
	{ 0x5ccfed25, "autoremove_wake_function" },
	{ 0x74b0b88c, "unregister_md_submodule" },
	{ 0x58db2c68, "badblocks_check" },
	{ 0x76e81210, "mempool_init_noprof" },
	{ 0x6ac784f4, "schedule_timeout_uninterruptible" },
	{ 0xe8e0a5a9, "wake_up_bit" },
	{ 0xf1de9e85, "kvfree" },
	{ 0x13bd1246, "md_init_stacking_limits" },
	{ 0xc0a38b31, "queue_limits_set" },
	{ 0xa2385a19, "rdev_set_badblocks" },
	{ 0xfe669f22, "bio_alloc_bioset" },
	{ 0xfc0126c0, "__kvmalloc_node_noprof" },
	{ 0x707f0b1e, "async_raid6_datap_recov" },
	{ 0x0831f7d1, "submit_bio_wait" },
	{ 0xa45cbe68, "__cpuhp_remove_state" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0x9f5d4931, "mempool_exit" },
	{ 0x2de43660, "kmem_cache_destroy" },
	{ 0x5bd71b4c, "bio_split" },
	{ 0xaef1f20d, "system_wq" },
	{ 0x75251f3a, "mempool_alloc_pages" },
	{ 0x2d88a3ab, "flush_work" },
	{ 0x6fe8d5b9, "blkdev_issue_discard" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xcd0f5a13,
	0x5e28b1fc,
	0x55b7912a,
	0xdc352a3b,
	0xb6ec423c,
	0xcae9612a,
	0xdf4bee3d,
	0x12fa8381,
	0xd793d133,
	0x76ceef55,
	0x2b97db46,
	0x809f63d8,
	0xd272d446,
	0xe6befa9f,
	0x49733ad6,
	0x494c552b,
	0x7e55a544,
	0xf62c71e3,
	0x6ed25a76,
	0x5ab030b8,
	0xb04c91b4,
	0x5201f61b,
	0x8e142c2e,
	0xcb8b6ec6,
	0x2b97db46,
	0xad662c21,
	0x4fce4ba5,
	0xf62c71e3,
	0x8ee4e9c5,
	0x883bfb8b,
	0xb6d2241d,
	0xe2f59f75,
	0x0e4b74ad,
	0x0433c0cc,
	0xd272d446,
	0xf71e9418,
	0xc1434f70,
	0x1354bb24,
	0xde8f95f8,
	0xa2782094,
	0xe77da057,
	0xce2a168b,
	0x0113fab6,
	0x457e69b0,
	0xf00d45ac,
	0xe8213e80,
	0x97362014,
	0x9d68bfcc,
	0xd272d446,
	0x2b97db46,
	0xd272d446,
	0x1f552f55,
	0x8686c426,
	0xe0f3fdf3,
	0x76ceef55,
	0xb8f73e81,
	0x3215c1d7,
	0xce2a168b,
	0x7db1fc56,
	0xec375462,
	0xb0e5a15b,
	0x11bf983e,
	0x29d12a64,
	0xcae9612a,
	0x5ccfed25,
	0x5d439886,
	0x747fb399,
	0x684812dd,
	0x10419b9e,
	0xec35eba3,
	0x7851be11,
	0x44decd6f,
	0x35306e5b,
	0x5d14723c,
	0x39502d02,
	0x3b9fb66f,
	0x39502d02,
	0x7a5ffe84,
	0xd272d446,
	0xf0dafd11,
	0xb30a29e2,
	0x4c1e7250,
	0x281dc25c,
	0xbd207936,
	0x5d439886,
	0xbeb1d261,
	0x760fcb1a,
	0x1a050cd2,
	0x90954000,
	0x4c1e7250,
	0x5a4baedb,
	0x2b97db46,
	0x597dde29,
	0xd272d446,
	0x7a24e9b5,
	0x625995d3,
	0xb47d70e3,
	0x08802712,
	0x457e69b0,
	0x221289b9,
	0x4f1e5fd0,
	0xb0e4754f,
	0x6032d2e8,
	0x86632fd6,
	0xab79a095,
	0x5201f61b,
	0x71ca284c,
	0xaff69526,
	0x43f152f9,
	0x68a01147,
	0x69402418,
	0x2b50e7c8,
	0x40a9867a,
	0x0ac6e7aa,
	0x5a67fcb9,
	0xbd069841,
	0xd272d446,
	0xcd9ed149,
	0xbeb1d261,
	0x75251f3a,
	0xa41a674c,
	0xf296206e,
	0xc84b8af8,
	0x9a963e9f,
	0x0db23a16,
	0x43f152f9,
	0x690cdb06,
	0x058c185a,
	0xd272d446,
	0xb8f73e81,
	0xd272d446,
	0xdd6830c7,
	0x322234a2,
	0x39502d02,
	0x760fcb1a,
	0x9f5a41cc,
	0x2415cfa9,
	0xd272d446,
	0xc1608ce9,
	0xf3a8e62c,
	0xa274d656,
	0x23f25c0a,
	0x544e22b5,
	0x75738bed,
	0xd8ce3ede,
	0x2b97db46,
	0xc01aafd2,
	0x2b97db46,
	0x597dde29,
	0x2ebec493,
	0xe82825e9,
	0x7869f8ec,
	0xc0a38b31,
	0xce4bb53a,
	0xd272d446,
	0xf62c71e3,
	0x7bcdb96f,
	0x5ccfed25,
	0x74b0b88c,
	0x58db2c68,
	0x76e81210,
	0x6ac784f4,
	0xe8e0a5a9,
	0xf1de9e85,
	0x13bd1246,
	0xc0a38b31,
	0xa2385a19,
	0xfe669f22,
	0xfc0126c0,
	0x707f0b1e,
	0x0831f7d1,
	0xa45cbe68,
	0x9dc59ece,
	0x9f5d4931,
	0x2de43660,
	0x5bd71b4c,
	0xaef1f20d,
	0x75251f3a,
	0x2d88a3ab,
	0x6fe8d5b9,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"set_disk_ro\0"
	"shrinker_alloc\0"
	"vmemmap\0"
	"__list_add_valid_or_report\0"
	"__bio_add_page\0"
	"blk_start_plug\0"
	"alloc_workqueue\0"
	"radix_tree_insert\0"
	"md_find_rdev_rcu\0"
	"__kmalloc_noprof\0"
	"mddev_resume\0"
	"arch_spin_lock_wait\0"
	"__s390_indirect_jump_r7\0"
	"snprintf\0"
	"queue_work_on\0"
	"_find_first_bit\0"
	"radix_tree_lookup\0"
	"finish_wait\0"
	"queue_limits_stack_bdev\0"
	"md_error\0"
	"async_xor_val_offs\0"
	"__cpu_present_mask\0"
	"kstrtouint\0"
	"kfree\0"
	"md_finish_reshape\0"
	"__traceiter_block_bio_remap\0"
	"async_gen_syndrome\0"
	"add_wait_queue\0"
	"md_unregister_thread\0"
	"sync_page_io\0"
	"prepare_to_wait_event\0"
	"out_of_line_wait_on_bit\0"
	"md_free_cloned_bio\0"
	"__wake_up\0"
	"cpus_read_unlock\0"
	"kthread_park\0"
	"__per_cpu_offset\0"
	"mempool_free\0"
	"node_states\0"
	"kernfs_notify\0"
	"register_md_submodule\0"
	"shrinker_free\0"
	"md_wakeup_thread\0"
	"__cpuhp_state_remove_instance\0"
	"kstrtou16\0"
	"_printk\0"
	"md_set_array_sectors\0"
	"___ratelimit\0"
	"schedule\0"
	"md_allow_write\0"
	"__s390_indirect_jump_r4\0"
	"rdev_clear_badblocks\0"
	"radix_tree_lookup_slot\0"
	"async_tx_quiesce\0"
	"__kmalloc_large_noprof\0"
	"md_write_start\0"
	"llist_reverse_order\0"
	"shrinker_register\0"
	"radix_tree_replace_slot\0"
	"async_xor\0"
	"__free_pages\0"
	"async_xor_offs\0"
	"bit_wait\0"
	"blk_finish_plug\0"
	"woken_wake_function\0"
	"submit_bio\0"
	"sysfs_create_link\0"
	"__bitmap_set\0"
	"kthread_unpark\0"
	"bioset_exit\0"
	"__cond_resched\0"
	"hugetlb_optimize_vmemmap_key\0"
	"md_done_sync\0"
	"mempool_alloc_noprof\0"
	"bio_put\0"
	"radix_tree_delete\0"
	"bio_endio\0"
	"init_wait_entry\0"
	"cpus_read_lock\0"
	"md_wait_for_blocked_rdev\0"
	"__cpuhp_setup_state\0"
	"mempool_free_slab\0"
	"async_memcpy\0"
	"mddev_update_io_opt\0"
	"submit_bio_noacct\0"
	"destroy_workqueue\0"
	"mutex_lock\0"
	"mddev_stack_rdev_limits\0"
	"kmem_cache_free\0"
	"mempool_free_pages\0"
	"strncmp\0"
	"mddev_unlock\0"
	"__tracepoint_block_unplug\0"
	"__s390_indirect_jump_r10\0"
	"bio_chain\0"
	"__blk_trace_note_message\0"
	"__traceiter_block_unplug\0"
	"blkdev_issue_zeroout\0"
	"__cpuhp_state_add_instance\0"
	"async_trigger_callback\0"
	"__list_del_entry_valid_or_report\0"
	"async_raid6_2data_recov\0"
	"bio_add_page\0"
	"_find_next_bit\0"
	"md_update_sb\0"
	"__cpu_online_mask\0"
	"sysfs_create_group\0"
	"__mutex_init\0"
	"mutex_lock_interruptible\0"
	"_atomic_dec_and_lock_irqsave\0"
	"md_flush_request\0"
	"bio_init\0"
	"md_register_thread\0"
	"bio_alloc_clone\0"
	"raid6_call\0"
	"kstrtoull\0"
	"__s390_indirect_jump_r14\0"
	"blk_check_plugged\0"
	"__flush_workqueue\0"
	"mempool_alloc_slab\0"
	"kmem_cache_alloc_noprof\0"
	"nr_cpu_ids\0"
	"md_account_bio\0"
	"__init_waitqueue_head\0"
	"__kmem_cache_create_args\0"
	"mutex_trylock\0"
	"free_percpu\0"
	"jiffies\0"
	"__s390_indirect_jump_r1\0"
	"md_write_inc\0"
	"__s390_indirect_jump_r8\0"
	"sprintf\0"
	"pcpu_alloc_noprof\0"
	"bio_uninit\0"
	"mutex_unlock\0"
	"param_ops_bool\0"
	"bioset_init\0"
	"md_new_event\0"
	"async_syndrome_val\0"
	"list_sort\0"
	"__folio_put\0"
	"__dynamic_pr_debug\0"
	"__kmalloc_cache_noprof\0"
	"__warn_printk\0"
	"seq_printf\0"
	"md_write_end\0"
	"get_random_u32\0"
	"md_check_recovery\0"
	"__tracepoint_block_bio_remap\0"
	"alloc_pages_noprof\0"
	"blkdev_issue_flush\0"
	"mddev_suspend\0"
	"queue_limits_commit_update\0"
	"wait_woken\0"
	"__s390_indirect_jump_r5\0"
	"remove_wait_queue\0"
	"crc32c_arch\0"
	"autoremove_wake_function\0"
	"unregister_md_submodule\0"
	"badblocks_check\0"
	"mempool_init_noprof\0"
	"schedule_timeout_uninterruptible\0"
	"wake_up_bit\0"
	"kvfree\0"
	"md_init_stacking_limits\0"
	"queue_limits_set\0"
	"rdev_set_badblocks\0"
	"bio_alloc_bioset\0"
	"__kvmalloc_node_noprof\0"
	"async_raid6_datap_recov\0"
	"submit_bio_wait\0"
	"__cpuhp_remove_state\0"
	"kmalloc_caches\0"
	"mempool_exit\0"
	"kmem_cache_destroy\0"
	"bio_split\0"
	"system_wq\0"
	"mempool_alloc_pages\0"
	"flush_work\0"
	"blkdev_issue_discard\0"
	"module_layout\0"
;

MODULE_INFO(depends, "async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq");


MODULE_INFO(srcversion, "5BCE6DA4BE2979707834F33");
MODULE_INFO(rhelversion, "10.99");
