#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(net_failover_create, "_gpl", "");
KSYMTAB_FUNC(net_failover_destroy, "_gpl", "");

SYMBOL_CRC(net_failover_create, 0xe19fdcdb, "_gpl");
SYMBOL_CRC(net_failover_destroy, 0xb4fc40d5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x20a039f8, "dev_open" },
	{ 0x46f920e1, "netdev_increment_features" },
	{ 0x08431638, "netdev_change_features" },
	{ 0xdc03c642, "vlan_vids_del_by_dev" },
	{ 0x1644e0c1, "dev_uc_unsync" },
	{ 0x1644e0c1, "dev_mc_unsync" },
	{ 0x98797f16, "dev_close" },
	{ 0xa24fbc1f, "dev_get_stats" },
	{ 0x309e0b84, "netdev_info" },
	{ 0xee7a2723, "dev_set_mtu" },
	{ 0x800901a0, "dev_uc_sync_multiple" },
	{ 0x800901a0, "dev_mc_sync_multiple" },
	{ 0x17e16304, "pci_bus_type" },
	{ 0xeb7c5542, "vlan_uses_dev" },
	{ 0x309e0b84, "netdev_err" },
	{ 0x820c671f, "vlan_vid_del" },
	{ 0x93b93b51, "vlan_vid_add" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x2c0ccfce, "netdev_pick_tx" },
	{ 0x4abe3397, "alloc_etherdev_mqs" },
	{ 0x2d93246d, "dev_addr_mod" },
	{ 0x24082543, "register_netdev" },
	{ 0x3390f985, "netif_carrier_off" },
	{ 0x8b765608, "failover_register" },
	{ 0x08431638, "unregister_netdev" },
	{ 0x08431638, "free_netdev" },
	{ 0x4bb2877d, "_dev_err" },
	{ 0x08431638, "netif_device_detach" },
	{ 0xd272d446, "rtnl_lock" },
	{ 0xfc67c8f3, "failover_slave_unregister" },
	{ 0xb7a70c29, "failover_unregister" },
	{ 0x67bb5216, "unregister_netdevice_queue" },
	{ 0xd272d446, "rtnl_unlock" },
	{ 0x3390f985, "netif_carrier_on" },
	{ 0x580f9ded, "netif_tx_wake_queue" },
	{ 0x058c185a, "jiffies" },
	{ 0xfcc2e8f3, "__local_bh_enable_ip" },
	{ 0x2a6395bd, "__ethtool_get_link_ksettings" },
	{ 0xdc6d63f4, "__dev_queue_xmit" },
	{ 0x7d1c17fe, "netdev_core_stats_inc" },
	{ 0x349aeecc, "dev_kfree_skb_any_reason" },
	{ 0xbf61b39e, "netdev_lower_state_changed" },
	{ 0x08431638, "netif_tx_stop_all_queues" },
	{ 0xd272e6de, "vlan_vids_add_by_dev" },
	{ 0xdd29fac3, "call_netdevice_notifiers" },
	{ 0x22128c42, "passthru_features_check" },
	{ 0x5fc4e734, "eth_validate_addr" },
	{ 0x64c67726, "ethtool_op_get_link" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xd272d446,
	0x20a039f8,
	0x46f920e1,
	0x08431638,
	0xdc03c642,
	0x1644e0c1,
	0x1644e0c1,
	0x98797f16,
	0xa24fbc1f,
	0x309e0b84,
	0xee7a2723,
	0x800901a0,
	0x800901a0,
	0x17e16304,
	0xeb7c5542,
	0x309e0b84,
	0x820c671f,
	0x93b93b51,
	0x809f63d8,
	0xf521a19a,
	0xd272d446,
	0x2c0ccfce,
	0x4abe3397,
	0x2d93246d,
	0x24082543,
	0x3390f985,
	0x8b765608,
	0x08431638,
	0x08431638,
	0x4bb2877d,
	0x08431638,
	0xd272d446,
	0xfc67c8f3,
	0xb7a70c29,
	0x67bb5216,
	0xd272d446,
	0x3390f985,
	0x580f9ded,
	0x058c185a,
	0xfcc2e8f3,
	0x2a6395bd,
	0xdc6d63f4,
	0x7d1c17fe,
	0x349aeecc,
	0xbf61b39e,
	0x08431638,
	0xd272e6de,
	0xdd29fac3,
	0x22128c42,
	0x5fc4e734,
	0x64c67726,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"__s390_indirect_jump_r14\0"
	"dev_open\0"
	"netdev_increment_features\0"
	"netdev_change_features\0"
	"vlan_vids_del_by_dev\0"
	"dev_uc_unsync\0"
	"dev_mc_unsync\0"
	"dev_close\0"
	"dev_get_stats\0"
	"netdev_info\0"
	"dev_set_mtu\0"
	"dev_uc_sync_multiple\0"
	"dev_mc_sync_multiple\0"
	"pci_bus_type\0"
	"vlan_uses_dev\0"
	"netdev_err\0"
	"vlan_vid_del\0"
	"vlan_vid_add\0"
	"arch_spin_lock_wait\0"
	"__fortify_panic\0"
	"__s390_indirect_jump_r5\0"
	"netdev_pick_tx\0"
	"alloc_etherdev_mqs\0"
	"dev_addr_mod\0"
	"register_netdev\0"
	"netif_carrier_off\0"
	"failover_register\0"
	"unregister_netdev\0"
	"free_netdev\0"
	"_dev_err\0"
	"netif_device_detach\0"
	"rtnl_lock\0"
	"failover_slave_unregister\0"
	"failover_unregister\0"
	"unregister_netdevice_queue\0"
	"rtnl_unlock\0"
	"netif_carrier_on\0"
	"netif_tx_wake_queue\0"
	"jiffies\0"
	"__local_bh_enable_ip\0"
	"__ethtool_get_link_ksettings\0"
	"__dev_queue_xmit\0"
	"netdev_core_stats_inc\0"
	"dev_kfree_skb_any_reason\0"
	"netdev_lower_state_changed\0"
	"netif_tx_stop_all_queues\0"
	"vlan_vids_add_by_dev\0"
	"call_netdevice_notifiers\0"
	"passthru_features_check\0"
	"eth_validate_addr\0"
	"ethtool_op_get_link\0"
	"module_layout\0"
;

MODULE_INFO(depends, "failover");


MODULE_INFO(srcversion, "685B14EFAF28872C4E08299");
MODULE_INFO(rhelversion, "10.99");
