#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_auth_get_seqnum, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_dhgroup_name, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_dhgroup_kpp, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_dhgroup_id, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_hmac_name, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_digest_name, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_hmac_id, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_hmac_hash_len, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_key_struct_size, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_extract_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_alloc_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_transform_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_augmented_challenge, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_gen_privkey, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_gen_pubkey, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_gen_shared_secret, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_generate_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_generate_psk, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_generate_digest, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_derive_tls_psk, "_gpl", "");

SYMBOL_CRC(nvme_auth_get_seqnum, 0xc01aafd2, "_gpl");
SYMBOL_CRC(nvme_auth_dhgroup_name, 0x8beb9de8, "_gpl");
SYMBOL_CRC(nvme_auth_dhgroup_kpp, 0x8beb9de8, "_gpl");
SYMBOL_CRC(nvme_auth_dhgroup_id, 0x58456982, "_gpl");
SYMBOL_CRC(nvme_auth_hmac_name, 0xfb090990, "_gpl");
SYMBOL_CRC(nvme_auth_digest_name, 0xfb090990, "_gpl");
SYMBOL_CRC(nvme_auth_hmac_id, 0x89af69a5, "_gpl");
SYMBOL_CRC(nvme_auth_hmac_hash_len, 0x7333c7cd, "_gpl");
SYMBOL_CRC(nvme_auth_key_struct_size, 0x07ea0535, "_gpl");
SYMBOL_CRC(nvme_auth_extract_key, 0x391a91dd, "_gpl");
SYMBOL_CRC(nvme_auth_alloc_key, 0x257a6836, "_gpl");
SYMBOL_CRC(nvme_auth_free_key, 0xb15511e4, "_gpl");
SYMBOL_CRC(nvme_auth_transform_key, 0x5cbfdca3, "_gpl");
SYMBOL_CRC(nvme_auth_augmented_challenge, 0x15b74554, "_gpl");
SYMBOL_CRC(nvme_auth_gen_privkey, 0x18104ca6, "_gpl");
SYMBOL_CRC(nvme_auth_gen_pubkey, 0x5b304019, "_gpl");
SYMBOL_CRC(nvme_auth_gen_shared_secret, 0x24b5b469, "_gpl");
SYMBOL_CRC(nvme_auth_generate_key, 0x0a221c05, "_gpl");
SYMBOL_CRC(nvme_auth_generate_psk, 0x9f1d3b3a, "_gpl");
SYMBOL_CRC(nvme_auth_generate_digest, 0x1bd70436, "_gpl");
SYMBOL_CRC(nvme_auth_derive_tls_psk, 0x328c8acb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x48178533, "crypto_shash_tfm_digest" },
	{ 0x23109dc0, "__init_swait_queue_head" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x66526f72, "sg_init_one" },
	{ 0xdc88d097, "crypto_destroy_tfm" },
	{ 0xe8213e80, "_printk" },
	{ 0x0746002e, "strnlen" },
	{ 0x296b9459, "strrchr" },
	{ 0xfecb7668, "hkdf_extract" },
	{ 0x4c3f741c, "crypto_req_done" },
	{ 0x9790640b, "hkdf_expand" },
	{ 0xf74e2210, "crypto_shash_setkey" },
	{ 0x4986679e, "base64_encode" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x96cfc72f, "crypto_shash_init" },
	{ 0x5a4baedb, "strncmp" },
	{ 0xf8faa012, "kfree_sensitive" },
	{ 0x173ec8da, "sscanf" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x8ff86be9, "wait_for_completion" },
	{ 0x783f158a, "kmemdup_noprof" },
	{ 0xdd6830c7, "sprintf" },
	{ 0x7bcdb96f, "crc32_le_arch" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0xaeb9f8d2, "crypto_shash_finup" },
	{ 0x579bca56, "base64_decode" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0xc01aafd2, "get_random_u32" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x4992ce4a, "crypto_alloc_shash" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x76ceef55,
	0x48178533,
	0x23109dc0,
	0xcb8b6ec6,
	0x66526f72,
	0xdc88d097,
	0xe8213e80,
	0x0746002e,
	0x296b9459,
	0xfecb7668,
	0x4c3f741c,
	0x9790640b,
	0xf74e2210,
	0x4986679e,
	0x760fcb1a,
	0x96cfc72f,
	0x5a4baedb,
	0xf8faa012,
	0x173ec8da,
	0xf521a19a,
	0xd272d446,
	0x8ff86be9,
	0x783f158a,
	0xdd6830c7,
	0x7bcdb96f,
	0x760fcb1a,
	0xaeb9f8d2,
	0x579bca56,
	0x23f25c0a,
	0xc01aafd2,
	0xd272d446,
	0x4992ce4a,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"__kmalloc_noprof\0"
	"crypto_shash_tfm_digest\0"
	"__init_swait_queue_head\0"
	"kfree\0"
	"sg_init_one\0"
	"crypto_destroy_tfm\0"
	"_printk\0"
	"strnlen\0"
	"strrchr\0"
	"hkdf_extract\0"
	"crypto_req_done\0"
	"hkdf_expand\0"
	"crypto_shash_setkey\0"
	"base64_encode\0"
	"mutex_lock\0"
	"crypto_shash_init\0"
	"strncmp\0"
	"kfree_sensitive\0"
	"sscanf\0"
	"__fortify_panic\0"
	"__s390_indirect_jump_r14\0"
	"wait_for_completion\0"
	"kmemdup_noprof\0"
	"sprintf\0"
	"crc32_le_arch\0"
	"mutex_unlock\0"
	"crypto_shash_finup\0"
	"base64_decode\0"
	"__dynamic_pr_debug\0"
	"get_random_u32\0"
	"__s390_indirect_jump_r5\0"
	"crypto_alloc_shash\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3D826C247DAFECB8573E31E");
MODULE_INFO(rhelversion, "10.99");
