#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_revoke_tls_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xf296206e, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0xf296206e, "_gpl");
SYMBOL_CRC(nvme_wq, 0xaef1f20d, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0xaef1f20d, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xaef1f20d, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x26786506, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x26786506, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x26786506, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x86dc5ea3, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x86dc5ea3, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xe89ecb9e, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xa4f1bf17, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x4356738b, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x72a89bb0, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x589aeb4a, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x3f80e8ce, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xcb48683a, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xa21b2ae2, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x86dc5ea3, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x6da1678c, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x293601a9, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xdc84b03b, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xb19392cf, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x7c72d61f, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x7c72d61f, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x9de8aa5a, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x29ca8314, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x29ca8314, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x4fab5e98, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x5ea5c0e9, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x26786506, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xe00ca7e7, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x9468e9f7, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x943d169d, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x71e97557, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xf56f75e0, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xb7f868f4, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x26786506, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x7d18da54, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x54ae2ed7, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x7c64dc7b, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x4c00ca1f, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x597dde29, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x9aaf752a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0xc3135944, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x95c828a4, "_gpl");
SYMBOL_CRC(nvme_auth_revoke_tls_key, 0x5d60e68b, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xfaaded6e, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xfaaded6e, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x3e1abe79, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x5d60e68b, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x5d60e68b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ea6738e, "set_capacity_and_notify" },
	{ 0x23240b49, "bio_associate_blkg" },
	{ 0x21f931bb, "add_uevent_var" },
	{ 0xcd0f5a13, "set_disk_ro" },
	{ 0xacd6456d, "__blk_alloc_disk" },
	{ 0x52aa9e12, "ida_alloc_range" },
	{ 0x71bdeedc, "try_module_get" },
	{ 0x9f222e1e, "alloc_chrdev_region" },
	{ 0x55b7912a, "vmemmap" },
	{ 0x5611321e, "blk_rq_integrity_map_user" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xdf4bee3d, "alloc_workqueue" },
	{ 0xe8c61750, "ida_destroy" },
	{ 0x66221de5, "device_remove_file_self" },
	{ 0x9f5a41cc, "param_ops_uint" },
	{ 0x9f5a41cc, "param_ops_ulong" },
	{ 0x534ed5f3, "__msecs_to_jiffies" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x1c944237, "dev_set_name" },
	{ 0x2ba3b076, "bio_split_to_limits" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0x955716a3, "trace_seq_printf" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0x64c855a5, "device_add_disk" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0x2b185a75, "trace_raw_output_prep" },
	{ 0xdd45951a, "sysfs_streq" },
	{ 0x781c0fb7, "blk_mq_tagset_wait_completed_request" },
	{ 0x0607f285, "cdev_device_del" },
	{ 0x10c52d8d, "param_get_bool" },
	{ 0xd7f966c7, "__trace_trigger_soft_disabled" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0x6ed25a76, "queue_limits_stack_bdev" },
	{ 0x91e5d03a, "trace_event_printf" },
	{ 0x5cbfdca3, "nvme_auth_transform_key" },
	{ 0xb95d3a55, "device_initialize" },
	{ 0xff91662f, "blk_mq_unquiesce_queue" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xff91662f, "blk_mq_quiesce_queue" },
	{ 0x2538f7d3, "trace_event_raw_init" },
	{ 0xc8909373, "trace_print_symbols_seq" },
	{ 0xfbe7861b, "memcpy" },
	{ 0x24b5b469, "nvme_auth_gen_shared_secret" },
	{ 0x8e142c2e, "kstrtouint" },
	{ 0x21cf00c2, "async_synchronize_full_domain" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xad662c21, "__traceiter_block_bio_remap" },
	{ 0xfdd4d6fd, "__traceiter_block_bio_complete" },
	{ 0xa3dfa6c6, "kblockd_schedule_work" },
	{ 0x5366427b, "io_uring_cmd_import_fixed_vec" },
	{ 0x0feb1e94, "usleep_range_state" },
	{ 0x036b2ad0, "bpf_trace_run2" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0x1bd70436, "nvme_auth_generate_digest" },
	{ 0x4ac7ac67, "disk_uevent" },
	{ 0x2352b148, "timer_delete_sync" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0x1db28f3b, "synchronize_srcu" },
	{ 0x9f5a41cc, "param_ops_byte" },
	{ 0x59ed6329, "get_device" },
	{ 0x451c3a29, "blk_mq_end_request" },
	{ 0xa5a06994, "__blk_mq_alloc_disk" },
	{ 0x68fc6f27, "__dynamic_dev_dbg" },
	{ 0x1354bb24, "mempool_free" },
	{ 0xde8f95f8, "node_states" },
	{ 0x22c69cfd, "blk_mq_delay_kick_requeue_list" },
	{ 0xdd6830c7, "sysfs_emit" },
	{ 0xe7cef6f5, "blk_mq_alloc_tag_set" },
	{ 0x3b955ba9, "blk_rq_is_poll" },
	{ 0x3eefa890, "trace_event_buffer_commit" },
	{ 0xdc88d097, "crypto_destroy_tfm" },
	{ 0xb7a59f82, "vm_layout" },
	{ 0x593ff95c, "trace_seq_putc" },
	{ 0xe8213e80, "_printk" },
	{ 0xa9098c6a, "put_disk" },
	{ 0x51587a26, "crypto_alloc_kpp" },
	{ 0x9be5ac84, "cdev_device_add" },
	{ 0x9d68bfcc, "___ratelimit" },
	{ 0xd272d446, "schedule" },
	{ 0xb15511e4, "nvme_auth_free_key" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x8ce83585, "queue_delayed_work_on" },
	{ 0x2e84eb5a, "blk_execute_rq" },
	{ 0xb95d3a55, "put_device" },
	{ 0x1110cfed, "blk_mq_unquiesce_tagset" },
	{ 0x0746002e, "strnlen" },
	{ 0x040db1d6, "nvme_tls_psk_refresh" },
	{ 0x1640b517, "blk_mq_free_request" },
	{ 0x328c8acb, "nvme_auth_derive_tls_psk" },
	{ 0xb0e5a15b, "__free_pages" },
	{ 0x4bb2877d, "_dev_info" },
	{ 0x829e7721, "blk_rq_map_kern" },
	{ 0x0c161ddc, "capable" },
	{ 0x79018d57, "module_put" },
	{ 0x747fb399, "sysfs_create_link" },
	{ 0x999a5f5f, "sized_strscpy" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x5b304019, "nvme_auth_gen_pubkey" },
	{ 0xbd29d1a3, "sysfs_remove_link_from_group" },
	{ 0x3acfe6f4, "blk_rq_poll" },
	{ 0x1110cfed, "blk_mq_quiesce_tagset" },
	{ 0x5d14723c, "mempool_alloc_noprof" },
	{ 0x77ec4453, "key_put" },
	{ 0x2153d324, "kobject_uevent_env" },
	{ 0x39502d02, "bio_endio" },
	{ 0x7a5ffe84, "init_wait_entry" },
	{ 0x743d3a4b, "perf_trace_buf_alloc" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0x981eda36, "init_srcu_struct" },
	{ 0xea2326af, "perf_trace_run_bpf_submit" },
	{ 0x4bb2877d, "_dev_err" },
	{ 0x8df98a18, "blk_revalidate_disk_zones" },
	{ 0xf74e2210, "crypto_shash_setkey" },
	{ 0xd272d446, "synchronize_rcu" },
	{ 0xd72c17af, "device_add" },
	{ 0xf8934302, "memchr_inv" },
	{ 0x910ae4eb, "blk_rq_map_user_io" },
	{ 0x4c1e7250, "mempool_free_slab" },
	{ 0xb34ed123, "sysfs_remove_link" },
	{ 0x40c67e67, "blk_execute_rq_nowait" },
	{ 0xd09b06f5, "kstrtoint" },
	{ 0x981eda36, "__srcu_read_lock" },
	{ 0xff91662f, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0xdbcfbdf4, "set_capacity" },
	{ 0x32feeafc, "mod_timer" },
	{ 0x5d439886, "submit_bio_noacct" },
	{ 0x6b459570, "xa_load" },
	{ 0x9f1d3b3a, "nvme_auth_generate_psk" },
	{ 0xbeb1d261, "destroy_workqueue" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x5883427d, "blk_sync_queue" },
	{ 0x86df0568, "bdev_start_io_acct" },
	{ 0x96cfc72f, "crypto_shash_init" },
	{ 0x5a4baedb, "strncmp" },
	{ 0x69b21f31, "uuid_null" },
	{ 0xfb090990, "nvme_auth_hmac_name" },
	{ 0x63268324, "trace_event_reg" },
	{ 0xf8faa012, "kfree_sensitive" },
	{ 0xa8f0e133, "blk_mq_alloc_request_hctx" },
	{ 0x1622483b, "param_set_bool" },
	{ 0xd4a96a54, "__io_uring_cmd_do_in_task" },
	{ 0x5d8e9e79, "blk_mq_alloc_request" },
	{ 0x639d7a37, "ida_free" },
	{ 0x8ce83585, "mod_delayed_work_on" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0xbba606e7, "class_unregister" },
	{ 0x1110cfed, "blk_mq_free_tag_set" },
	{ 0xa9098c6a, "del_gendisk" },
	{ 0x5201f61b, "__cpu_online_mask" },
	{ 0x8cb0d1eb, "memcmp" },
	{ 0x1db28f3b, "cleanup_srcu_struct" },
	{ 0xff91662f, "blk_freeze_queue_start_non_owner" },
	{ 0x1646bb4b, "opal_unlock_from_suspend" },
	{ 0xaff69526, "__mutex_init" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0xe199f25f, "jiffies_to_msecs" },
	{ 0x15b74554, "nvme_auth_augmented_challenge" },
	{ 0x13bd1246, "blk_set_stacking_limits" },
	{ 0xbef5ab45, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x5883427d, "blk_put_queue" },
	{ 0x86dec26d, "bpf_trace_run1" },
	{ 0xb95d3a55, "device_del" },
	{ 0x5373d78a, "kstrtobool" },
	{ 0x85acaba2, "cancel_delayed_work" },
	{ 0x063fad2c, "sed_ioctl" },
	{ 0x4bb2877d, "_dev_warn" },
	{ 0x91197e2a, "__kmalloc_cache_node_noprof" },
	{ 0x57a9e4b2, "__vmalloc_noprof" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x1110cfed, "blk_mq_wait_quiesce_done" },
	{ 0x77ec4453, "key_revoke" },
	{ 0x75251f3a, "mempool_alloc_slab" },
	{ 0xc01aafd2, "nvme_auth_get_seqnum" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0x0db23a16, "__kmem_cache_create_args" },
	{ 0xdc80534f, "io_uring_cmd_done" },
	{ 0xdd03bdb6, "blk_rq_unmap_user" },
	{ 0xff91662f, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xec203997, "kasprintf" },
	{ 0xb74495e5, "bdev_disk_changed" },
	{ 0xaa9bc5da, "init_opal_dev" },
	{ 0x058c185a, "jiffies" },
	{ 0x0a221c05, "nvme_auth_generate_key" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0x6b459570, "xa_erase" },
	{ 0xaf3f3ee8, "bpf_trace_run3" },
	{ 0x8beb9de8, "nvme_auth_dhgroup_name" },
	{ 0x05541b93, "free_opal_dev" },
	{ 0xdd6830c7, "sprintf" },
	{ 0x1640b517, "blk_mq_complete_request" },
	{ 0x0bc5fb0d, "unregister_chrdev_region" },
	{ 0x56e0a6f2, "trace_event_buffer_reserve" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0xaeb9f8d2, "crypto_shash_finup" },
	{ 0x85acaba2, "cancel_delayed_work_sync" },
	{ 0x95fbbc48, "mempool_create_node_noprof" },
	{ 0x9f5a41cc, "param_ops_bool" },
	{ 0xff91662f, "blk_mq_destroy_queue" },
	{ 0xa76eeaf8, "xa_destroy" },
	{ 0xff91662f, "blk_freeze_queue_start" },
	{ 0xb6384bcc, "xa_find" },
	{ 0x186bd093, "disk_live" },
	{ 0x9f5d4931, "mempool_destroy" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x42d15c77, "blk_mq_alloc_queue" },
	{ 0x2d88a3ab, "cancel_work_sync" },
	{ 0x75738bed, "__warn_printk" },
	{ 0x597dde29, "__tracepoint_block_bio_complete" },
	{ 0x5b5fdb30, "xa_store" },
	{ 0x71798f7e, "delayed_work_timer_fn" },
	{ 0x5d4ba470, "async_schedule_node_domain" },
	{ 0xd95a9cde, "__srcu_read_unlock" },
	{ 0x3ddbf994, "sysfs_add_link_to_group" },
	{ 0x597dde29, "__tracepoint_block_bio_remap" },
	{ 0x2ebec493, "alloc_pages_noprof" },
	{ 0xb5b859a1, "blk_mq_tagset_busy_iter" },
	{ 0x8beb9de8, "nvme_auth_dhgroup_kpp" },
	{ 0xc0a38b31, "queue_limits_commit_update" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0x9b58f114, "get_random_bytes" },
	{ 0x818eb1bb, "blk_rq_map_user_iov" },
	{ 0xb6384bcc, "xa_find_after" },
	{ 0xa9098c6a, "blk_mark_disk_dead" },
	{ 0xff91662f, "blk_mq_freeze_queue_nomemsave" },
	{ 0xa6c6385e, "io_uring_cmd_import_fixed" },
	{ 0xf1de9e85, "kvfree" },
	{ 0x4992ce4a, "crypto_alloc_shash" },
	{ 0xff91662f, "blk_mq_freeze_queue_wait" },
	{ 0x18104ca6, "nvme_auth_gen_privkey" },
	{ 0xfc0126c0, "__kvmalloc_node_noprof" },
	{ 0x35aa6a66, "blk_status_to_errno" },
	{ 0x3e1d392f, "trace_handle_return" },
	{ 0x767d34a5, "blk_mq_requeue_request" },
	{ 0x0155f75b, "class_register" },
	{ 0x67628f51, "msleep" },
	{ 0x12ca6142, "ktime_get_with_offset" },
	{ 0x080a9542, "cdev_init" },
	{ 0xbd40d38d, "bdev_end_io_acct" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0x86fb3f2f, "blk_steal_bios" },
	{ 0x2de43660, "kmem_cache_destroy" },
	{ 0xaef1f20d, "system_wq" },
	{ 0x2d88a3ab, "flush_work" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x3ea6738e,
	0x23240b49,
	0x21f931bb,
	0xcd0f5a13,
	0xacd6456d,
	0x52aa9e12,
	0x71bdeedc,
	0x9f222e1e,
	0x55b7912a,
	0x5611321e,
	0xdc352a3b,
	0xdf4bee3d,
	0xe8c61750,
	0x66221de5,
	0x9f5a41cc,
	0x9f5a41cc,
	0x534ed5f3,
	0x76ceef55,
	0x1c944237,
	0x2ba3b076,
	0x809f63d8,
	0x955716a3,
	0xd272d446,
	0x64c855a5,
	0xe6befa9f,
	0x49733ad6,
	0x2b185a75,
	0xdd45951a,
	0x781c0fb7,
	0x0607f285,
	0x10c52d8d,
	0xd7f966c7,
	0xf62c71e3,
	0x6ed25a76,
	0x91e5d03a,
	0x5cbfdca3,
	0xb95d3a55,
	0xff91662f,
	0xd272d446,
	0xff91662f,
	0x2538f7d3,
	0xc8909373,
	0xfbe7861b,
	0x24b5b469,
	0x8e142c2e,
	0x21cf00c2,
	0xcb8b6ec6,
	0xad662c21,
	0xfdd4d6fd,
	0xa3dfa6c6,
	0x5366427b,
	0x0feb1e94,
	0x036b2ad0,
	0xb6d2241d,
	0x1bd70436,
	0x4ac7ac67,
	0x2352b148,
	0x0433c0cc,
	0x1db28f3b,
	0x9f5a41cc,
	0x59ed6329,
	0x451c3a29,
	0xa5a06994,
	0x68fc6f27,
	0x1354bb24,
	0xde8f95f8,
	0x22c69cfd,
	0xdd6830c7,
	0xe7cef6f5,
	0x3b955ba9,
	0x3eefa890,
	0xdc88d097,
	0xb7a59f82,
	0x593ff95c,
	0xe8213e80,
	0xa9098c6a,
	0x51587a26,
	0x9be5ac84,
	0x9d68bfcc,
	0xd272d446,
	0xb15511e4,
	0x2520ea93,
	0xd272d446,
	0x8ce83585,
	0x2e84eb5a,
	0xb95d3a55,
	0x1110cfed,
	0x0746002e,
	0x040db1d6,
	0x1640b517,
	0x328c8acb,
	0xb0e5a15b,
	0x4bb2877d,
	0x829e7721,
	0x0c161ddc,
	0x79018d57,
	0x747fb399,
	0x999a5f5f,
	0xd272d446,
	0x5b304019,
	0xbd29d1a3,
	0x3acfe6f4,
	0x1110cfed,
	0x5d14723c,
	0x77ec4453,
	0x2153d324,
	0x39502d02,
	0x7a5ffe84,
	0x743d3a4b,
	0xd272d446,
	0x981eda36,
	0xea2326af,
	0x4bb2877d,
	0x8df98a18,
	0xf74e2210,
	0xd272d446,
	0xd72c17af,
	0xf8934302,
	0x910ae4eb,
	0x4c1e7250,
	0xb34ed123,
	0x40c67e67,
	0xd09b06f5,
	0x981eda36,
	0xff91662f,
	0xdbcfbdf4,
	0x32feeafc,
	0x5d439886,
	0x6b459570,
	0x9f1d3b3a,
	0xbeb1d261,
	0x760fcb1a,
	0x5883427d,
	0x86df0568,
	0x96cfc72f,
	0x5a4baedb,
	0x69b21f31,
	0xfb090990,
	0x63268324,
	0xf8faa012,
	0xa8f0e133,
	0x1622483b,
	0xd4a96a54,
	0x5d8e9e79,
	0x639d7a37,
	0x8ce83585,
	0x4f1e5fd0,
	0xbba606e7,
	0x1110cfed,
	0xa9098c6a,
	0x5201f61b,
	0x8cb0d1eb,
	0x1db28f3b,
	0xff91662f,
	0x1646bb4b,
	0xaff69526,
	0xf521a19a,
	0xe199f25f,
	0x15b74554,
	0x13bd1246,
	0xbef5ab45,
	0x5883427d,
	0x86dec26d,
	0xb95d3a55,
	0x5373d78a,
	0x85acaba2,
	0x063fad2c,
	0x4bb2877d,
	0x91197e2a,
	0x57a9e4b2,
	0xd272d446,
	0x1110cfed,
	0x77ec4453,
	0x75251f3a,
	0xc01aafd2,
	0x9a963e9f,
	0x0db23a16,
	0xdc80534f,
	0xdd03bdb6,
	0xff91662f,
	0xec203997,
	0xb74495e5,
	0xaa9bc5da,
	0x058c185a,
	0x0a221c05,
	0xd272d446,
	0x6b459570,
	0xaf3f3ee8,
	0x8beb9de8,
	0x05541b93,
	0xdd6830c7,
	0x1640b517,
	0x0bc5fb0d,
	0x56e0a6f2,
	0x760fcb1a,
	0xaeb9f8d2,
	0x85acaba2,
	0x95fbbc48,
	0x9f5a41cc,
	0xff91662f,
	0xa76eeaf8,
	0xff91662f,
	0xb6384bcc,
	0x186bd093,
	0x9f5d4931,
	0x544e22b5,
	0x42d15c77,
	0x2d88a3ab,
	0x75738bed,
	0x597dde29,
	0x5b5fdb30,
	0x71798f7e,
	0x5d4ba470,
	0xd95a9cde,
	0x3ddbf994,
	0x597dde29,
	0x2ebec493,
	0xb5b859a1,
	0x8beb9de8,
	0xc0a38b31,
	0xd272d446,
	0x02f9bbf0,
	0xd272d446,
	0x9b58f114,
	0x818eb1bb,
	0xb6384bcc,
	0xa9098c6a,
	0xff91662f,
	0xa6c6385e,
	0xf1de9e85,
	0x4992ce4a,
	0xff91662f,
	0x18104ca6,
	0xfc0126c0,
	0x35aa6a66,
	0x3e1d392f,
	0x767d34a5,
	0x0155f75b,
	0x67628f51,
	0x12ca6142,
	0x080a9542,
	0xbd40d38d,
	0x9dc59ece,
	0x86fb3f2f,
	0x2de43660,
	0xaef1f20d,
	0x2d88a3ab,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"set_capacity_and_notify\0"
	"bio_associate_blkg\0"
	"add_uevent_var\0"
	"set_disk_ro\0"
	"__blk_alloc_disk\0"
	"ida_alloc_range\0"
	"try_module_get\0"
	"alloc_chrdev_region\0"
	"vmemmap\0"
	"blk_rq_integrity_map_user\0"
	"__list_add_valid_or_report\0"
	"alloc_workqueue\0"
	"ida_destroy\0"
	"device_remove_file_self\0"
	"param_ops_uint\0"
	"param_ops_ulong\0"
	"__msecs_to_jiffies\0"
	"__kmalloc_noprof\0"
	"dev_set_name\0"
	"bio_split_to_limits\0"
	"arch_spin_lock_wait\0"
	"trace_seq_printf\0"
	"__s390_indirect_jump_r7\0"
	"device_add_disk\0"
	"snprintf\0"
	"queue_work_on\0"
	"trace_raw_output_prep\0"
	"sysfs_streq\0"
	"blk_mq_tagset_wait_completed_request\0"
	"cdev_device_del\0"
	"param_get_bool\0"
	"__trace_trigger_soft_disabled\0"
	"finish_wait\0"
	"queue_limits_stack_bdev\0"
	"trace_event_printf\0"
	"nvme_auth_transform_key\0"
	"device_initialize\0"
	"blk_mq_unquiesce_queue\0"
	"__s390_indirect_jump_r3\0"
	"blk_mq_quiesce_queue\0"
	"trace_event_raw_init\0"
	"trace_print_symbols_seq\0"
	"memcpy\0"
	"nvme_auth_gen_shared_secret\0"
	"kstrtouint\0"
	"async_synchronize_full_domain\0"
	"kfree\0"
	"__traceiter_block_bio_remap\0"
	"__traceiter_block_bio_complete\0"
	"kblockd_schedule_work\0"
	"io_uring_cmd_import_fixed_vec\0"
	"usleep_range_state\0"
	"bpf_trace_run2\0"
	"prepare_to_wait_event\0"
	"nvme_auth_generate_digest\0"
	"disk_uevent\0"
	"timer_delete_sync\0"
	"__wake_up\0"
	"synchronize_srcu\0"
	"param_ops_byte\0"
	"get_device\0"
	"blk_mq_end_request\0"
	"__blk_mq_alloc_disk\0"
	"__dynamic_dev_dbg\0"
	"mempool_free\0"
	"node_states\0"
	"blk_mq_delay_kick_requeue_list\0"
	"sysfs_emit\0"
	"blk_mq_alloc_tag_set\0"
	"blk_rq_is_poll\0"
	"trace_event_buffer_commit\0"
	"crypto_destroy_tfm\0"
	"vm_layout\0"
	"trace_seq_putc\0"
	"_printk\0"
	"put_disk\0"
	"crypto_alloc_kpp\0"
	"cdev_device_add\0"
	"___ratelimit\0"
	"schedule\0"
	"nvme_auth_free_key\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"queue_delayed_work_on\0"
	"blk_execute_rq\0"
	"put_device\0"
	"blk_mq_unquiesce_tagset\0"
	"strnlen\0"
	"nvme_tls_psk_refresh\0"
	"blk_mq_free_request\0"
	"nvme_auth_derive_tls_psk\0"
	"__free_pages\0"
	"_dev_info\0"
	"blk_rq_map_kern\0"
	"capable\0"
	"module_put\0"
	"sysfs_create_link\0"
	"sized_strscpy\0"
	"__s390_indirect_jump_r6\0"
	"nvme_auth_gen_pubkey\0"
	"sysfs_remove_link_from_group\0"
	"blk_rq_poll\0"
	"blk_mq_quiesce_tagset\0"
	"mempool_alloc_noprof\0"
	"key_put\0"
	"kobject_uevent_env\0"
	"bio_endio\0"
	"init_wait_entry\0"
	"perf_trace_buf_alloc\0"
	"__s390_indirect_jump_r9\0"
	"init_srcu_struct\0"
	"perf_trace_run_bpf_submit\0"
	"_dev_err\0"
	"blk_revalidate_disk_zones\0"
	"crypto_shash_setkey\0"
	"synchronize_rcu\0"
	"device_add\0"
	"memchr_inv\0"
	"blk_rq_map_user_io\0"
	"mempool_free_slab\0"
	"sysfs_remove_link\0"
	"blk_execute_rq_nowait\0"
	"kstrtoint\0"
	"__srcu_read_lock\0"
	"blk_mq_unfreeze_queue_nomemrestore\0"
	"set_capacity\0"
	"mod_timer\0"
	"submit_bio_noacct\0"
	"xa_load\0"
	"nvme_auth_generate_psk\0"
	"destroy_workqueue\0"
	"mutex_lock\0"
	"blk_sync_queue\0"
	"bdev_start_io_acct\0"
	"crypto_shash_init\0"
	"strncmp\0"
	"uuid_null\0"
	"nvme_auth_hmac_name\0"
	"trace_event_reg\0"
	"kfree_sensitive\0"
	"blk_mq_alloc_request_hctx\0"
	"param_set_bool\0"
	"__io_uring_cmd_do_in_task\0"
	"blk_mq_alloc_request\0"
	"ida_free\0"
	"mod_delayed_work_on\0"
	"__list_del_entry_valid_or_report\0"
	"class_unregister\0"
	"blk_mq_free_tag_set\0"
	"del_gendisk\0"
	"__cpu_online_mask\0"
	"memcmp\0"
	"cleanup_srcu_struct\0"
	"blk_freeze_queue_start_non_owner\0"
	"opal_unlock_from_suspend\0"
	"__mutex_init\0"
	"__fortify_panic\0"
	"jiffies_to_msecs\0"
	"nvme_auth_augmented_challenge\0"
	"blk_set_stacking_limits\0"
	"blk_mq_freeze_queue_wait_timeout\0"
	"blk_put_queue\0"
	"bpf_trace_run1\0"
	"device_del\0"
	"kstrtobool\0"
	"cancel_delayed_work\0"
	"sed_ioctl\0"
	"_dev_warn\0"
	"__kmalloc_cache_node_noprof\0"
	"__vmalloc_noprof\0"
	"__s390_indirect_jump_r14\0"
	"blk_mq_wait_quiesce_done\0"
	"key_revoke\0"
	"mempool_alloc_slab\0"
	"nvme_auth_get_seqnum\0"
	"__init_waitqueue_head\0"
	"__kmem_cache_create_args\0"
	"io_uring_cmd_done\0"
	"blk_rq_unmap_user\0"
	"blk_mq_unfreeze_queue_non_owner\0"
	"kasprintf\0"
	"bdev_disk_changed\0"
	"init_opal_dev\0"
	"jiffies\0"
	"nvme_auth_generate_key\0"
	"__s390_indirect_jump_r1\0"
	"xa_erase\0"
	"bpf_trace_run3\0"
	"nvme_auth_dhgroup_name\0"
	"free_opal_dev\0"
	"sprintf\0"
	"blk_mq_complete_request\0"
	"unregister_chrdev_region\0"
	"trace_event_buffer_reserve\0"
	"mutex_unlock\0"
	"crypto_shash_finup\0"
	"cancel_delayed_work_sync\0"
	"mempool_create_node_noprof\0"
	"param_ops_bool\0"
	"blk_mq_destroy_queue\0"
	"xa_destroy\0"
	"blk_freeze_queue_start\0"
	"xa_find\0"
	"disk_live\0"
	"mempool_destroy\0"
	"__kmalloc_cache_noprof\0"
	"blk_mq_alloc_queue\0"
	"cancel_work_sync\0"
	"__warn_printk\0"
	"__tracepoint_block_bio_complete\0"
	"xa_store\0"
	"delayed_work_timer_fn\0"
	"async_schedule_node_domain\0"
	"__srcu_read_unlock\0"
	"sysfs_add_link_to_group\0"
	"__tracepoint_block_bio_remap\0"
	"alloc_pages_noprof\0"
	"blk_mq_tagset_busy_iter\0"
	"nvme_auth_dhgroup_kpp\0"
	"queue_limits_commit_update\0"
	"__s390_indirect_jump_r5\0"
	"timer_init_key\0"
	"__s390_indirect_jump_r11\0"
	"get_random_bytes\0"
	"blk_rq_map_user_iov\0"
	"xa_find_after\0"
	"blk_mark_disk_dead\0"
	"blk_mq_freeze_queue_nomemsave\0"
	"io_uring_cmd_import_fixed\0"
	"kvfree\0"
	"crypto_alloc_shash\0"
	"blk_mq_freeze_queue_wait\0"
	"nvme_auth_gen_privkey\0"
	"__kvmalloc_node_noprof\0"
	"blk_status_to_errno\0"
	"trace_handle_return\0"
	"blk_mq_requeue_request\0"
	"class_register\0"
	"msleep\0"
	"ktime_get_with_offset\0"
	"cdev_init\0"
	"bdev_end_io_acct\0"
	"kmalloc_caches\0"
	"blk_steal_bios\0"
	"kmem_cache_destroy\0"
	"system_wq\0"
	"flush_work\0"
	"module_layout\0"
;

MODULE_INFO(depends, "nvme-auth,nvme-keyring");


MODULE_INFO(srcversion, "C5892C5E577871DE8288F53");
MODULE_INFO(rhelversion, "10.99");
