#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvmet_fc_register_targetport, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_invalidate_host, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_unregister_targetport, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_fcp_req, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_fcp_abort, "_gpl", "");

SYMBOL_CRC(nvmet_fc_register_targetport, 0x1fceb73c, "_gpl");
SYMBOL_CRC(nvmet_fc_invalidate_host, 0x18bb289b, "_gpl");
SYMBOL_CRC(nvmet_fc_unregister_targetport, 0xc4e83193, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_ls_req, 0x667717d1, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_fcp_req, 0x244ad443, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_fcp_abort, 0x0cb27a0b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc45d298e, "is_vmalloc_addr" },
	{ 0x52aa9e12, "ida_alloc_range" },
	{ 0x55b7912a, "vmemmap" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xdf4bee3d, "alloc_workqueue" },
	{ 0xe8c61750, "ida_destroy" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0xdb16db44, "nvmet_req_complete" },
	{ 0x470e9e5d, "dma_unmap_page_attrs" },
	{ 0x378c70b3, "nvmet_cq_init" },
	{ 0x08a18f61, "match_u64" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x59ed6329, "get_device" },
	{ 0xfbcfaf73, "dev_driver_string" },
	{ 0xb7a59f82, "vm_layout" },
	{ 0xee02e337, "nvmet_sq_destroy" },
	{ 0x0e045415, "dma_map_page_attrs" },
	{ 0xe8213e80, "_printk" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0xb95d3a55, "put_device" },
	{ 0x76ceef55, "__kmalloc_large_noprof" },
	{ 0x0746002e, "strnlen" },
	{ 0x1795e1f0, "sgl_alloc" },
	{ 0x16af99f6, "nvmet_unregister_transport" },
	{ 0x4bb2877d, "_dev_info" },
	{ 0x378c70b3, "nvmet_cq_put" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x7c4f3926, "nvmet_req_init" },
	{ 0xb56f2b4a, "__dma_sync_single_for_cpu" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0x4bb2877d, "_dev_err" },
	{ 0xd272d446, "synchronize_rcu" },
	{ 0xbeb1d261, "destroy_workqueue" },
	{ 0x203cf60d, "nvmet_register_transport" },
	{ 0x5a4baedb, "strncmp" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x639d7a37, "ida_free" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0x2d88a3ab, "cancel_work" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0xbeb1d261, "__flush_workqueue" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xa14ac234, "nvmet_sq_init" },
	{ 0xb56f2b4a, "__dma_sync_single_for_device" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x9b58f114, "get_random_bytes" },
	{ 0xa71b08de, "dma_unmap_sg_attrs" },
	{ 0x84b1e6a8, "sgl_free" },
	{ 0xaef1f20d, "nvmet_wq" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0x3a378ff9, "dma_map_sg_attrs" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xc45d298e,
	0x52aa9e12,
	0x55b7912a,
	0xdc352a3b,
	0xdf4bee3d,
	0xe8c61750,
	0x76ceef55,
	0x809f63d8,
	0xe6befa9f,
	0x49733ad6,
	0xdb16db44,
	0x470e9e5d,
	0x378c70b3,
	0x08a18f61,
	0xd272d446,
	0xfbe7861b,
	0xcb8b6ec6,
	0x59ed6329,
	0xfbcfaf73,
	0xb7a59f82,
	0xee02e337,
	0x0e045415,
	0xe8213e80,
	0x2520ea93,
	0xd272d446,
	0xb95d3a55,
	0x76ceef55,
	0x0746002e,
	0x1795e1f0,
	0x16af99f6,
	0x4bb2877d,
	0x378c70b3,
	0xd272d446,
	0x7c4f3926,
	0xb56f2b4a,
	0xd272d446,
	0x4bb2877d,
	0xd272d446,
	0xbeb1d261,
	0x203cf60d,
	0x5a4baedb,
	0xd272d446,
	0x639d7a37,
	0x4f1e5fd0,
	0x2d88a3ab,
	0xf521a19a,
	0xd272d446,
	0xbeb1d261,
	0xd272d446,
	0xa14ac234,
	0xb56f2b4a,
	0x544e22b5,
	0x75738bed,
	0xd272d446,
	0x9b58f114,
	0xa71b08de,
	0x84b1e6a8,
	0xaef1f20d,
	0x9dc59ece,
	0x3a378ff9,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"is_vmalloc_addr\0"
	"ida_alloc_range\0"
	"vmemmap\0"
	"__list_add_valid_or_report\0"
	"alloc_workqueue\0"
	"ida_destroy\0"
	"__kmalloc_noprof\0"
	"arch_spin_lock_wait\0"
	"snprintf\0"
	"queue_work_on\0"
	"nvmet_req_complete\0"
	"dma_unmap_page_attrs\0"
	"nvmet_cq_init\0"
	"match_u64\0"
	"__s390_indirect_jump_r3\0"
	"memcpy\0"
	"kfree\0"
	"get_device\0"
	"dev_driver_string\0"
	"vm_layout\0"
	"nvmet_sq_destroy\0"
	"dma_map_page_attrs\0"
	"_printk\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"put_device\0"
	"__kmalloc_large_noprof\0"
	"strnlen\0"
	"sgl_alloc\0"
	"nvmet_unregister_transport\0"
	"_dev_info\0"
	"nvmet_cq_put\0"
	"__s390_indirect_jump_r6\0"
	"nvmet_req_init\0"
	"__dma_sync_single_for_cpu\0"
	"__s390_indirect_jump_r9\0"
	"_dev_err\0"
	"synchronize_rcu\0"
	"destroy_workqueue\0"
	"nvmet_register_transport\0"
	"strncmp\0"
	"__s390_indirect_jump_r10\0"
	"ida_free\0"
	"__list_del_entry_valid_or_report\0"
	"cancel_work\0"
	"__fortify_panic\0"
	"__s390_indirect_jump_r14\0"
	"__flush_workqueue\0"
	"__s390_indirect_jump_r1\0"
	"nvmet_sq_init\0"
	"__dma_sync_single_for_device\0"
	"__kmalloc_cache_noprof\0"
	"__warn_printk\0"
	"__s390_indirect_jump_r5\0"
	"get_random_bytes\0"
	"dma_unmap_sg_attrs\0"
	"sgl_free\0"
	"nvmet_wq\0"
	"kmalloc_caches\0"
	"dma_map_sg_attrs\0"
	"module_layout\0"
;

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "044D071A75C80853A318B37");
MODULE_INFO(rhelversion, "10.99");
