#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(uart_write_wakeup, "", "");
KSYMTAB_FUNC(uart_update_timeout, "", "");
KSYMTAB_FUNC(uart_get_baud_rate, "", "");
KSYMTAB_FUNC(uart_get_divisor, "", "");
KSYMTAB_FUNC(uart_xchar_out, "_gpl", "");
KSYMTAB_FUNC(uart_suspend_port, "", "");
KSYMTAB_FUNC(uart_resume_port, "", "");
KSYMTAB_FUNC(uart_register_driver, "", "");
KSYMTAB_FUNC(uart_unregister_driver, "", "");
KSYMTAB_FUNC(uart_console_device, "_gpl", "");
KSYMTAB_FUNC(uart_match_port, "", "");
KSYMTAB_FUNC(uart_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(uart_handle_cts_change, "_gpl", "");
KSYMTAB_FUNC(uart_insert_char, "_gpl", "");
KSYMTAB_FUNC(uart_try_toggle_sysrq, "_gpl", "");
KSYMTAB_FUNC(uart_get_rs485_mode, "_gpl", "");
KSYMTAB_FUNC(uart_add_one_port, "", "");
KSYMTAB_FUNC(uart_remove_one_port, "", "");
KSYMTAB_FUNC(uart_read_port_properties, "_gpl", "");
KSYMTAB_FUNC(uart_read_and_validate_port_properties, "_gpl", "");

SYMBOL_CRC(uart_write_wakeup, 0x63092a4e, "");
SYMBOL_CRC(uart_update_timeout, 0x880ce6d8, "");
SYMBOL_CRC(uart_get_baud_rate, 0x7b04056c, "");
SYMBOL_CRC(uart_get_divisor, 0xe1aabcba, "");
SYMBOL_CRC(uart_xchar_out, 0x7ae2a98d, "_gpl");
SYMBOL_CRC(uart_suspend_port, 0x203d0916, "");
SYMBOL_CRC(uart_resume_port, 0x203d0916, "");
SYMBOL_CRC(uart_register_driver, 0x83d58b1e, "");
SYMBOL_CRC(uart_unregister_driver, 0x2a795833, "");
SYMBOL_CRC(uart_console_device, 0x81168609, "_gpl");
SYMBOL_CRC(uart_match_port, 0x19dec8c2, "");
SYMBOL_CRC(uart_handle_dcd_change, 0x8ee493dd, "_gpl");
SYMBOL_CRC(uart_handle_cts_change, 0x8ee493dd, "_gpl");
SYMBOL_CRC(uart_insert_char, 0x15b72637, "_gpl");
SYMBOL_CRC(uart_try_toggle_sysrq, 0x7e87c26c, "_gpl");
SYMBOL_CRC(uart_get_rs485_mode, 0x50be4b7b, "_gpl");
SYMBOL_CRC(uart_add_one_port, 0xfb9e8a42, "");
SYMBOL_CRC(uart_remove_one_port, 0x4de3e039, "");
SYMBOL_CRC(uart_read_port_properties, 0x5c407ad0, "_gpl");
SYMBOL_CRC(uart_read_and_validate_port_properties, 0x5c407ad0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52aa9e12, "ida_alloc_range" },
	{ 0x700174c2, "device_set_of_node_from_dev" },
	{ 0x534ed5f3, "__msecs_to_jiffies" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x1c944237, "dev_set_name" },
	{ 0x2cb65317, "tty_port_tty_set" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0x73ff7b68, "platform_get_irq" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0xe6befa9f, "snprintf" },
	{ 0xd272d446, "__s390_indirect_jump_r13" },
	{ 0x562e3aaa, "__kfifo_in" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0xdb84851f, "tty_kref_put" },
	{ 0xf2ff7a5f, "gpiod_set_value_cansleep" },
	{ 0xb95d3a55, "device_initialize" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xf62c71e3, "add_wait_queue" },
	{ 0x8e5094c8, "tty_termios_baud_rate" },
	{ 0x292ab782, "__tty_alloc_driver" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0x563e1a25, "tty_standard_install" },
	{ 0xf7f74b18, "devm_gpiod_get_optional" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0x02e1dca7, "free_pages" },
	{ 0xdb84851f, "tty_hangup" },
	{ 0xfca6dc2b, "tty_unregister_driver" },
	{ 0x68fc6f27, "__dynamic_dev_dbg" },
	{ 0x5723059f, "msleep_interruptible" },
	{ 0xe8213e80, "_printk" },
	{ 0x9d68bfcc, "___ratelimit" },
	{ 0xd272d446, "schedule" },
	{ 0x597dde29, "__tracepoint_sched_set_state_tp" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0xb95d3a55, "put_device" },
	{ 0x0746002e, "strnlen" },
	{ 0x74dff831, "device_property_read_u32_array" },
	{ 0xf4fa66aa, "tty_std_termios" },
	{ 0x61dcc275, "tty_get_frame_size" },
	{ 0xf5e2a31c, "security_locked_down" },
	{ 0x0c161ddc, "capable" },
	{ 0x21aa0dd3, "tty_port_tty_wakeup" },
	{ 0x48fd0ca0, "get_zeroed_page_noprof" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x8e3336dd, "synchronize_irq" },
	{ 0x4bb2877d, "_dev_alert" },
	{ 0xb6fb3ffa, "tty_port_unregister_device" },
	{ 0x7a5ffe84, "init_wait_entry" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0xd7ad9ee5, "bus_unregister" },
	{ 0x09977ec6, "down_write" },
	{ 0x4bb2877d, "_dev_err" },
	{ 0x09977ec6, "up_write" },
	{ 0xd72c17af, "device_add" },
	{ 0x656b6edf, "tty_ldisc_ref" },
	{ 0xdb84851f, "tty_vhangup" },
	{ 0xfc271fad, "irq_get_irq_data" },
	{ 0xd5d4e58e, "__tty_insert_flip_string_flags" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x21aa0dd3, "tty_port_destroy" },
	{ 0x21aa0dd3, "tty_port_init" },
	{ 0x5a4baedb, "strncmp" },
	{ 0x8cf92c56, "seq_putc" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x639d7a37, "ida_free" },
	{ 0x36b09242, "driver_unregister" },
	{ 0x946604a7, "__dev_fwnode_const" },
	{ 0x503da261, "tty_ldisc_deref" },
	{ 0xde25d89a, "device_find_child" },
	{ 0x43f152f9, "mutex_lock_interruptible" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0xe199f25f, "jiffies_to_msecs" },
	{ 0xb95d3a55, "device_del" },
	{ 0x5373d78a, "kstrtobool" },
	{ 0xaf609e7d, "tty_port_register_device_attr_serdev" },
	{ 0x4623d8ce, "tty_port_close" },
	{ 0x4bb2877d, "_dev_warn" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x2247bd2b, "default_wake_function" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0xfe9be5a6, "irq_set_irq_wake" },
	{ 0xec203997, "kasprintf" },
	{ 0x26ee690d, "__kfifo_init" },
	{ 0x058c185a, "jiffies" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xdd6830c7, "sprintf" },
	{ 0x4bb2877d, "_dev_notice" },
	{ 0x91d9dec1, "fwnode_property_present" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0xd2c7d4a1, "irq_get_nr_irqs" },
	{ 0xae3eac1f, "tty_register_driver" },
	{ 0x295e80de, "platform_bus_type" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x7331cce6, "tty_name" },
	{ 0x1196918c, "tty_termios_encode_baud_rate" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xd8ce3ede, "seq_printf" },
	{ 0xf83f13c2, "tty_port_open" },
	{ 0x58914088, "nsecs_to_jiffies" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0xf62c71e3, "remove_wait_queue" },
	{ 0xd272d446, "console_list_unlock" },
	{ 0xb4e8320b, "device_property_read_bool" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0x7f05eee3, "register_console" },
	{ 0x05532304, "dev_err_probe" },
	{ 0x1e09ab17, "__seq_puts" },
	{ 0xaaf1db38, "fwnode_irq_get" },
	{ 0xd272d446, "console_list_lock" },
	{ 0x11c711bd, "driver_register" },
	{ 0x67628f51, "msleep" },
	{ 0xfca6dc2b, "tty_driver_kref_put" },
	{ 0x3e3a6de2, "__dev_fwnode" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0xb2e62cba, "__trace_set_current_state" },
	{ 0x062822fa, "bus_register" },
	{ 0x048531ee, "tty_port_tty_get" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x52aa9e12,
	0x700174c2,
	0x534ed5f3,
	0x76ceef55,
	0x1c944237,
	0x2cb65317,
	0x809f63d8,
	0x73ff7b68,
	0xd272d446,
	0xe6befa9f,
	0xd272d446,
	0x562e3aaa,
	0xf62c71e3,
	0xdb84851f,
	0xf2ff7a5f,
	0xb95d3a55,
	0xd272d446,
	0xfbe7861b,
	0xcb8b6ec6,
	0xf62c71e3,
	0x8e5094c8,
	0x292ab782,
	0xb6d2241d,
	0x563e1a25,
	0xf7f74b18,
	0x0433c0cc,
	0x02e1dca7,
	0xdb84851f,
	0xfca6dc2b,
	0x68fc6f27,
	0x5723059f,
	0xe8213e80,
	0x9d68bfcc,
	0xd272d446,
	0x597dde29,
	0xd272d446,
	0xb95d3a55,
	0x0746002e,
	0x74dff831,
	0xf4fa66aa,
	0x61dcc275,
	0xf5e2a31c,
	0x0c161ddc,
	0x21aa0dd3,
	0x48fd0ca0,
	0xd272d446,
	0x8e3336dd,
	0x4bb2877d,
	0xb6fb3ffa,
	0x7a5ffe84,
	0xd272d446,
	0xd7ad9ee5,
	0x09977ec6,
	0x4bb2877d,
	0x09977ec6,
	0xd72c17af,
	0x656b6edf,
	0xdb84851f,
	0xfc271fad,
	0xd5d4e58e,
	0x760fcb1a,
	0x21aa0dd3,
	0x21aa0dd3,
	0x5a4baedb,
	0x8cf92c56,
	0xd272d446,
	0x639d7a37,
	0x36b09242,
	0x946604a7,
	0x503da261,
	0xde25d89a,
	0x43f152f9,
	0xf521a19a,
	0xe199f25f,
	0xb95d3a55,
	0x5373d78a,
	0xaf609e7d,
	0x4623d8ce,
	0x4bb2877d,
	0xd272d446,
	0x2247bd2b,
	0x9a963e9f,
	0xfe9be5a6,
	0xec203997,
	0x26ee690d,
	0x058c185a,
	0xd272d446,
	0xd272d446,
	0xdd6830c7,
	0x4bb2877d,
	0x91d9dec1,
	0x760fcb1a,
	0xd2c7d4a1,
	0xae3eac1f,
	0x295e80de,
	0x23f25c0a,
	0x544e22b5,
	0x7331cce6,
	0x1196918c,
	0x75738bed,
	0xd8ce3ede,
	0xf83f13c2,
	0x58914088,
	0xd272d446,
	0xf62c71e3,
	0xd272d446,
	0xb4e8320b,
	0xd272d446,
	0x7f05eee3,
	0x05532304,
	0x1e09ab17,
	0xaaf1db38,
	0xd272d446,
	0x11c711bd,
	0x67628f51,
	0xfca6dc2b,
	0x3e3a6de2,
	0x9dc59ece,
	0xb2e62cba,
	0x062822fa,
	0x048531ee,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"ida_alloc_range\0"
	"device_set_of_node_from_dev\0"
	"__msecs_to_jiffies\0"
	"__kmalloc_noprof\0"
	"dev_set_name\0"
	"tty_port_tty_set\0"
	"arch_spin_lock_wait\0"
	"platform_get_irq\0"
	"__s390_indirect_jump_r7\0"
	"snprintf\0"
	"__s390_indirect_jump_r13\0"
	"__kfifo_in\0"
	"finish_wait\0"
	"tty_kref_put\0"
	"gpiod_set_value_cansleep\0"
	"device_initialize\0"
	"__s390_indirect_jump_r3\0"
	"memcpy\0"
	"kfree\0"
	"add_wait_queue\0"
	"tty_termios_baud_rate\0"
	"__tty_alloc_driver\0"
	"prepare_to_wait_event\0"
	"tty_standard_install\0"
	"devm_gpiod_get_optional\0"
	"__wake_up\0"
	"free_pages\0"
	"tty_hangup\0"
	"tty_unregister_driver\0"
	"__dynamic_dev_dbg\0"
	"msleep_interruptible\0"
	"_printk\0"
	"___ratelimit\0"
	"schedule\0"
	"__tracepoint_sched_set_state_tp\0"
	"__s390_indirect_jump_r4\0"
	"put_device\0"
	"strnlen\0"
	"device_property_read_u32_array\0"
	"tty_std_termios\0"
	"tty_get_frame_size\0"
	"security_locked_down\0"
	"capable\0"
	"tty_port_tty_wakeup\0"
	"get_zeroed_page_noprof\0"
	"__s390_indirect_jump_r6\0"
	"synchronize_irq\0"
	"_dev_alert\0"
	"tty_port_unregister_device\0"
	"init_wait_entry\0"
	"__s390_indirect_jump_r9\0"
	"bus_unregister\0"
	"down_write\0"
	"_dev_err\0"
	"up_write\0"
	"device_add\0"
	"tty_ldisc_ref\0"
	"tty_vhangup\0"
	"irq_get_irq_data\0"
	"__tty_insert_flip_string_flags\0"
	"mutex_lock\0"
	"tty_port_destroy\0"
	"tty_port_init\0"
	"strncmp\0"
	"seq_putc\0"
	"__s390_indirect_jump_r10\0"
	"ida_free\0"
	"driver_unregister\0"
	"__dev_fwnode_const\0"
	"tty_ldisc_deref\0"
	"device_find_child\0"
	"mutex_lock_interruptible\0"
	"__fortify_panic\0"
	"jiffies_to_msecs\0"
	"device_del\0"
	"kstrtobool\0"
	"tty_port_register_device_attr_serdev\0"
	"tty_port_close\0"
	"_dev_warn\0"
	"__s390_indirect_jump_r14\0"
	"default_wake_function\0"
	"__init_waitqueue_head\0"
	"irq_set_irq_wake\0"
	"kasprintf\0"
	"__kfifo_init\0"
	"jiffies\0"
	"__s390_indirect_jump_r1\0"
	"__s390_indirect_jump_r8\0"
	"sprintf\0"
	"_dev_notice\0"
	"fwnode_property_present\0"
	"mutex_unlock\0"
	"irq_get_nr_irqs\0"
	"tty_register_driver\0"
	"platform_bus_type\0"
	"__dynamic_pr_debug\0"
	"__kmalloc_cache_noprof\0"
	"tty_name\0"
	"tty_termios_encode_baud_rate\0"
	"__warn_printk\0"
	"seq_printf\0"
	"tty_port_open\0"
	"nsecs_to_jiffies\0"
	"__s390_indirect_jump_r5\0"
	"remove_wait_queue\0"
	"console_list_unlock\0"
	"device_property_read_bool\0"
	"__s390_indirect_jump_r11\0"
	"register_console\0"
	"dev_err_probe\0"
	"__seq_puts\0"
	"fwnode_irq_get\0"
	"console_list_lock\0"
	"driver_register\0"
	"msleep\0"
	"tty_driver_kref_put\0"
	"__dev_fwnode\0"
	"kmalloc_caches\0"
	"__trace_set_current_state\0"
	"bus_register\0"
	"tty_port_tty_get\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "730E2B0A778A80A4BF5B3E7");
MODULE_INFO(rhelversion, "10.99");
