#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0x3e4215d5, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x00fae4c4, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0x46e60dda, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x6e67f528, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0x947699ae, "_gpl");
SYMBOL_CRC(lockd_up, 0x0164db1b, "_gpl");
SYMBOL_CRC(lockd_down, 0xfb548d50, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0xd3c4eb1e, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0xa025884d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1971118d, "rpc_put_task" },
	{ 0xbbccd444, "svc_generic_rpcbind_set" },
	{ 0xb0e96c6a, "svc_wake_up" },
	{ 0x3170695f, "__ipv6_addr_type" },
	{ 0x19517bac, "__init_rwsem" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xb9ead14f, "bpf_trace_run4" },
	{ 0xb7b27bcf, "rpc_shutdown_client" },
	{ 0xd7b47c34, "svc_bind" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x847495f9, "proc_create" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0xc8bec8fa, "svc_recv" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x0b6f12d1, "xdr_inline_decode" },
	{ 0x2b185a75, "trace_raw_output_prep" },
	{ 0xd272d446, "__s390_indirect_jump_r13" },
	{ 0xda44517b, "simple_strtol" },
	{ 0xca72576a, "locks_end_grace" },
	{ 0xd7f966c7, "__trace_trigger_soft_disabled" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0x91e5d03a, "trace_event_printf" },
	{ 0xe6bd56c9, "refcount_dec_and_mutex_lock" },
	{ 0x41de7873, "__printk_ratelimit" },
	{ 0x5e505530, "set_freezable" },
	{ 0x57497e3c, "prepare_to_wait" },
	{ 0x4c3c0cc0, "genlmsg_put" },
	{ 0xb2fa43dd, "kernel_sigaction" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0x2538f7d3, "trace_event_raw_init" },
	{ 0xc8909373, "trace_print_symbols_seq" },
	{ 0xfbe7861b, "memcpy" },
	{ 0x918b5543, "simple_transaction_get" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x691e8d5a, "vfs_test_lock" },
	{ 0x6ac784f4, "schedule_timeout_interruptible" },
	{ 0xc8bec8fa, "svc_exit_thread" },
	{ 0xa821e6f2, "rpc_ntop" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0x2352b148, "timer_delete_sync" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0x34360028, "xdr_encode_opaque" },
	{ 0x34360028, "xdr_encode_opaque_fixed" },
	{ 0x10c52d8d, "param_get_ulong" },
	{ 0xd6e1d28a, "rpc_run_task" },
	{ 0x4ac07c8f, "__put_cred" },
	{ 0xe9e575b1, "register_pernet_subsys" },
	{ 0xc02da3e1, "locks_in_grace" },
	{ 0x0b83e348, "wake_up_process" },
	{ 0x3eefa890, "trace_event_buffer_commit" },
	{ 0x09dd69e9, "__refrigerator" },
	{ 0x6c4966d3, "proc_dobool" },
	{ 0x95b25dd8, "locks_lock_inode_wait" },
	{ 0x44decd6f, "freezer_active" },
	{ 0xe8213e80, "_printk" },
	{ 0x9d68bfcc, "___ratelimit" },
	{ 0x6ac784f4, "schedule_timeout" },
	{ 0x789502a7, "sysctl_vals" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x8ce83585, "queue_delayed_work_on" },
	{ 0x93ff54f6, "unregister_sysctl_table" },
	{ 0xa26f1eaa, "locks_release_private" },
	{ 0x0746002e, "strnlen" },
	{ 0xfd285498, "unregister_inetaddr_notifier" },
	{ 0x77ce0d16, "__alloc_skb" },
	{ 0xa26f1eaa, "locks_init_lock" },
	{ 0x999a5f5f, "sized_strscpy" },
	{ 0x3c56caf3, "simple_transaction_release" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0xae9fd003, "svc_xprt_put" },
	{ 0x7a5ffe84, "init_wait_entry" },
	{ 0x02dd1477, "svc_age_temp_xprts_now" },
	{ 0x743d3a4b, "perf_trace_buf_alloc" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0xea2326af, "perf_trace_run_bpf_submit" },
	{ 0x09977ec6, "down_write" },
	{ 0x6e6829a1, "init_net" },
	{ 0x09977ec6, "up_write" },
	{ 0x04e57d79, "svc_set_num_threads" },
	{ 0xc449c76b, "svc_rpcb_cleanup" },
	{ 0xdbb02967, "memchr" },
	{ 0xc6e09ce4, "refcount_dec_if_one" },
	{ 0x96178613, "sk_skb_reason_drop" },
	{ 0xc1642df1, "netlink_unicast" },
	{ 0x32feeafc, "mod_timer" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x691e8d5a, "vfs_cancel_lock" },
	{ 0x3500e6c8, "nla_put" },
	{ 0x6c4966d3, "proc_doulongvec_minmax" },
	{ 0x63268324, "trace_event_reg" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0x5201f61b, "__cpu_online_mask" },
	{ 0x8cb0d1eb, "memcmp" },
	{ 0xaff69526, "__mutex_init" },
	{ 0xf296206e, "nlm_debug" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0x92770176, "freezing_slow_path" },
	{ 0x285a28d8, "rpc_create" },
	{ 0xb01312a6, "svc_destroy" },
	{ 0x66b814fd, "wake_up_var" },
	{ 0x5763eed4, "rpc_call_start" },
	{ 0x5707bbb8, "svc_create" },
	{ 0x6e754b73, "default_llseek" },
	{ 0x404157c1, "rpc_call_sync" },
	{ 0x0597563f, "proc_mkdir" },
	{ 0x33d65850, "unregister_pernet_subsys" },
	{ 0xb3916437, "register_sysctl_sz" },
	{ 0x64bea734, "vfs_lock_file" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x6c4966d3, "proc_douintvec" },
	{ 0xe04f34a4, "rpc_delay" },
	{ 0xfd285498, "unregister_inet6addr_notifier" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0x0077a64c, "svc_generic_init_request" },
	{ 0x09977ec6, "down_read" },
	{ 0xf5eb60e1, "svc_set_client" },
	{ 0x0b6f12d1, "xdr_reserve_space" },
	{ 0x058c185a, "jiffies" },
	{ 0xbccc96bf, "kthread_create_on_node" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xdd6830c7, "sprintf" },
	{ 0xb7b27bcf, "rpc_force_rebind" },
	{ 0x56e0a6f2, "trace_event_buffer_reserve" },
	{ 0x7bcdb96f, "crc32_le_arch" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0x85acaba2, "cancel_delayed_work_sync" },
	{ 0x9f5a41cc, "param_ops_bool" },
	{ 0x7c4fd655, "rpc_restart_call" },
	{ 0xc449c76b, "svc_xprt_destroy_all" },
	{ 0xfd285498, "register_inet6addr_notifier" },
	{ 0xf3530b9a, "remove_proc_entry" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x97acb853, "ktime_get" },
	{ 0x75738bed, "__warn_printk" },
	{ 0x56ed69e5, "svc_find_xprt" },
	{ 0x71798f7e, "delayed_work_timer_fn" },
	{ 0x0a589842, "simple_strtoul" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0xfd50039f, "svc_print_addr" },
	{ 0x5ccfed25, "autoremove_wake_function" },
	{ 0x33edaacf, "genl_unregister_family" },
	{ 0xfd285498, "register_inetaddr_notifier" },
	{ 0xa8c3aa19, "locks_delete_block" },
	{ 0xf717eb51, "locks_start_grace" },
	{ 0xf852a92c, "refcount_dec_and_lock" },
	{ 0x10c52d8d, "param_get_int" },
	{ 0x5ec34a98, "genl_register_family" },
	{ 0xf8e1b842, "simple_read_from_buffer" },
	{ 0x3e1d392f, "trace_handle_return" },
	{ 0x09977ec6, "up_read" },
	{ 0x0c3ce3d8, "svc_xprt_create" },
	{ 0xad90b2c8, "rpc_wait_for_completion_task" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0xbd30707e, "locks_copy_lock" },
	{ 0xaef1f20d, "system_wq" },
	{ 0x6c4966d3, "proc_dointvec_minmax" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x1971118d,
	0xbbccd444,
	0xb0e96c6a,
	0x3170695f,
	0x19517bac,
	0xdc352a3b,
	0xb9ead14f,
	0xb7b27bcf,
	0xd7b47c34,
	0x76ceef55,
	0x847495f9,
	0x809f63d8,
	0xd272d446,
	0xc8bec8fa,
	0xe6befa9f,
	0x0b6f12d1,
	0x2b185a75,
	0xd272d446,
	0xda44517b,
	0xca72576a,
	0xd7f966c7,
	0xf62c71e3,
	0x91e5d03a,
	0xe6bd56c9,
	0x41de7873,
	0x5e505530,
	0x57497e3c,
	0x4c3c0cc0,
	0xb2fa43dd,
	0xd272d446,
	0x2538f7d3,
	0xc8909373,
	0xfbe7861b,
	0x918b5543,
	0xcb8b6ec6,
	0x691e8d5a,
	0x6ac784f4,
	0xc8bec8fa,
	0xa821e6f2,
	0xb6d2241d,
	0x2352b148,
	0x0433c0cc,
	0x34360028,
	0x34360028,
	0x10c52d8d,
	0xd6e1d28a,
	0x4ac07c8f,
	0xe9e575b1,
	0xc02da3e1,
	0x0b83e348,
	0x3eefa890,
	0x09dd69e9,
	0x6c4966d3,
	0x95b25dd8,
	0x44decd6f,
	0xe8213e80,
	0x9d68bfcc,
	0x6ac784f4,
	0x789502a7,
	0x2520ea93,
	0xd272d446,
	0x8ce83585,
	0x93ff54f6,
	0xa26f1eaa,
	0x0746002e,
	0xfd285498,
	0x77ce0d16,
	0xa26f1eaa,
	0x999a5f5f,
	0x3c56caf3,
	0xd272d446,
	0xae9fd003,
	0x7a5ffe84,
	0x02dd1477,
	0x743d3a4b,
	0xd272d446,
	0xea2326af,
	0x09977ec6,
	0x6e6829a1,
	0x09977ec6,
	0x04e57d79,
	0xc449c76b,
	0xdbb02967,
	0xc6e09ce4,
	0x96178613,
	0xc1642df1,
	0x32feeafc,
	0x760fcb1a,
	0x691e8d5a,
	0x3500e6c8,
	0x6c4966d3,
	0x63268324,
	0x4f1e5fd0,
	0x5201f61b,
	0x8cb0d1eb,
	0xaff69526,
	0xf296206e,
	0xf521a19a,
	0x92770176,
	0x285a28d8,
	0xb01312a6,
	0x66b814fd,
	0x5763eed4,
	0x5707bbb8,
	0x6e754b73,
	0x404157c1,
	0x0597563f,
	0x33d65850,
	0xb3916437,
	0x64bea734,
	0xd272d446,
	0x6c4966d3,
	0xe04f34a4,
	0xfd285498,
	0x9a963e9f,
	0x0077a64c,
	0x09977ec6,
	0xf5eb60e1,
	0x0b6f12d1,
	0x058c185a,
	0xbccc96bf,
	0xd272d446,
	0xd272d446,
	0xdd6830c7,
	0xb7b27bcf,
	0x56e0a6f2,
	0x7bcdb96f,
	0x760fcb1a,
	0x85acaba2,
	0x9f5a41cc,
	0x7c4fd655,
	0xc449c76b,
	0xfd285498,
	0xf3530b9a,
	0x544e22b5,
	0x97acb853,
	0x75738bed,
	0x56ed69e5,
	0x71798f7e,
	0x0a589842,
	0xd272d446,
	0x02f9bbf0,
	0xfd50039f,
	0x5ccfed25,
	0x33edaacf,
	0xfd285498,
	0xa8c3aa19,
	0xf717eb51,
	0xf852a92c,
	0x10c52d8d,
	0x5ec34a98,
	0xf8e1b842,
	0x3e1d392f,
	0x09977ec6,
	0x0c3ce3d8,
	0xad90b2c8,
	0x9dc59ece,
	0xbd30707e,
	0xaef1f20d,
	0x6c4966d3,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"rpc_put_task\0"
	"svc_generic_rpcbind_set\0"
	"svc_wake_up\0"
	"__ipv6_addr_type\0"
	"__init_rwsem\0"
	"__list_add_valid_or_report\0"
	"bpf_trace_run4\0"
	"rpc_shutdown_client\0"
	"svc_bind\0"
	"__kmalloc_noprof\0"
	"proc_create\0"
	"arch_spin_lock_wait\0"
	"__s390_indirect_jump_r7\0"
	"svc_recv\0"
	"snprintf\0"
	"xdr_inline_decode\0"
	"trace_raw_output_prep\0"
	"__s390_indirect_jump_r13\0"
	"simple_strtol\0"
	"locks_end_grace\0"
	"__trace_trigger_soft_disabled\0"
	"finish_wait\0"
	"trace_event_printf\0"
	"refcount_dec_and_mutex_lock\0"
	"__printk_ratelimit\0"
	"set_freezable\0"
	"prepare_to_wait\0"
	"genlmsg_put\0"
	"kernel_sigaction\0"
	"__s390_indirect_jump_r3\0"
	"trace_event_raw_init\0"
	"trace_print_symbols_seq\0"
	"memcpy\0"
	"simple_transaction_get\0"
	"kfree\0"
	"vfs_test_lock\0"
	"schedule_timeout_interruptible\0"
	"svc_exit_thread\0"
	"rpc_ntop\0"
	"prepare_to_wait_event\0"
	"timer_delete_sync\0"
	"__wake_up\0"
	"xdr_encode_opaque\0"
	"xdr_encode_opaque_fixed\0"
	"param_get_ulong\0"
	"rpc_run_task\0"
	"__put_cred\0"
	"register_pernet_subsys\0"
	"locks_in_grace\0"
	"wake_up_process\0"
	"trace_event_buffer_commit\0"
	"__refrigerator\0"
	"proc_dobool\0"
	"locks_lock_inode_wait\0"
	"freezer_active\0"
	"_printk\0"
	"___ratelimit\0"
	"schedule_timeout\0"
	"sysctl_vals\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"queue_delayed_work_on\0"
	"unregister_sysctl_table\0"
	"locks_release_private\0"
	"strnlen\0"
	"unregister_inetaddr_notifier\0"
	"__alloc_skb\0"
	"locks_init_lock\0"
	"sized_strscpy\0"
	"simple_transaction_release\0"
	"__s390_indirect_jump_r6\0"
	"svc_xprt_put\0"
	"init_wait_entry\0"
	"svc_age_temp_xprts_now\0"
	"perf_trace_buf_alloc\0"
	"__s390_indirect_jump_r9\0"
	"perf_trace_run_bpf_submit\0"
	"down_write\0"
	"init_net\0"
	"up_write\0"
	"svc_set_num_threads\0"
	"svc_rpcb_cleanup\0"
	"memchr\0"
	"refcount_dec_if_one\0"
	"sk_skb_reason_drop\0"
	"netlink_unicast\0"
	"mod_timer\0"
	"mutex_lock\0"
	"vfs_cancel_lock\0"
	"nla_put\0"
	"proc_doulongvec_minmax\0"
	"trace_event_reg\0"
	"__list_del_entry_valid_or_report\0"
	"__cpu_online_mask\0"
	"memcmp\0"
	"__mutex_init\0"
	"nlm_debug\0"
	"__fortify_panic\0"
	"freezing_slow_path\0"
	"rpc_create\0"
	"svc_destroy\0"
	"wake_up_var\0"
	"rpc_call_start\0"
	"svc_create\0"
	"default_llseek\0"
	"rpc_call_sync\0"
	"proc_mkdir\0"
	"unregister_pernet_subsys\0"
	"register_sysctl_sz\0"
	"vfs_lock_file\0"
	"__s390_indirect_jump_r14\0"
	"proc_douintvec\0"
	"rpc_delay\0"
	"unregister_inet6addr_notifier\0"
	"__init_waitqueue_head\0"
	"svc_generic_init_request\0"
	"down_read\0"
	"svc_set_client\0"
	"xdr_reserve_space\0"
	"jiffies\0"
	"kthread_create_on_node\0"
	"__s390_indirect_jump_r1\0"
	"__s390_indirect_jump_r8\0"
	"sprintf\0"
	"rpc_force_rebind\0"
	"trace_event_buffer_reserve\0"
	"crc32_le_arch\0"
	"mutex_unlock\0"
	"cancel_delayed_work_sync\0"
	"param_ops_bool\0"
	"rpc_restart_call\0"
	"svc_xprt_destroy_all\0"
	"register_inet6addr_notifier\0"
	"remove_proc_entry\0"
	"__kmalloc_cache_noprof\0"
	"ktime_get\0"
	"__warn_printk\0"
	"svc_find_xprt\0"
	"delayed_work_timer_fn\0"
	"simple_strtoul\0"
	"__s390_indirect_jump_r5\0"
	"timer_init_key\0"
	"svc_print_addr\0"
	"autoremove_wake_function\0"
	"genl_unregister_family\0"
	"register_inetaddr_notifier\0"
	"locks_delete_block\0"
	"locks_start_grace\0"
	"refcount_dec_and_lock\0"
	"param_get_int\0"
	"genl_register_family\0"
	"simple_read_from_buffer\0"
	"trace_handle_return\0"
	"up_read\0"
	"svc_xprt_create\0"
	"rpc_wait_for_completion_task\0"
	"kmalloc_caches\0"
	"locks_copy_lock\0"
	"system_wq\0"
	"proc_dointvec_minmax\0"
	"module_layout\0"
;

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "18E0FCE1DFDBF7CD4E1A500");
MODULE_INFO(rhelversion, "10.99");
