#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_alloc_folioq_buffer, "", "");
KSYMTAB_FUNC(netfs_free_folioq_buffer, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_read_subreq_progress, "", "");
KSYMTAB_FUNC(netfs_read_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_single_mark_inode_dirty, "", "");
KSYMTAB_FUNC(netfs_read_single, "", "");
KSYMTAB_FUNC(netfs_folioq_alloc, "", "");
KSYMTAB_FUNC(netfs_folioq_free, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_prepare_write_failed, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_writeback_single, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0xdacac555, "");
SYMBOL_CRC(netfs_read_folio, 0x334c2a9a, "");
SYMBOL_CRC(netfs_write_begin, 0xfc9aab24, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0x63c19e42, "");
SYMBOL_CRC(netfs_file_read_iter, 0x63c19e42, "");
SYMBOL_CRC(netfs_perform_write, 0x527e4dee, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0x6493d027, "");
SYMBOL_CRC(netfs_file_write_iter, 0x74c332f4, "");
SYMBOL_CRC(netfs_page_mkwrite, 0x8e77ad00, "");
SYMBOL_CRC(netfs_unbuffered_read_iter_locked, 0x63c19e42, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0x63c19e42, "");
SYMBOL_CRC(netfs_unbuffered_write_iter_locked, 0x527e4dee, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0x74c332f4, "");
SYMBOL_CRC(netfs_extract_user_iter, 0x6556e570, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0x48bd41bc, "");
SYMBOL_CRC(netfs_start_io_read, 0x8b19033a, "");
SYMBOL_CRC(netfs_end_io_read, 0xaaad5672, "");
SYMBOL_CRC(netfs_start_io_write, 0x8b19033a, "");
SYMBOL_CRC(netfs_end_io_write, 0xaaad5672, "");
SYMBOL_CRC(netfs_start_io_direct, 0x8b19033a, "");
SYMBOL_CRC(netfs_end_io_direct, 0xaaad5672, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0x597dde29, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0xcf75fa7b, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0xc3135944, "");
SYMBOL_CRC(netfs_alloc_folioq_buffer, 0x37a06979, "");
SYMBOL_CRC(netfs_free_folioq_buffer, 0x7c3fcb67, "");
SYMBOL_CRC(netfs_dirty_folio, 0x459de5d5, "");
SYMBOL_CRC(netfs_unpin_writeback, 0xcf8d42c1, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0x5e4096f6, "");
SYMBOL_CRC(netfs_invalidate_folio, 0xefddd51a, "");
SYMBOL_CRC(netfs_release_folio, 0x285d2427, "");
SYMBOL_CRC(netfs_read_subreq_progress, 0x6146d19b, "");
SYMBOL_CRC(netfs_read_subreq_terminated, 0x6146d19b, "");
SYMBOL_CRC(netfs_single_mark_inode_dirty, 0xaaad5672, "");
SYMBOL_CRC(netfs_read_single, 0x3536d065, "");
SYMBOL_CRC(netfs_folioq_alloc, 0xbbb14f89, "");
SYMBOL_CRC(netfs_folioq_free, 0x0feb8810, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x0884d088, "");
SYMBOL_CRC(netfs_prepare_write_failed, 0x6146d19b, "");
SYMBOL_CRC(netfs_writepages, 0xabfdc884, "");
SYMBOL_CRC(netfs_writeback_single, 0xc2e05ba2, "");
SYMBOL_CRC(netfs_stats_show, 0x523cce33, "");
SYMBOL_CRC(fscache_addremove_sem, 0x61c85f07, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x13951b77, "");
SYMBOL_CRC(fscache_acquire_cache, 0x7bb96863, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x7607f87d, "");
SYMBOL_CRC(fscache_add_cache, 0xee22da31, "");
SYMBOL_CRC(fscache_io_error, 0x7607f87d, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x7607f87d, "");
SYMBOL_CRC(fscache_end_cookie_access, 0xd5136b53, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xa69a2393, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0xa69a2393, "");
SYMBOL_CRC(fscache_caching_failed, 0xa69a2393, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xf9da6593, "");
SYMBOL_CRC(__fscache_use_cookie, 0x0666d39d, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xc2298b4d, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xa69a2393, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x5ffe7ec1, "");
SYMBOL_CRC(fscache_put_cookie, 0xdc8282af, "");
SYMBOL_CRC(fscache_get_cookie, 0x2423578a, "");
SYMBOL_CRC(__fscache_invalidate, 0xac0ad914, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xe36938bc, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xf89d748a, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xf89d748a, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x9c274313, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x00ac1d64, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x0435c0ff, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x597dde29, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xc9c916af, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0xc3135944, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x597dde29, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0xccd3ca83, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0xc3135944, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x597dde29, "");
SYMBOL_CRC(__traceiter_fscache_access, 0x8bc48726, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0xc3135944, "");
SYMBOL_CRC(fscache_wq, 0xaef1f20d, "");
SYMBOL_CRC(fscache_try_get_volume, 0xdd790ad9, "");
SYMBOL_CRC(fscache_end_volume_access, 0x47d3f1e6, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x24d54bb6, "");
SYMBOL_CRC(fscache_put_volume, 0x5514b749, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x1f1b6574, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xd3bf6ada, "");
SYMBOL_CRC(fscache_n_updates, 0x2182515b, "");
SYMBOL_CRC(fscache_n_read, 0x2182515b, "");
SYMBOL_CRC(fscache_n_write, 0x2182515b, "");
SYMBOL_CRC(fscache_n_no_write_space, 0x2182515b, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x2182515b, "");
SYMBOL_CRC(fscache_n_culled, 0x2182515b, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2182515b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad9c1a74, "vfs_fsync_range" },
	{ 0x29f08e9e, "wbc_detach_inode" },
	{ 0x55b7912a, "vmemmap" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xdf4bee3d, "alloc_workqueue" },
	{ 0xb9ead14f, "bpf_trace_run4" },
	{ 0x5c43984c, "kiocb_write_and_wait" },
	{ 0x9f5a41cc, "param_ops_uint" },
	{ 0x22ea3c4c, "filemap_range_has_page" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x527c4f43, "__folio_batch_release" },
	{ 0x3fc3dc31, "folio_unlock" },
	{ 0x394c59cf, "seq_list_next" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0x2b185a75, "trace_raw_output_prep" },
	{ 0xd272d446, "__s390_indirect_jump_r13" },
	{ 0xac491997, "seq_list_start_head" },
	{ 0xd7f966c7, "__trace_trigger_soft_disabled" },
	{ 0xe77655f4, "filemap_fdatawrite_range" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0x4a80064c, "iov_iter_advance" },
	{ 0x91e5d03a, "trace_event_printf" },
	{ 0x7ecdf08f, "xas_find" },
	{ 0x9dc1265e, "folio_redirty_for_writepage" },
	{ 0xb4a7bc8d, "iov_iter_folio_queue" },
	{ 0x57497e3c, "prepare_to_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0x2538f7d3, "trace_event_raw_init" },
	{ 0xc8909373, "trace_print_symbols_seq" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xbef48592, "unmap_mapping_range" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xc653853b, "invalidate_inode_pages2_range" },
	{ 0x036b2ad0, "bpf_trace_run2" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0xe2f59f75, "out_of_line_wait_on_bit" },
	{ 0x39dd4ac3, "remove_proc_subtree" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0x356743f4, "folio_clear_dirty_for_io" },
	{ 0x1354bb24, "mempool_free" },
	{ 0x51a77cf6, "copy_folio_from_iter_atomic" },
	{ 0xc1656d34, "wbc_attach_fdatawrite_inode" },
	{ 0x3eefa890, "trace_event_buffer_commit" },
	{ 0x32feeafc, "timer_reduce" },
	{ 0xe77655f4, "filemap_fdatawrite_range_kick" },
	{ 0xa9849b09, "arch_write_lock_wait" },
	{ 0xe8213e80, "_printk" },
	{ 0x6ac784f4, "schedule_timeout" },
	{ 0xd272d446, "schedule" },
	{ 0x597dde29, "__tracepoint_sched_set_state_tp" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x5b70e2a4, "__filemap_set_wb_err" },
	{ 0x61b7ac00, "__filemap_get_folio" },
	{ 0x77f8b825, "filemap_invalidate_inode" },
	{ 0x356743f4, "folio_mark_dirty" },
	{ 0xcc410e9c, "init_wait_var_entry" },
	{ 0x29d12a64, "bit_wait" },
	{ 0xb82d68eb, "__var_waitqueue" },
	{ 0x28eb2666, "iov_iter_extract_pages" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x3fc3dc31, "folio_wait_private_2" },
	{ 0x7851be11, "__cond_resched" },
	{ 0x44decd6f, "hugetlb_optimize_vmemmap_key" },
	{ 0x72eacc13, "kmem_cache_size" },
	{ 0x5d14723c, "mempool_alloc_noprof" },
	{ 0x9c3773cb, "readahead_expand" },
	{ 0x743d3a4b, "perf_trace_buf_alloc" },
	{ 0x6e7737e6, "__folio_lock_killable" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0xea2326af, "perf_trace_run_bpf_submit" },
	{ 0xa9849b09, "arch_read_lock_wait" },
	{ 0x09977ec6, "down_write" },
	{ 0x09977ec6, "up_write" },
	{ 0x4c1e7250, "mempool_free_slab" },
	{ 0x0297537d, "out_of_line_wait_on_bit_timeout" },
	{ 0xed6c1e7f, "bpf_trace_run5" },
	{ 0xba3ad3a3, "inode_dio_finished" },
	{ 0xbeb1d261, "destroy_workqueue" },
	{ 0xc03fe7bf, "file_update_time" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x90954000, "kmem_cache_free" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x8cf92c56, "seq_putc" },
	{ 0x63268324, "trace_event_reg" },
	{ 0xc03fe7bf, "file_remove_privs" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0x5201f61b, "__cpu_online_mask" },
	{ 0x8cb0d1eb, "memcmp" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0x66b814fd, "wake_up_var" },
	{ 0x7e56c4e0, "__folio_start_writeback" },
	{ 0x86dec26d, "bpf_trace_run1" },
	{ 0x3fc3dc31, "folio_end_writeback" },
	{ 0x8a29a769, "folio_alloc_noprof" },
	{ 0x4459ab6c, "down_read_interruptible" },
	{ 0x0597563f, "proc_mkdir" },
	{ 0xea3ab95a, "inode_dio_wait_interruptible" },
	{ 0xc45ea11d, "iov_iter_bvec" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x2352b148, "timer_shutdown_sync" },
	{ 0x95705b24, "unpin_user_page" },
	{ 0x75251f3a, "mempool_alloc_slab" },
	{ 0xa41a674c, "kmem_cache_alloc_noprof" },
	{ 0x783f158a, "kmemdup_noprof" },
	{ 0x3fc3dc31, "folio_end_private_2" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0x0db23a16, "__kmem_cache_create_args" },
	{ 0x3dfcbaab, "writeback_iter" },
	{ 0x09977ec6, "down_read" },
	{ 0x43f152f9, "mutex_trylock" },
	{ 0x058c185a, "jiffies" },
	{ 0xf8b32d2a, "set_page_dirty" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xce4af33b, "kstrdup" },
	{ 0xaf3f3ee8, "bpf_trace_run3" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xb9fcd065, "call_rcu" },
	{ 0x29d12a64, "bit_wait_timeout" },
	{ 0x56e0a6f2, "trace_event_buffer_reserve" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0x4459ab6c, "down_write_killable" },
	{ 0xadd140f6, "filemap_fdatawait_range" },
	{ 0x99076ee4, "seq_write" },
	{ 0xa274d656, "__folio_put" },
	{ 0xf3530b9a, "remove_proc_entry" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x2d88a3ab, "cancel_work_sync" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xd8ce3ede, "seq_printf" },
	{ 0xbeee4d90, "iov_iter_zero" },
	{ 0x54bb82db, "touch_atime" },
	{ 0xd6ee1659, "filemap_read" },
	{ 0xc7ef2e35, "__percpu_down_read" },
	{ 0xef97a9d0, "balance_dirty_pages_ratelimited_flags" },
	{ 0x09977ec6, "downgrade_write" },
	{ 0x5cdf0545, "filemap_dirty_folio" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0xaef1f20d, "system_unbound_wq" },
	{ 0x89aac395, "rcuwait_wake_up" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0xe6a2a545, "errseq_set" },
	{ 0x26aa10e6, "iov_iter_xarray" },
	{ 0x5ccfed25, "autoremove_wake_function" },
	{ 0x8c42ffe5, "proc_create_single_data" },
	{ 0x7dfde5ed, "filemap_write_and_wait_range" },
	{ 0x8a3fdcde, "folio_wait_writeback_killable" },
	{ 0x76e81210, "mempool_init_noprof" },
	{ 0x2b6ff0a1, "proc_symlink" },
	{ 0xe8e0a5a9, "wake_up_bit" },
	{ 0x6917d5fb, "generic_write_checks" },
	{ 0x4790c0fc, "iov_iter_revert" },
	{ 0xf1de9e85, "kvfree" },
	{ 0x8e1e58a1, "proc_create_seq_private" },
	{ 0x0c00efb2, "__mark_inode_dirty" },
	{ 0x6e7737e6, "folio_wait_private_2_killable" },
	{ 0xfc0126c0, "__kvmalloc_node_noprof" },
	{ 0x3e1d392f, "trace_handle_return" },
	{ 0x09977ec6, "up_read" },
	{ 0xc1bc39e1, "iov_iter_npages" },
	{ 0x67a0a075, "fault_in_iov_iter_readable" },
	{ 0x67628f51, "msleep" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0xb2e62cba, "__trace_set_current_state" },
	{ 0x9f5d4931, "mempool_exit" },
	{ 0x2de43660, "kmem_cache_destroy" },
	{ 0xaef1f20d, "system_wq" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xad9c1a74,
	0x29f08e9e,
	0x55b7912a,
	0xdc352a3b,
	0xdf4bee3d,
	0xb9ead14f,
	0x5c43984c,
	0x9f5a41cc,
	0x22ea3c4c,
	0x76ceef55,
	0x527c4f43,
	0x3fc3dc31,
	0x394c59cf,
	0x809f63d8,
	0xd272d446,
	0x49733ad6,
	0x2b185a75,
	0xd272d446,
	0xac491997,
	0xd7f966c7,
	0xe77655f4,
	0xf62c71e3,
	0x4a80064c,
	0x91e5d03a,
	0x7ecdf08f,
	0x9dc1265e,
	0xb4a7bc8d,
	0x57497e3c,
	0xd272d446,
	0x2538f7d3,
	0xc8909373,
	0xfbe7861b,
	0xbef48592,
	0xcb8b6ec6,
	0xc653853b,
	0x036b2ad0,
	0xb6d2241d,
	0xe2f59f75,
	0x39dd4ac3,
	0x0433c0cc,
	0x356743f4,
	0x1354bb24,
	0x51a77cf6,
	0xc1656d34,
	0x3eefa890,
	0x32feeafc,
	0xe77655f4,
	0xa9849b09,
	0xe8213e80,
	0x6ac784f4,
	0xd272d446,
	0x597dde29,
	0x2520ea93,
	0xd272d446,
	0x5b70e2a4,
	0x61b7ac00,
	0x77f8b825,
	0x356743f4,
	0xcc410e9c,
	0x29d12a64,
	0xb82d68eb,
	0x28eb2666,
	0xd272d446,
	0x3fc3dc31,
	0x7851be11,
	0x44decd6f,
	0x72eacc13,
	0x5d14723c,
	0x9c3773cb,
	0x743d3a4b,
	0x6e7737e6,
	0xd272d446,
	0xea2326af,
	0xa9849b09,
	0x09977ec6,
	0x09977ec6,
	0x4c1e7250,
	0x0297537d,
	0xed6c1e7f,
	0xba3ad3a3,
	0xbeb1d261,
	0xc03fe7bf,
	0x760fcb1a,
	0x90954000,
	0xd272d446,
	0x8cf92c56,
	0x63268324,
	0xc03fe7bf,
	0x4f1e5fd0,
	0x5201f61b,
	0x8cb0d1eb,
	0xf521a19a,
	0x66b814fd,
	0x7e56c4e0,
	0x86dec26d,
	0x3fc3dc31,
	0x8a29a769,
	0x4459ab6c,
	0x0597563f,
	0xea3ab95a,
	0xc45ea11d,
	0xd272d446,
	0x2352b148,
	0x95705b24,
	0x75251f3a,
	0xa41a674c,
	0x783f158a,
	0x3fc3dc31,
	0x9a963e9f,
	0x0db23a16,
	0x3dfcbaab,
	0x09977ec6,
	0x43f152f9,
	0x058c185a,
	0xf8b32d2a,
	0xd272d446,
	0xce4af33b,
	0xaf3f3ee8,
	0xd272d446,
	0xb9fcd065,
	0x29d12a64,
	0x56e0a6f2,
	0x760fcb1a,
	0x4459ab6c,
	0xadd140f6,
	0x99076ee4,
	0xa274d656,
	0xf3530b9a,
	0x544e22b5,
	0x2d88a3ab,
	0x75738bed,
	0xd8ce3ede,
	0xbeee4d90,
	0x54bb82db,
	0xd6ee1659,
	0xc7ef2e35,
	0xef97a9d0,
	0x09977ec6,
	0x5cdf0545,
	0xd272d446,
	0xaef1f20d,
	0x89aac395,
	0xd272d446,
	0xe6a2a545,
	0x26aa10e6,
	0x5ccfed25,
	0x8c42ffe5,
	0x7dfde5ed,
	0x8a3fdcde,
	0x76e81210,
	0x2b6ff0a1,
	0xe8e0a5a9,
	0x6917d5fb,
	0x4790c0fc,
	0xf1de9e85,
	0x8e1e58a1,
	0x0c00efb2,
	0x6e7737e6,
	0xfc0126c0,
	0x3e1d392f,
	0x09977ec6,
	0xc1bc39e1,
	0x67a0a075,
	0x67628f51,
	0x9dc59ece,
	0xb2e62cba,
	0x9f5d4931,
	0x2de43660,
	0xaef1f20d,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"vfs_fsync_range\0"
	"wbc_detach_inode\0"
	"vmemmap\0"
	"__list_add_valid_or_report\0"
	"alloc_workqueue\0"
	"bpf_trace_run4\0"
	"kiocb_write_and_wait\0"
	"param_ops_uint\0"
	"filemap_range_has_page\0"
	"__kmalloc_noprof\0"
	"__folio_batch_release\0"
	"folio_unlock\0"
	"seq_list_next\0"
	"arch_spin_lock_wait\0"
	"__s390_indirect_jump_r7\0"
	"queue_work_on\0"
	"trace_raw_output_prep\0"
	"__s390_indirect_jump_r13\0"
	"seq_list_start_head\0"
	"__trace_trigger_soft_disabled\0"
	"filemap_fdatawrite_range\0"
	"finish_wait\0"
	"iov_iter_advance\0"
	"trace_event_printf\0"
	"xas_find\0"
	"folio_redirty_for_writepage\0"
	"iov_iter_folio_queue\0"
	"prepare_to_wait\0"
	"__s390_indirect_jump_r3\0"
	"trace_event_raw_init\0"
	"trace_print_symbols_seq\0"
	"memcpy\0"
	"unmap_mapping_range\0"
	"kfree\0"
	"invalidate_inode_pages2_range\0"
	"bpf_trace_run2\0"
	"prepare_to_wait_event\0"
	"out_of_line_wait_on_bit\0"
	"remove_proc_subtree\0"
	"__wake_up\0"
	"folio_clear_dirty_for_io\0"
	"mempool_free\0"
	"copy_folio_from_iter_atomic\0"
	"wbc_attach_fdatawrite_inode\0"
	"trace_event_buffer_commit\0"
	"timer_reduce\0"
	"filemap_fdatawrite_range_kick\0"
	"arch_write_lock_wait\0"
	"_printk\0"
	"schedule_timeout\0"
	"schedule\0"
	"__tracepoint_sched_set_state_tp\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"__filemap_set_wb_err\0"
	"__filemap_get_folio\0"
	"filemap_invalidate_inode\0"
	"folio_mark_dirty\0"
	"init_wait_var_entry\0"
	"bit_wait\0"
	"__var_waitqueue\0"
	"iov_iter_extract_pages\0"
	"__s390_indirect_jump_r6\0"
	"folio_wait_private_2\0"
	"__cond_resched\0"
	"hugetlb_optimize_vmemmap_key\0"
	"kmem_cache_size\0"
	"mempool_alloc_noprof\0"
	"readahead_expand\0"
	"perf_trace_buf_alloc\0"
	"__folio_lock_killable\0"
	"__s390_indirect_jump_r9\0"
	"perf_trace_run_bpf_submit\0"
	"arch_read_lock_wait\0"
	"down_write\0"
	"up_write\0"
	"mempool_free_slab\0"
	"out_of_line_wait_on_bit_timeout\0"
	"bpf_trace_run5\0"
	"inode_dio_finished\0"
	"destroy_workqueue\0"
	"file_update_time\0"
	"mutex_lock\0"
	"kmem_cache_free\0"
	"__s390_indirect_jump_r10\0"
	"seq_putc\0"
	"trace_event_reg\0"
	"file_remove_privs\0"
	"__list_del_entry_valid_or_report\0"
	"__cpu_online_mask\0"
	"memcmp\0"
	"__fortify_panic\0"
	"wake_up_var\0"
	"__folio_start_writeback\0"
	"bpf_trace_run1\0"
	"folio_end_writeback\0"
	"folio_alloc_noprof\0"
	"down_read_interruptible\0"
	"proc_mkdir\0"
	"inode_dio_wait_interruptible\0"
	"iov_iter_bvec\0"
	"__s390_indirect_jump_r14\0"
	"timer_shutdown_sync\0"
	"unpin_user_page\0"
	"mempool_alloc_slab\0"
	"kmem_cache_alloc_noprof\0"
	"kmemdup_noprof\0"
	"folio_end_private_2\0"
	"__init_waitqueue_head\0"
	"__kmem_cache_create_args\0"
	"writeback_iter\0"
	"down_read\0"
	"mutex_trylock\0"
	"jiffies\0"
	"set_page_dirty\0"
	"__s390_indirect_jump_r1\0"
	"kstrdup\0"
	"bpf_trace_run3\0"
	"__s390_indirect_jump_r8\0"
	"call_rcu\0"
	"bit_wait_timeout\0"
	"trace_event_buffer_reserve\0"
	"mutex_unlock\0"
	"down_write_killable\0"
	"filemap_fdatawait_range\0"
	"seq_write\0"
	"__folio_put\0"
	"remove_proc_entry\0"
	"__kmalloc_cache_noprof\0"
	"cancel_work_sync\0"
	"__warn_printk\0"
	"seq_printf\0"
	"iov_iter_zero\0"
	"touch_atime\0"
	"filemap_read\0"
	"__percpu_down_read\0"
	"balance_dirty_pages_ratelimited_flags\0"
	"downgrade_write\0"
	"filemap_dirty_folio\0"
	"__s390_indirect_jump_r5\0"
	"system_unbound_wq\0"
	"rcuwait_wake_up\0"
	"__s390_indirect_jump_r11\0"
	"errseq_set\0"
	"iov_iter_xarray\0"
	"autoremove_wake_function\0"
	"proc_create_single_data\0"
	"filemap_write_and_wait_range\0"
	"folio_wait_writeback_killable\0"
	"mempool_init_noprof\0"
	"proc_symlink\0"
	"wake_up_bit\0"
	"generic_write_checks\0"
	"iov_iter_revert\0"
	"kvfree\0"
	"proc_create_seq_private\0"
	"__mark_inode_dirty\0"
	"folio_wait_private_2_killable\0"
	"__kvmalloc_node_noprof\0"
	"trace_handle_return\0"
	"up_read\0"
	"iov_iter_npages\0"
	"fault_in_iov_iter_readable\0"
	"msleep\0"
	"kmalloc_caches\0"
	"__trace_set_current_state\0"
	"mempool_exit\0"
	"kmem_cache_destroy\0"
	"system_wq\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5E5130562B9B7D44158B993");
MODULE_INFO(rhelversion, "10.99");
