#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libceph_compatible, "", "");
KSYMTAB_FUNC(ceph_msg_type_name, "", "");
KSYMTAB_FUNC(ceph_check_fsid, "", "");
KSYMTAB_FUNC(ceph_compare_options, "", "");
KSYMTAB_FUNC(ceph_parse_fsid, "", "");
KSYMTAB_FUNC(ceph_alloc_options, "", "");
KSYMTAB_FUNC(ceph_destroy_options, "", "");
KSYMTAB_FUNC(ceph_parse_mon_ips, "", "");
KSYMTAB_FUNC(ceph_parse_param, "", "");
KSYMTAB_FUNC(ceph_print_client_options, "", "");
KSYMTAB_FUNC(ceph_client_addr, "", "");
KSYMTAB_FUNC(ceph_client_gid, "", "");
KSYMTAB_FUNC(ceph_create_client, "", "");
KSYMTAB_FUNC(ceph_destroy_client, "", "");
KSYMTAB_FUNC(ceph_reset_client_addr, "", "");
KSYMTAB_FUNC(__ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_wait_for_latest_osdmap, "", "");
KSYMTAB_FUNC(ceph_pr_addr, "", "");
KSYMTAB_FUNC(ceph_msgr_flush, "", "");
KSYMTAB_FUNC(ceph_con_close, "", "");
KSYMTAB_FUNC(ceph_con_open, "", "");
KSYMTAB_FUNC(ceph_con_init, "", "");
KSYMTAB_FUNC(ceph_addr_is_blank, "", "");
KSYMTAB_FUNC(ceph_con_send, "", "");
KSYMTAB_FUNC(ceph_con_keepalive, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pages, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pagelist, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bio, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bvecs, "", "");
KSYMTAB_FUNC(ceph_msg_new2, "", "");
KSYMTAB_FUNC(ceph_msg_new, "", "");
KSYMTAB_FUNC(ceph_msg_get, "", "");
KSYMTAB_FUNC(ceph_msg_put, "", "");
KSYMTAB_FUNC(ceph_msg_dump, "", "");
KSYMTAB_FUNC(ceph_buffer_new, "", "");
KSYMTAB_FUNC(ceph_buffer_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_alloc, "", "");
KSYMTAB_FUNC(ceph_pagelist_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_append, "", "");
KSYMTAB_FUNC(ceph_pagelist_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_free_reserve, "", "");
KSYMTAB_FUNC(ceph_monc_want_map, "", "");
KSYMTAB_FUNC(ceph_monc_got_map, "", "");
KSYMTAB_FUNC(ceph_monc_renew_subs, "", "");
KSYMTAB_FUNC(ceph_monc_wait_osdmap, "", "");
KSYMTAB_FUNC(ceph_monc_open_session, "", "");
KSYMTAB_FUNC(ceph_monc_do_statfs, "", "");
KSYMTAB_FUNC(ceph_monc_get_version, "", "");
KSYMTAB_FUNC(ceph_monc_get_version_async, "", "");
KSYMTAB_FUNC(ceph_monc_blocklist_add, "", "");
KSYMTAB_FUNC(ceph_monc_init, "", "");
KSYMTAB_FUNC(ceph_monc_stop, "", "");
KSYMTAB_FUNC(ceph_monc_validate_auth, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addr, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addrvec, "", "");
KSYMTAB_FUNC(ceph_cls_lock, "", "");
KSYMTAB_FUNC(ceph_cls_unlock, "", "");
KSYMTAB_FUNC(ceph_cls_break_lock, "", "");
KSYMTAB_FUNC(ceph_cls_set_cookie, "", "");
KSYMTAB_FUNC(ceph_free_lockers, "", "");
KSYMTAB_FUNC(ceph_cls_lock_info, "", "");
KSYMTAB_FUNC(ceph_cls_assert_locked, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data, "", "");
KSYMTAB_FUNC(osd_req_op_raw_data_in_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bio, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvec_pos, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_iter, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_cls_response_data_pages, "", "");
KSYMTAB_FUNC(ceph_osdc_get_request, "", "");
KSYMTAB_FUNC(ceph_osdc_put_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_messages, "", "");
KSYMTAB_FUNC(osd_req_op_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_update, "", "");
KSYMTAB_FUNC(osd_req_op_extent_dup_last, "", "");
KSYMTAB_FUNC(osd_req_op_cls_init, "", "");
KSYMTAB_FUNC(osd_req_op_xattr_init, "", "");
KSYMTAB_FUNC(osd_req_op_alloc_hint_init, "", "");
KSYMTAB_FUNC(ceph_osdc_new_request, "", "");
KSYMTAB_FUNC(__ceph_alloc_sparse_ext_map, "", "");
KSYMTAB_FUNC(ceph_osdc_abort_requests, "", "");
KSYMTAB_FUNC(ceph_osdc_clear_abort_err, "", "");
KSYMTAB_FUNC(ceph_osdc_update_epoch_barrier, "", "");
KSYMTAB_FUNC(ceph_osdc_start_request, "", "");
KSYMTAB_FUNC(ceph_osdc_cancel_request, "", "");
KSYMTAB_FUNC(ceph_osdc_wait_request, "", "");
KSYMTAB_FUNC(ceph_osdc_sync, "", "");
KSYMTAB_FUNC(ceph_osdc_watch, "", "");
KSYMTAB_FUNC(ceph_osdc_unwatch, "", "");
KSYMTAB_FUNC(ceph_osdc_notify_ack, "", "");
KSYMTAB_FUNC(ceph_osdc_notify, "", "");
KSYMTAB_FUNC(ceph_osdc_list_watchers, "", "");
KSYMTAB_FUNC(ceph_osdc_flush_notifies, "", "");
KSYMTAB_FUNC(ceph_osdc_maybe_request_map, "", "");
KSYMTAB_FUNC(ceph_osdc_call, "", "");
KSYMTAB_FUNC(osd_req_op_copy_from_init, "", "");
KSYMTAB_FUNC(ceph_pg_pool_name_by_id, "", "");
KSYMTAB_FUNC(ceph_pg_poolid_by_name, "", "");
KSYMTAB_FUNC(ceph_pg_pool_flags, "", "");
KSYMTAB_FUNC(ceph_oloc_copy, "", "");
KSYMTAB_FUNC(ceph_oloc_destroy, "", "");
KSYMTAB_FUNC(ceph_oid_copy, "", "");
KSYMTAB_FUNC(ceph_oid_printf, "", "");
KSYMTAB_FUNC(ceph_oid_aprintf, "", "");
KSYMTAB_FUNC(ceph_oid_destroy, "", "");
KSYMTAB_FUNC(ceph_object_locator_to_pg, "", "");
KSYMTAB_FUNC(ceph_pg_to_acting_primary, "", "");
KSYMTAB_FUNC(ceph_calc_file_object_mapping, "", "");
KSYMTAB_FUNC(ceph_file_to_extents, "", "");
KSYMTAB_FUNC(ceph_iterate_extents, "", "");
KSYMTAB_FUNC(ceph_extent_to_file, "", "");
KSYMTAB_FUNC(ceph_get_num_objects, "", "");
KSYMTAB_FUNC(ceph_auth_is_authenticated, "", "");
KSYMTAB_FUNC(__ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_destroy_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_add_authorizer_challenge, "", "");
KSYMTAB_FUNC(ceph_auth_verify_authorizer_reply, "", "");
KSYMTAB_FUNC(ceph_auth_invalidate_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_more, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_done, "", "");
KSYMTAB_FUNC(ceph_auth_handle_bad_authorizer, "", "");
KSYMTAB_FUNC(ceph_entity_type_name, "", "");
KSYMTAB_FUNC(ceph_str_hash, "", "");
KSYMTAB_FUNC(ceph_str_hash_name, "", "");
KSYMTAB_FUNC(ceph_put_page_vector, "", "");
KSYMTAB_FUNC(ceph_release_page_vector, "", "");
KSYMTAB_FUNC(ceph_alloc_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_from_page_vector, "", "");
KSYMTAB_FUNC(ceph_zero_page_vector_range, "", "");
KSYMTAB_FUNC(ceph_create_snap_context, "", "");
KSYMTAB_FUNC(ceph_get_snap_context, "", "");
KSYMTAB_FUNC(ceph_put_snap_context, "", "");
KSYMTAB_FUNC(ceph_find_or_create_string, "", "");
KSYMTAB_FUNC(ceph_release_string, "", "");

SYMBOL_CRC(libceph_compatible, 0xd3b2b3b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xa8c86de0, "");
SYMBOL_CRC(ceph_check_fsid, 0x6afa9486, "");
SYMBOL_CRC(ceph_compare_options, 0x33c1740e, "");
SYMBOL_CRC(ceph_parse_fsid, 0xe36de2f0, "");
SYMBOL_CRC(ceph_alloc_options, 0x1ac55997, "");
SYMBOL_CRC(ceph_destroy_options, 0x958257c9, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0x46a427ba, "");
SYMBOL_CRC(ceph_parse_param, 0xd65971ba, "");
SYMBOL_CRC(ceph_print_client_options, 0x467f039a, "");
SYMBOL_CRC(ceph_client_addr, 0xf573bdc5, "");
SYMBOL_CRC(ceph_client_gid, 0x186e81c9, "");
SYMBOL_CRC(ceph_create_client, 0xc9e4fe7f, "");
SYMBOL_CRC(ceph_destroy_client, 0xa5c85e99, "");
SYMBOL_CRC(ceph_reset_client_addr, 0xa5c85e99, "");
SYMBOL_CRC(__ceph_open_session, 0xa878d8ad, "");
SYMBOL_CRC(ceph_open_session, 0xd14dedc5, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0x7d5f689f, "");
SYMBOL_CRC(ceph_pr_addr, 0xc38ceba7, "");
SYMBOL_CRC(ceph_msgr_flush, 0xd272d446, "");
SYMBOL_CRC(ceph_con_close, 0x9895d288, "");
SYMBOL_CRC(ceph_con_open, 0x549d63ab, "");
SYMBOL_CRC(ceph_con_init, 0x516df6d0, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xfcdf987a, "");
SYMBOL_CRC(ceph_con_send, 0x4bccb281, "");
SYMBOL_CRC(ceph_con_keepalive, 0x9895d288, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0xd5c7abaf, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0x75d6a7ce, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0x572e1a7f, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0x019342e0, "");
SYMBOL_CRC(ceph_msg_new2, 0x640a8886, "");
SYMBOL_CRC(ceph_msg_new, 0x56b109cb, "");
SYMBOL_CRC(ceph_msg_get, 0xa538d0ae, "");
SYMBOL_CRC(ceph_msg_put, 0xd3385ed3, "");
SYMBOL_CRC(ceph_msg_dump, 0xd3385ed3, "");
SYMBOL_CRC(ceph_buffer_new, 0x45a2ceef, "");
SYMBOL_CRC(ceph_buffer_release, 0x29256d3a, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0x852ca66f, "");
SYMBOL_CRC(ceph_pagelist_release, 0xccf3c414, "");
SYMBOL_CRC(ceph_pagelist_append, 0x1f2e15d3, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0x2a9d8b5b, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0x39414a89, "");
SYMBOL_CRC(ceph_monc_want_map, 0xe4c15661, "");
SYMBOL_CRC(ceph_monc_got_map, 0x42a0855f, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0x33e7d0be, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0xc2197be0, "");
SYMBOL_CRC(ceph_monc_open_session, 0x230b27fe, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0x847912fa, "");
SYMBOL_CRC(ceph_monc_get_version, 0xd9a4bf16, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0xa9770d6a, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0x0c43f4bb, "");
SYMBOL_CRC(ceph_monc_init, 0xda761dd9, "");
SYMBOL_CRC(ceph_monc_stop, 0x33e7d0be, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0x230b27fe, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0x8ebbcf70, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x5a9f6807, "");
SYMBOL_CRC(ceph_cls_lock, 0xa91af32c, "");
SYMBOL_CRC(ceph_cls_unlock, 0x530a8ec4, "");
SYMBOL_CRC(ceph_cls_break_lock, 0x67b9799a, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0xd660f719, "");
SYMBOL_CRC(ceph_free_lockers, 0x9af3f921, "");
SYMBOL_CRC(ceph_cls_lock_info, 0x9b7716dd, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0xc642dd03, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0x585e92a9, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0xa03e9dab, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0xa03e9dab, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0xaf770232, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0x4fc85f5b, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0xc1704922, "");
SYMBOL_CRC(osd_req_op_extent_osd_iter, 0x4edc0571, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0xa03e9dab, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0x4fc85f5b, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0xa03e9dab, "");
SYMBOL_CRC(ceph_osdc_get_request, 0xfb49381f, "");
SYMBOL_CRC(ceph_osdc_put_request, 0xfb49381f, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0x867e1c28, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0xa4ffd21e, "");
SYMBOL_CRC(osd_req_op_init, 0xf4d55f8d, "");
SYMBOL_CRC(osd_req_op_extent_init, 0xb40146b3, "");
SYMBOL_CRC(osd_req_op_extent_update, 0x9d1fbcb6, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0xdfbb4547, "");
SYMBOL_CRC(osd_req_op_cls_init, 0x3bf5269e, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0xe5338e34, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0x1388c8b4, "");
SYMBOL_CRC(ceph_osdc_new_request, 0x6bc89fbb, "");
SYMBOL_CRC(__ceph_alloc_sparse_ext_map, 0xbff71a9a, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0x27e6520c, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0x8d54acb5, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0x54b92676, "");
SYMBOL_CRC(ceph_osdc_start_request, 0x6a33a13e, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0xfb49381f, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0x8644c518, "");
SYMBOL_CRC(ceph_osdc_sync, 0x8d54acb5, "");
SYMBOL_CRC(ceph_osdc_watch, 0x9a34730b, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0x6ee313ab, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0xb7e89fde, "");
SYMBOL_CRC(ceph_osdc_notify, 0xd301f5fb, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0x4423a7e0, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0x8d54acb5, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0x8d54acb5, "");
SYMBOL_CRC(ceph_osdc_call, 0xd7e7d051, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0x36ea9f1c, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0x07d2cfcf, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0x14cdfc8b, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0x28cfbaa9, "");
SYMBOL_CRC(ceph_oloc_copy, 0xd0594c14, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x86a86e11, "");
SYMBOL_CRC(ceph_oid_copy, 0xf09e4707, "");
SYMBOL_CRC(ceph_oid_printf, 0x21a7b0af, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5ea4ceca, "");
SYMBOL_CRC(ceph_oid_destroy, 0xb20b56f1, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0x34b580d7, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0x114da3dd, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0xdf6c3a51, "");
SYMBOL_CRC(ceph_file_to_extents, 0x91750625, "");
SYMBOL_CRC(ceph_iterate_extents, 0x7e26a559, "");
SYMBOL_CRC(ceph_extent_to_file, 0x84ed4388, "");
SYMBOL_CRC(ceph_get_num_objects, 0x064474b3, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0x5a91336d, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0x9a1b1ce1, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xc041a5c9, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0x49b8679d, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0x43521f47, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0x75f6a0c6, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0x76a2bd37, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0x2514287f, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0x45b17394, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0xbac6e965, "");
SYMBOL_CRC(ceph_entity_type_name, 0xa8c86de0, "");
SYMBOL_CRC(ceph_str_hash, 0xd431550e, "");
SYMBOL_CRC(ceph_str_hash_name, 0xa8c86de0, "");
SYMBOL_CRC(ceph_put_page_vector, 0xcdbc81ec, "");
SYMBOL_CRC(ceph_release_page_vector, 0x2aed4d94, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0x3db46c58, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0x560a628a, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0x6ade10e9, "");
SYMBOL_CRC(ceph_create_snap_context, 0x7d85396f, "");
SYMBOL_CRC(ceph_get_snap_context, 0x0e40a33a, "");
SYMBOL_CRC(ceph_put_snap_context, 0x43467527, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x85358eb6, "");
SYMBOL_CRC(ceph_release_string, 0xe17a368f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e4da377, "crypto_skcipher_encrypt" },
	{ 0xc45d298e, "is_vmalloc_addr" },
	{ 0x37f3ece1, "completion_done" },
	{ 0xf602e067, "tcp_sock_set_cork" },
	{ 0x55b7912a, "vmemmap" },
	{ 0x19517bac, "__init_rwsem" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xdf4bee3d, "alloc_workqueue" },
	{ 0x95a03085, "vsprintf" },
	{ 0x985b4740, "__get_random_u32_below" },
	{ 0x2182515b, "__num_online_cpus" },
	{ 0x534ed5f3, "__msecs_to_jiffies" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0xbc0a045a, "fs_param_is_string" },
	{ 0x429aa582, "vmalloc_to_page" },
	{ 0xfbe7861b, "memmove" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0xd272d446, "__s390_indirect_jump_r13" },
	{ 0xd648ae19, "sg_free_table" },
	{ 0x5490c000, "rb_next" },
	{ 0x23109dc0, "__init_swait_queue_head" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0x4a80064c, "iov_iter_advance" },
	{ 0x329fc928, "in6_pton" },
	{ 0xc6c1baf3, "unregister_key_type" },
	{ 0x57497e3c, "prepare_to_wait" },
	{ 0x8185249a, "iov_iter_get_pages2" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xbd9aacde, "round_jiffies_relative" },
	{ 0x66526f72, "sg_init_one" },
	{ 0x335aca6e, "seq_lseek" },
	{ 0xbc0a045a, "fs_param_is_enum" },
	{ 0x2a310422, "logfc" },
	{ 0x1cae0f9e, "crypto_alloc_aead" },
	{ 0x597dde29, "__tracepoint_sk_data_ready" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0xa76983f0, "crypto_aead_setauthsize" },
	{ 0xe7724030, "crypto_aead_decrypt" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0x2a5a557c, "crypto_skcipher_setkey" },
	{ 0x9a7a254c, "vsnprintf" },
	{ 0xb87b2e11, "filemap_alloc_folio_noprof" },
	{ 0xf5d8d228, "rb_insert_color" },
	{ 0x1354bb24, "mempool_free" },
	{ 0xb8ca37ea, "register_key_type" },
	{ 0x4459ab6c, "down_read_trylock" },
	{ 0xdc88d097, "crypto_destroy_tfm" },
	{ 0xb7a59f82, "vm_layout" },
	{ 0xbc0a045a, "fs_param_is_u32" },
	{ 0xbd03ed67, "empty_zero_page" },
	{ 0xe8213e80, "_printk" },
	{ 0x329fc928, "in4_pton" },
	{ 0x9d68bfcc, "___ratelimit" },
	{ 0xd272d446, "schedule" },
	{ 0x6ac784f4, "schedule_timeout" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x8ce83585, "queue_delayed_work_on" },
	{ 0x5e4da377, "crypto_skcipher_decrypt" },
	{ 0xb0e5a15b, "__free_pages" },
	{ 0xa9a1b3e4, "print_hex_dump" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0xb09bc67d, "sg_alloc_table" },
	{ 0x44decd6f, "hugetlb_optimize_vmemmap_key" },
	{ 0xe6068fa8, "dns_query" },
	{ 0xebd58bae, "seq_escape_mem" },
	{ 0x97427af7, "kstrndup" },
	{ 0x5d14723c, "mempool_alloc_noprof" },
	{ 0x77ec4453, "key_put" },
	{ 0x6152f81f, "crypto_aead_setkey" },
	{ 0x7a5ffe84, "init_wait_entry" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0x1690648c, "byte_rev_table" },
	{ 0x09977ec6, "down_write" },
	{ 0xaf35bedf, "__traceiter_sk_data_ready" },
	{ 0x4c3f741c, "crypto_req_done" },
	{ 0x09977ec6, "up_write" },
	{ 0xf74e2210, "crypto_shash_setkey" },
	{ 0xf8934302, "memchr_inv" },
	{ 0x4c1e7250, "mempool_free_slab" },
	{ 0xdbb02967, "memchr" },
	{ 0xe7724030, "crypto_aead_encrypt" },
	{ 0xbeb1d261, "destroy_workqueue" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x90954000, "kmem_cache_free" },
	{ 0x96cfc72f, "crypto_shash_init" },
	{ 0xefe166ff, "debugfs_remove" },
	{ 0x5a4baedb, "strncmp" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x8cf92c56, "seq_putc" },
	{ 0x8a23df34, "set_normalized_timespec64" },
	{ 0x500232fb, "mutex_is_locked" },
	{ 0xf5d8d228, "rb_erase" },
	{ 0xf8faa012, "kfree_sensitive" },
	{ 0xd1a591a2, "iov_iter_kvec" },
	{ 0x9902a2f5, "wait_for_completion_interruptible" },
	{ 0x8ce83585, "mod_delayed_work_on" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0x65b87582, "sock_sendmsg" },
	{ 0x680628e7, "ktime_get_real_ts64" },
	{ 0x5201f61b, "__cpu_online_mask" },
	{ 0x8cb0d1eb, "memcmp" },
	{ 0x173ec8da, "sscanf" },
	{ 0xaff69526, "__mutex_init" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0xe199f25f, "jiffies_to_msecs" },
	{ 0x9902a2f5, "wait_for_completion_killable" },
	{ 0x9b4b48a0, "_ctype" },
	{ 0x73974006, "sg_alloc_table_from_pages_segment" },
	{ 0x85acaba2, "cancel_delayed_work" },
	{ 0xe7804fff, "kernel_connect" },
	{ 0xc45ea11d, "iov_iter_bvec" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x8ff86be9, "wait_for_completion" },
	{ 0xbeb1d261, "__flush_workqueue" },
	{ 0x75251f3a, "mempool_alloc_slab" },
	{ 0xa41a674c, "kmem_cache_alloc_noprof" },
	{ 0x783f158a, "kmemdup_noprof" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0x50629d65, "rb_first" },
	{ 0x8ff86be9, "complete_all" },
	{ 0x0d67eb46, "crypto_alloc_sync_skcipher" },
	{ 0x0db23a16, "__kmem_cache_create_args" },
	{ 0x6179b6e8, "__crypto_memneq" },
	{ 0x09977ec6, "down_read" },
	{ 0x058c185a, "jiffies" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0x095688ee, "seq_read" },
	{ 0x49aa7f73, "__put_net" },
	{ 0x7a6661ca, "ktime_get_real_seconds" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xdd6830c7, "sprintf" },
	{ 0xa4c0178c, "kvfree_call_rcu" },
	{ 0xa5c7582d, "strsep" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0xaeb9f8d2, "crypto_shash_finup" },
	{ 0x85acaba2, "cancel_delayed_work_sync" },
	{ 0x95fbbc48, "mempool_create_node_noprof" },
	{ 0xd277caa9, "sock_create_kern" },
	{ 0x6af45bae, "wait_for_completion_killable_timeout" },
	{ 0x4c2787e5, "request_key_tag" },
	{ 0xf95c72fe, "generic_key_instantiate" },
	{ 0x99076ee4, "seq_write" },
	{ 0x9f5d4931, "mempool_destroy" },
	{ 0xa274d656, "__folio_put" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x97acb853, "ktime_get" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xd8ce3ede, "seq_printf" },
	{ 0x995754fa, "sock_recvmsg" },
	{ 0x71798f7e, "delayed_work_timer_fn" },
	{ 0x5223daaa, "set_page_dirty_lock" },
	{ 0xc3283d68, "sock_release" },
	{ 0xb4667972, "iov_iter_discard" },
	{ 0x6f9de33e, "debugfs_create_file_full" },
	{ 0x09977ec6, "downgrade_write" },
	{ 0x2ebec493, "alloc_pages_noprof" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x64923a08, "single_release" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0x7bcdb96f, "crc32c_arch" },
	{ 0x9b58f114, "get_random_bytes" },
	{ 0x40ba394a, "tcp_sock_set_nodelay" },
	{ 0x321bb45e, "__fs_parse" },
	{ 0x5ccfed25, "autoremove_wake_function" },
	{ 0x7851be11, "wait_for_random_bytes" },
	{ 0x4790c0fc, "iov_iter_revert" },
	{ 0xf1de9e85, "kvfree" },
	{ 0x55ba13d3, "single_open" },
	{ 0x296b9459, "strchr" },
	{ 0x4992ce4a, "crypto_alloc_shash" },
	{ 0xfa07e204, "debugfs_create_dir" },
	{ 0x378adfb4, "kernel_sendmsg" },
	{ 0xfc0126c0, "__kvmalloc_node_noprof" },
	{ 0x09977ec6, "up_read" },
	{ 0x9cb91b7f, "sg_init_table" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0x2de43660, "kmem_cache_destroy" },
	{ 0xaef1f20d, "system_wq" },
	{ 0x74b331ef, "jiffies_to_timespec64" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x5e4da377,
	0xc45d298e,
	0x37f3ece1,
	0xf602e067,
	0x55b7912a,
	0x19517bac,
	0xdc352a3b,
	0xdf4bee3d,
	0x95a03085,
	0x985b4740,
	0x2182515b,
	0x534ed5f3,
	0x76ceef55,
	0xbc0a045a,
	0x429aa582,
	0xfbe7861b,
	0x809f63d8,
	0xd272d446,
	0xe6befa9f,
	0x49733ad6,
	0xd272d446,
	0xd648ae19,
	0x5490c000,
	0x23109dc0,
	0xf62c71e3,
	0x4a80064c,
	0x329fc928,
	0xc6c1baf3,
	0x57497e3c,
	0x8185249a,
	0xd272d446,
	0xfbe7861b,
	0xcb8b6ec6,
	0xbd9aacde,
	0x66526f72,
	0x335aca6e,
	0xbc0a045a,
	0x2a310422,
	0x1cae0f9e,
	0x597dde29,
	0xb6d2241d,
	0xa76983f0,
	0xe7724030,
	0x0433c0cc,
	0x2a5a557c,
	0x9a7a254c,
	0xb87b2e11,
	0xf5d8d228,
	0x1354bb24,
	0xb8ca37ea,
	0x4459ab6c,
	0xdc88d097,
	0xb7a59f82,
	0xbc0a045a,
	0xbd03ed67,
	0xe8213e80,
	0x329fc928,
	0x9d68bfcc,
	0xd272d446,
	0x6ac784f4,
	0x2520ea93,
	0xd272d446,
	0x8ce83585,
	0x5e4da377,
	0xb0e5a15b,
	0xa9a1b3e4,
	0xd272d446,
	0xb09bc67d,
	0x44decd6f,
	0xe6068fa8,
	0xebd58bae,
	0x97427af7,
	0x5d14723c,
	0x77ec4453,
	0x6152f81f,
	0x7a5ffe84,
	0xd272d446,
	0x1690648c,
	0x09977ec6,
	0xaf35bedf,
	0x4c3f741c,
	0x09977ec6,
	0xf74e2210,
	0xf8934302,
	0x4c1e7250,
	0xdbb02967,
	0xe7724030,
	0xbeb1d261,
	0x760fcb1a,
	0x90954000,
	0x96cfc72f,
	0xefe166ff,
	0x5a4baedb,
	0xd272d446,
	0x8cf92c56,
	0x8a23df34,
	0x500232fb,
	0xf5d8d228,
	0xf8faa012,
	0xd1a591a2,
	0x9902a2f5,
	0x8ce83585,
	0x4f1e5fd0,
	0x65b87582,
	0x680628e7,
	0x5201f61b,
	0x8cb0d1eb,
	0x173ec8da,
	0xaff69526,
	0xf521a19a,
	0xe199f25f,
	0x9902a2f5,
	0x9b4b48a0,
	0x73974006,
	0x85acaba2,
	0xe7804fff,
	0xc45ea11d,
	0xd272d446,
	0x8ff86be9,
	0xbeb1d261,
	0x75251f3a,
	0xa41a674c,
	0x783f158a,
	0x9a963e9f,
	0x50629d65,
	0x8ff86be9,
	0x0d67eb46,
	0x0db23a16,
	0x6179b6e8,
	0x09977ec6,
	0x058c185a,
	0xd272d446,
	0x095688ee,
	0x49aa7f73,
	0x7a6661ca,
	0xd272d446,
	0xdd6830c7,
	0xa4c0178c,
	0xa5c7582d,
	0x760fcb1a,
	0xaeb9f8d2,
	0x85acaba2,
	0x95fbbc48,
	0xd277caa9,
	0x6af45bae,
	0x4c2787e5,
	0xf95c72fe,
	0x99076ee4,
	0x9f5d4931,
	0xa274d656,
	0x23f25c0a,
	0x544e22b5,
	0x97acb853,
	0x75738bed,
	0xd8ce3ede,
	0x995754fa,
	0x71798f7e,
	0x5223daaa,
	0xc3283d68,
	0xb4667972,
	0x6f9de33e,
	0x09977ec6,
	0x2ebec493,
	0xd272d446,
	0x64923a08,
	0x02f9bbf0,
	0x7bcdb96f,
	0x9b58f114,
	0x40ba394a,
	0x321bb45e,
	0x5ccfed25,
	0x7851be11,
	0x4790c0fc,
	0xf1de9e85,
	0x55ba13d3,
	0x296b9459,
	0x4992ce4a,
	0xfa07e204,
	0x378adfb4,
	0xfc0126c0,
	0x09977ec6,
	0x9cb91b7f,
	0x9dc59ece,
	0x2de43660,
	0xaef1f20d,
	0x74b331ef,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"crypto_skcipher_encrypt\0"
	"is_vmalloc_addr\0"
	"completion_done\0"
	"tcp_sock_set_cork\0"
	"vmemmap\0"
	"__init_rwsem\0"
	"__list_add_valid_or_report\0"
	"alloc_workqueue\0"
	"vsprintf\0"
	"__get_random_u32_below\0"
	"__num_online_cpus\0"
	"__msecs_to_jiffies\0"
	"__kmalloc_noprof\0"
	"fs_param_is_string\0"
	"vmalloc_to_page\0"
	"memmove\0"
	"arch_spin_lock_wait\0"
	"__s390_indirect_jump_r7\0"
	"snprintf\0"
	"queue_work_on\0"
	"__s390_indirect_jump_r13\0"
	"sg_free_table\0"
	"rb_next\0"
	"__init_swait_queue_head\0"
	"finish_wait\0"
	"iov_iter_advance\0"
	"in6_pton\0"
	"unregister_key_type\0"
	"prepare_to_wait\0"
	"iov_iter_get_pages2\0"
	"__s390_indirect_jump_r3\0"
	"memcpy\0"
	"kfree\0"
	"round_jiffies_relative\0"
	"sg_init_one\0"
	"seq_lseek\0"
	"fs_param_is_enum\0"
	"logfc\0"
	"crypto_alloc_aead\0"
	"__tracepoint_sk_data_ready\0"
	"prepare_to_wait_event\0"
	"crypto_aead_setauthsize\0"
	"crypto_aead_decrypt\0"
	"__wake_up\0"
	"crypto_skcipher_setkey\0"
	"vsnprintf\0"
	"filemap_alloc_folio_noprof\0"
	"rb_insert_color\0"
	"mempool_free\0"
	"register_key_type\0"
	"down_read_trylock\0"
	"crypto_destroy_tfm\0"
	"vm_layout\0"
	"fs_param_is_u32\0"
	"empty_zero_page\0"
	"_printk\0"
	"in4_pton\0"
	"___ratelimit\0"
	"schedule\0"
	"schedule_timeout\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"queue_delayed_work_on\0"
	"crypto_skcipher_decrypt\0"
	"__free_pages\0"
	"print_hex_dump\0"
	"__s390_indirect_jump_r6\0"
	"sg_alloc_table\0"
	"hugetlb_optimize_vmemmap_key\0"
	"dns_query\0"
	"seq_escape_mem\0"
	"kstrndup\0"
	"mempool_alloc_noprof\0"
	"key_put\0"
	"crypto_aead_setkey\0"
	"init_wait_entry\0"
	"__s390_indirect_jump_r9\0"
	"byte_rev_table\0"
	"down_write\0"
	"__traceiter_sk_data_ready\0"
	"crypto_req_done\0"
	"up_write\0"
	"crypto_shash_setkey\0"
	"memchr_inv\0"
	"mempool_free_slab\0"
	"memchr\0"
	"crypto_aead_encrypt\0"
	"destroy_workqueue\0"
	"mutex_lock\0"
	"kmem_cache_free\0"
	"crypto_shash_init\0"
	"debugfs_remove\0"
	"strncmp\0"
	"__s390_indirect_jump_r10\0"
	"seq_putc\0"
	"set_normalized_timespec64\0"
	"mutex_is_locked\0"
	"rb_erase\0"
	"kfree_sensitive\0"
	"iov_iter_kvec\0"
	"wait_for_completion_interruptible\0"
	"mod_delayed_work_on\0"
	"__list_del_entry_valid_or_report\0"
	"sock_sendmsg\0"
	"ktime_get_real_ts64\0"
	"__cpu_online_mask\0"
	"memcmp\0"
	"sscanf\0"
	"__mutex_init\0"
	"__fortify_panic\0"
	"jiffies_to_msecs\0"
	"wait_for_completion_killable\0"
	"_ctype\0"
	"sg_alloc_table_from_pages_segment\0"
	"cancel_delayed_work\0"
	"kernel_connect\0"
	"iov_iter_bvec\0"
	"__s390_indirect_jump_r14\0"
	"wait_for_completion\0"
	"__flush_workqueue\0"
	"mempool_alloc_slab\0"
	"kmem_cache_alloc_noprof\0"
	"kmemdup_noprof\0"
	"__init_waitqueue_head\0"
	"rb_first\0"
	"complete_all\0"
	"crypto_alloc_sync_skcipher\0"
	"__kmem_cache_create_args\0"
	"__crypto_memneq\0"
	"down_read\0"
	"jiffies\0"
	"__s390_indirect_jump_r1\0"
	"seq_read\0"
	"__put_net\0"
	"ktime_get_real_seconds\0"
	"__s390_indirect_jump_r8\0"
	"sprintf\0"
	"kvfree_call_rcu\0"
	"strsep\0"
	"mutex_unlock\0"
	"crypto_shash_finup\0"
	"cancel_delayed_work_sync\0"
	"mempool_create_node_noprof\0"
	"sock_create_kern\0"
	"wait_for_completion_killable_timeout\0"
	"request_key_tag\0"
	"generic_key_instantiate\0"
	"seq_write\0"
	"mempool_destroy\0"
	"__folio_put\0"
	"__dynamic_pr_debug\0"
	"__kmalloc_cache_noprof\0"
	"ktime_get\0"
	"__warn_printk\0"
	"seq_printf\0"
	"sock_recvmsg\0"
	"delayed_work_timer_fn\0"
	"set_page_dirty_lock\0"
	"sock_release\0"
	"iov_iter_discard\0"
	"debugfs_create_file_full\0"
	"downgrade_write\0"
	"alloc_pages_noprof\0"
	"__s390_indirect_jump_r5\0"
	"single_release\0"
	"timer_init_key\0"
	"crc32c_arch\0"
	"get_random_bytes\0"
	"tcp_sock_set_nodelay\0"
	"__fs_parse\0"
	"autoremove_wake_function\0"
	"wait_for_random_bytes\0"
	"iov_iter_revert\0"
	"kvfree\0"
	"single_open\0"
	"strchr\0"
	"crypto_alloc_shash\0"
	"debugfs_create_dir\0"
	"kernel_sendmsg\0"
	"__kvmalloc_node_noprof\0"
	"up_read\0"
	"sg_init_table\0"
	"kmalloc_caches\0"
	"kmem_cache_destroy\0"
	"system_wq\0"
	"jiffies_to_timespec64\0"
	"module_layout\0"
;

MODULE_INFO(depends, "dns_resolver");


MODULE_INFO(srcversion, "29D55914930885B82CEBB47");
MODULE_INFO(rhelversion, "10.99");
