#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");

SYMBOL_CRC(sctp_get_sctp_info, 0xa577b451, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xeb26d546, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xc9c0fde2, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x895b4547, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdbc0b524, "inet_recvmsg" },
	{ 0x0e37bdfe, "in6addr_any" },
	{ 0x26411736, "sock_i_uid" },
	{ 0xa61fd7aa, "__check_object_size" },
	{ 0xf3d51872, "inet_addr_type_table" },
	{ 0x3170695f, "__ipv6_addr_type" },
	{ 0xda4c3e5a, "sock_kmemdup" },
	{ 0xac06c2ac, "__genradix_free" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xb63d8399, "__rht_bucket_nested" },
	{ 0x27b873b8, "nr_free_buffer_pages" },
	{ 0x5ef3b9f4, "skb_copy_bits" },
	{ 0xa3c36442, "inet_unregister_protosw" },
	{ 0x50d1b68c, "idr_find" },
	{ 0x985b4740, "__get_random_u32_below" },
	{ 0x6808cb77, "sock_wfree" },
	{ 0x1915b092, "skb_put" },
	{ 0x13f6c2ee, "__percpu_counter_init_many" },
	{ 0xca3cb362, "__fl6_sock_lookup" },
	{ 0x534ed5f3, "__msecs_to_jiffies" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x1ca02e1b, "ip6_dst_hoplimit" },
	{ 0x6b78612a, "consume_skb" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0xe178d796, "inet6_add_offload" },
	{ 0x48178533, "crypto_shash_tfm_digest" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0x1f9a8a64, "inet6_bind" },
	{ 0x0c80d96e, "memdup_user" },
	{ 0x2b185a75, "trace_raw_output_prep" },
	{ 0xd272d446, "__s390_indirect_jump_r13" },
	{ 0xecc3be3d, "l3mdev_fib_table_by_index" },
	{ 0x207ade51, "udp_sock_create4" },
	{ 0xd4786b03, "skb_dequeue" },
	{ 0x3a645690, "__bitmap_weight" },
	{ 0x024f1a41, "inet6_unregister_protosw" },
	{ 0xd7f966c7, "__trace_trigger_soft_disabled" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0xbe577016, "__skb_ext_del" },
	{ 0x5b132e4d, "skb_segment" },
	{ 0x91e5d03a, "trace_event_printf" },
	{ 0xa62168b7, "__ip_dev_find" },
	{ 0x3a4c178f, "udp_tunnel6_xmit_skb" },
	{ 0xbeabd534, "sock_common_getsockopt" },
	{ 0x94976548, "inet_bind" },
	{ 0x7c94fb82, "sock_create" },
	{ 0xf6fcc134, "net_hotdata" },
	{ 0x98c783bd, "__kmalloc_node_track_caller_noprof" },
	{ 0x494c552b, "_find_first_zero_bit" },
	{ 0x684ffd7f, "percpu_counter_destroy_many" },
	{ 0x57497e3c, "prepare_to_wait" },
	{ 0x3bf9c012, "fd_install" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0x2538f7d3, "trace_event_raw_init" },
	{ 0xfbe7861b, "memcpy" },
	{ 0x96f91ff6, "__genradix_prealloc" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xa3c36442, "inet_register_protosw" },
	{ 0xf10582b6, "get_random_u16" },
	{ 0xc1b0ddd5, "__xfrm_policy_check" },
	{ 0x2352b148, "timer_delete" },
	{ 0x8c6fff22, "security_sctp_assoc_established" },
	{ 0x597dde29, "__tracepoint_sk_data_ready" },
	{ 0x036b2ad0, "bpf_trace_run2" },
	{ 0x2a8f9ba0, "sock_common_setsockopt" },
	{ 0x39dd4ac3, "remove_proc_subtree" },
	{ 0x7851be11, "net_ratelimit" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0x02e1dca7, "free_pages" },
	{ 0xddae56b4, "ip_route_output_flow" },
	{ 0x676678c0, "rhashtable_walk_enter" },
	{ 0x5d242364, "__sk_mem_schedule" },
	{ 0x665c4963, "ipv6_setsockopt" },
	{ 0xebcf1370, "nf_conntrack_destroy" },
	{ 0x0ae7c970, "sock_alloc_file" },
	{ 0xc1434f70, "__per_cpu_offset" },
	{ 0xba93e564, "proc_create_net_data" },
	{ 0xdd4e6beb, "put_unused_fd" },
	{ 0x21b64fab, "sk_error_report" },
	{ 0xe9e575b1, "register_pernet_subsys" },
	{ 0x3133e628, "put_cmsg" },
	{ 0x3eefa890, "trace_event_buffer_commit" },
	{ 0x32feeafc, "timer_reduce" },
	{ 0x6618dc4a, "register_net_sysctl_sz" },
	{ 0x1817714b, "inet_sock_destruct" },
	{ 0xdc88d097, "crypto_destroy_tfm" },
	{ 0x2df7dcd0, "inet_sk_get_local_port_range" },
	{ 0xb4530a4e, "inet6_del_protocol" },
	{ 0x8d250819, "__get_hash_from_flowi6" },
	{ 0xa9849b09, "arch_write_lock_wait" },
	{ 0xe8213e80, "_printk" },
	{ 0x815ea0f5, "inet_getname" },
	{ 0x761b9202, "proto_unregister" },
	{ 0xf0a92c92, "security_sctp_sk_clone" },
	{ 0x9d68bfcc, "___ratelimit" },
	{ 0x6ac784f4, "schedule_timeout" },
	{ 0xd272d446, "net_enable_timestamp" },
	{ 0x712093cc, "__sock_recv_cmsgs" },
	{ 0x789502a7, "sysctl_vals" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0xf64ac983, "__copy_overflow" },
	{ 0xfd285498, "unregister_inetaddr_notifier" },
	{ 0x77ce0d16, "__alloc_skb" },
	{ 0xab2d7333, "__genradix_ptr" },
	{ 0x18fd83b6, "inet_release" },
	{ 0xa03f03a0, "proto_register" },
	{ 0x02afeb0e, "skb_copy_expand" },
	{ 0x58ce0060, "__wake_up_sync_key" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x7851be11, "__cond_resched" },
	{ 0x44decd6f, "rfs_needed" },
	{ 0x1045bdec, "napi_busy_loop" },
	{ 0xd12680af, "idr_remove" },
	{ 0xdbe5317d, "inet_ctl_sock_create" },
	{ 0x22aa40eb, "inet_ioctl" },
	{ 0x4fe3514f, "reuseport_add_sock" },
	{ 0xfd8118f3, "reuseport_select_sock" },
	{ 0x6c4966d3, "proc_dostring" },
	{ 0x2e89a3a7, "rcuref_get_slowpath" },
	{ 0x69995ad8, "sk_filter_trim_cap" },
	{ 0x743d3a4b, "perf_trace_buf_alloc" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0xea2326af, "perf_trace_run_bpf_submit" },
	{ 0xa9849b09, "arch_read_lock_wait" },
	{ 0x177e4768, "fput" },
	{ 0xaf35bedf, "__traceiter_sk_data_ready" },
	{ 0x373cc69b, "inet_accept" },
	{ 0x6e6829a1, "init_net" },
	{ 0xf74e2210, "crypto_shash_setkey" },
	{ 0x1915b092, "skb_pull" },
	{ 0xe178d796, "inet_add_offload" },
	{ 0x96178613, "sk_skb_reason_drop" },
	{ 0x32feeafc, "mod_timer" },
	{ 0x2c3d233c, "inet_add_protocol" },
	{ 0xb27588d5, "inet_shutdown" },
	{ 0x21b64fab, "sk_free" },
	{ 0xc89651ea, "sock_wake_async" },
	{ 0x615c58e2, "dev_get_by_index_rcu" },
	{ 0x7b611b34, "idr_preload" },
	{ 0xe178d796, "inet_del_offload" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x1915b092, "skb_push" },
	{ 0x9330fb0b, "__ip_queue_xmit" },
	{ 0x90954000, "kmem_cache_free" },
	{ 0x2720f367, "__sk_mem_reclaim" },
	{ 0xb3373ac3, "fl6_update_dst" },
	{ 0x5a4baedb, "strncmp" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x6c4966d3, "proc_doulongvec_minmax" },
	{ 0x63268324, "trace_event_reg" },
	{ 0xf8faa012, "kfree_sensitive" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0x86632fd6, "_find_next_bit" },
	{ 0x1001cfa9, "rhashtable_walk_start_check" },
	{ 0xa490f27d, "sk_busy_loop_end" },
	{ 0xa3718a32, "ns_capable" },
	{ 0x5201f61b, "__cpu_online_mask" },
	{ 0x8cb0d1eb, "memcmp" },
	{ 0x2ccf1501, "lock_sock_nested" },
	{ 0xfcc2e8f3, "__local_bh_enable_ip" },
	{ 0xf654f750, "_totalram_pages" },
	{ 0x86bd3057, "inet6_ioctl" },
	{ 0x28ed1154, "skb_copy_datagram_iter" },
	{ 0xb663c865, "rhashtable_walk_stop" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0xe199f25f, "jiffies_to_msecs" },
	{ 0x0efb674c, "idr_alloc_cyclic" },
	{ 0xab4242e8, "sk_alloc" },
	{ 0x44decd6f, "memcg_sockets_enabled_key" },
	{ 0x33d65850, "unregister_pernet_subsys" },
	{ 0x5201f61b, "__cpu_possible_mask" },
	{ 0x6793f555, "ip6_dst_lookup_flow" },
	{ 0x41d64d34, "rhashtable_free_and_destroy" },
	{ 0x6debd5f1, "sock_no_socketpair" },
	{ 0x98ebb92b, "rht_bucket_nested_insert" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x63da722b, "udp_tunnel_sock_release" },
	{ 0xfd285498, "unregister_inet6addr_notifier" },
	{ 0xa41a674c, "kmem_cache_alloc_noprof" },
	{ 0x783f158a, "kmemdup_noprof" },
	{ 0xf296206e, "nr_cpu_ids" },
	{ 0x73d790df, "sock_no_mmap" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0x82a8ed6c, "__pskb_pull_tail" },
	{ 0x0db23a16, "__kmem_cache_create_args" },
	{ 0x2df8068b, "setup_udp_tunnel_sock" },
	{ 0x36872d1e, "udp_sock_create6" },
	{ 0x63517849, "skb_trim" },
	{ 0x690cdb06, "free_percpu" },
	{ 0x058c185a, "jiffies" },
	{ 0x21b64fab, "sk_common_release" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xaf3f3ee8, "bpf_trace_run3" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0x546c19d9, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xa78d9adc, "rhashtable_insert_slow" },
	{ 0xdd6830c7, "sprintf" },
	{ 0x76ccf3d3, "inet6_getname" },
	{ 0x62ea1abe, "sock_i_ino" },
	{ 0x02ceda44, "inet6_sock_destruct" },
	{ 0xb9fcd065, "call_rcu" },
	{ 0xf7f68d80, "ip6_xmit" },
	{ 0x8c6fff22, "security_sctp_assoc_request" },
	{ 0x2c3d233c, "inet_del_protocol" },
	{ 0xa4c0178c, "kvfree_call_rcu" },
	{ 0x1f99c27e, "rhltable_init_noprof" },
	{ 0x322234a2, "pcpu_alloc_noprof" },
	{ 0x62708e99, "skb_set_owner_w" },
	{ 0x86632fd6, "_find_next_zero_bit" },
	{ 0x56e0a6f2, "trace_event_buffer_reserve" },
	{ 0xc82553bc, "reuseport_alloc" },
	{ 0xf4705896, "inet6_register_protosw" },
	{ 0xbc497c20, "icmpv6_err_convert" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0xb2236dcc, "inet6_release" },
	{ 0x83aff439, "prepare_to_wait_exclusive" },
	{ 0x977e325f, "percpu_counter_add_batch" },
	{ 0xe8402f75, "inet_sendmsg" },
	{ 0x9f5a41cc, "param_ops_bool" },
	{ 0xd4260a8a, "get_unused_fd_flags" },
	{ 0x2a6131fb, "ipv6_dup_options" },
	{ 0x99076ee4, "seq_write" },
	{ 0xfd285498, "register_inet6addr_notifier" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x97acb853, "ktime_get" },
	{ 0xfbdde9ef, "udp_tunnel_xmit_skb" },
	{ 0x546c19d9, "validate_usercopy_range" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xd8ce3ede, "seq_printf" },
	{ 0xf5574988, "proc_create_net_single" },
	{ 0x3f142efc, "skb_copy" },
	{ 0xca59c050, "skb_clone" },
	{ 0x1bcf00a6, "skb_crc32c" },
	{ 0x89313ce5, "inet_sk_set_state" },
	{ 0x29492242, "dst_release" },
	{ 0x98950c89, "_copy_from_iter" },
	{ 0xc3283d68, "sock_release" },
	{ 0x1bd926c3, "inet_recv_error" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x6c4966d3, "proc_dointvec" },
	{ 0xccdbb985, "sock_gettstamp" },
	{ 0xd872cc2e, "security_sctp_bind_connect" },
	{ 0xcfd51e32, "rhashtable_walk_next" },
	{ 0xb62bfc3f, "_proc_mkdir" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0x95cbaf5e, "sk_setup_caps" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0x9b58f114, "get_random_bytes" },
	{ 0xb31e7534, "send_sig" },
	{ 0x93ff54f6, "unregister_net_sysctl_table" },
	{ 0x5ccfed25, "autoremove_wake_function" },
	{ 0xfd285498, "register_inetaddr_notifier" },
	{ 0xb4530a4e, "inet6_add_protocol" },
	{ 0xcc3a2f4f, "from_kuid_munged" },
	{ 0xad192eee, "ip_setsockopt" },
	{ 0x479b3081, "ipv6_flowlabel_exclusive" },
	{ 0xebdbe032, "ipv6_chk_addr" },
	{ 0xd272d446, "rcu_barrier" },
	{ 0xf370bc5b, "ipv6_getsockopt" },
	{ 0xfbda953e, "reuseport_detach_sock" },
	{ 0x47b567a8, "ip_getsockopt" },
	{ 0x275dce56, "__bitmap_shift_right" },
	{ 0x4790c0fc, "iov_iter_revert" },
	{ 0xd272d446, "__s390_indirect_jump_r2" },
	{ 0x4992ce4a, "crypto_alloc_shash" },
	{ 0x6bded543, "get_free_pages_noprof" },
	{ 0xb63d8399, "rht_bucket_nested" },
	{ 0x3e1d392f, "trace_handle_return" },
	{ 0xb663c865, "rhashtable_walk_exit" },
	{ 0x590cecb0, "icmp_err_convert" },
	{ 0x12ca6142, "ktime_get_with_offset" },
	{ 0xe56dcf60, "sock_init_data" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0x2de43660, "kmem_cache_destroy" },
	{ 0x21b64fab, "release_sock" },
	{ 0xaef1f20d, "system_wq" },
	{ 0x34c050e8, "skb_queue_head" },
	{ 0x6c4966d3, "proc_dointvec_minmax" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xdbc0b524,
	0x0e37bdfe,
	0x26411736,
	0xa61fd7aa,
	0xf3d51872,
	0x3170695f,
	0xda4c3e5a,
	0xac06c2ac,
	0xdc352a3b,
	0xb63d8399,
	0x27b873b8,
	0x5ef3b9f4,
	0xa3c36442,
	0x50d1b68c,
	0x985b4740,
	0x6808cb77,
	0x1915b092,
	0x13f6c2ee,
	0xca3cb362,
	0x534ed5f3,
	0x76ceef55,
	0x1ca02e1b,
	0x6b78612a,
	0x809f63d8,
	0xd272d446,
	0xe178d796,
	0x48178533,
	0x49733ad6,
	0x1f9a8a64,
	0x0c80d96e,
	0x2b185a75,
	0xd272d446,
	0xecc3be3d,
	0x207ade51,
	0xd4786b03,
	0x3a645690,
	0x024f1a41,
	0xd7f966c7,
	0xf62c71e3,
	0xbe577016,
	0x5b132e4d,
	0x91e5d03a,
	0xa62168b7,
	0x3a4c178f,
	0xbeabd534,
	0x94976548,
	0x7c94fb82,
	0xf6fcc134,
	0x98c783bd,
	0x494c552b,
	0x684ffd7f,
	0x57497e3c,
	0x3bf9c012,
	0xd272d446,
	0x2538f7d3,
	0xfbe7861b,
	0x96f91ff6,
	0xcb8b6ec6,
	0xa3c36442,
	0xf10582b6,
	0xc1b0ddd5,
	0x2352b148,
	0x8c6fff22,
	0x597dde29,
	0x036b2ad0,
	0x2a8f9ba0,
	0x39dd4ac3,
	0x7851be11,
	0x0433c0cc,
	0x02e1dca7,
	0xddae56b4,
	0x676678c0,
	0x5d242364,
	0x665c4963,
	0xebcf1370,
	0x0ae7c970,
	0xc1434f70,
	0xba93e564,
	0xdd4e6beb,
	0x21b64fab,
	0xe9e575b1,
	0x3133e628,
	0x3eefa890,
	0x32feeafc,
	0x6618dc4a,
	0x1817714b,
	0xdc88d097,
	0x2df7dcd0,
	0xb4530a4e,
	0x8d250819,
	0xa9849b09,
	0xe8213e80,
	0x815ea0f5,
	0x761b9202,
	0xf0a92c92,
	0x9d68bfcc,
	0x6ac784f4,
	0xd272d446,
	0x712093cc,
	0x789502a7,
	0x2520ea93,
	0xd272d446,
	0xf64ac983,
	0xfd285498,
	0x77ce0d16,
	0xab2d7333,
	0x18fd83b6,
	0xa03f03a0,
	0x02afeb0e,
	0x58ce0060,
	0xd272d446,
	0x7851be11,
	0x44decd6f,
	0x1045bdec,
	0xd12680af,
	0xdbe5317d,
	0x22aa40eb,
	0x4fe3514f,
	0xfd8118f3,
	0x6c4966d3,
	0x2e89a3a7,
	0x69995ad8,
	0x743d3a4b,
	0xd272d446,
	0xea2326af,
	0xa9849b09,
	0x177e4768,
	0xaf35bedf,
	0x373cc69b,
	0x6e6829a1,
	0xf74e2210,
	0x1915b092,
	0xe178d796,
	0x96178613,
	0x32feeafc,
	0x2c3d233c,
	0xb27588d5,
	0x21b64fab,
	0xc89651ea,
	0x615c58e2,
	0x7b611b34,
	0xe178d796,
	0x760fcb1a,
	0x1915b092,
	0x9330fb0b,
	0x90954000,
	0x2720f367,
	0xb3373ac3,
	0x5a4baedb,
	0xd272d446,
	0x6c4966d3,
	0x63268324,
	0xf8faa012,
	0x4f1e5fd0,
	0x86632fd6,
	0x1001cfa9,
	0xa490f27d,
	0xa3718a32,
	0x5201f61b,
	0x8cb0d1eb,
	0x2ccf1501,
	0xfcc2e8f3,
	0xf654f750,
	0x86bd3057,
	0x28ed1154,
	0xb663c865,
	0xf521a19a,
	0xe199f25f,
	0x0efb674c,
	0xab4242e8,
	0x44decd6f,
	0x33d65850,
	0x5201f61b,
	0x6793f555,
	0x41d64d34,
	0x6debd5f1,
	0x98ebb92b,
	0xd272d446,
	0x63da722b,
	0xfd285498,
	0xa41a674c,
	0x783f158a,
	0xf296206e,
	0x73d790df,
	0x9a963e9f,
	0x82a8ed6c,
	0x0db23a16,
	0x2df8068b,
	0x36872d1e,
	0x63517849,
	0x690cdb06,
	0x058c185a,
	0x21b64fab,
	0xd272d446,
	0xaf3f3ee8,
	0xd272d446,
	0x546c19d9,
	0xa78d9adc,
	0xdd6830c7,
	0x76ccf3d3,
	0x62ea1abe,
	0x02ceda44,
	0xb9fcd065,
	0xf7f68d80,
	0x8c6fff22,
	0x2c3d233c,
	0xa4c0178c,
	0x1f99c27e,
	0x322234a2,
	0x62708e99,
	0x86632fd6,
	0x56e0a6f2,
	0xc82553bc,
	0xf4705896,
	0xbc497c20,
	0x760fcb1a,
	0xb2236dcc,
	0x83aff439,
	0x977e325f,
	0xe8402f75,
	0x9f5a41cc,
	0xd4260a8a,
	0x2a6131fb,
	0x99076ee4,
	0xfd285498,
	0x23f25c0a,
	0x544e22b5,
	0x97acb853,
	0xfbdde9ef,
	0x546c19d9,
	0x75738bed,
	0xd8ce3ede,
	0xf5574988,
	0x3f142efc,
	0xca59c050,
	0x1bcf00a6,
	0x89313ce5,
	0x29492242,
	0x98950c89,
	0xc3283d68,
	0x1bd926c3,
	0xd272d446,
	0x6c4966d3,
	0xccdbb985,
	0xd872cc2e,
	0xcfd51e32,
	0xb62bfc3f,
	0x02f9bbf0,
	0x95cbaf5e,
	0xd272d446,
	0x9b58f114,
	0xb31e7534,
	0x93ff54f6,
	0x5ccfed25,
	0xfd285498,
	0xb4530a4e,
	0xcc3a2f4f,
	0xad192eee,
	0x479b3081,
	0xebdbe032,
	0xd272d446,
	0xf370bc5b,
	0xfbda953e,
	0x47b567a8,
	0x275dce56,
	0x4790c0fc,
	0xd272d446,
	0x4992ce4a,
	0x6bded543,
	0xb63d8399,
	0x3e1d392f,
	0xb663c865,
	0x590cecb0,
	0x12ca6142,
	0xe56dcf60,
	0x9dc59ece,
	0x2de43660,
	0x21b64fab,
	0xaef1f20d,
	0x34c050e8,
	0x6c4966d3,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"inet_recvmsg\0"
	"in6addr_any\0"
	"sock_i_uid\0"
	"__check_object_size\0"
	"inet_addr_type_table\0"
	"__ipv6_addr_type\0"
	"sock_kmemdup\0"
	"__genradix_free\0"
	"__list_add_valid_or_report\0"
	"__rht_bucket_nested\0"
	"nr_free_buffer_pages\0"
	"skb_copy_bits\0"
	"inet_unregister_protosw\0"
	"idr_find\0"
	"__get_random_u32_below\0"
	"sock_wfree\0"
	"skb_put\0"
	"__percpu_counter_init_many\0"
	"__fl6_sock_lookup\0"
	"__msecs_to_jiffies\0"
	"__kmalloc_noprof\0"
	"ip6_dst_hoplimit\0"
	"consume_skb\0"
	"arch_spin_lock_wait\0"
	"__s390_indirect_jump_r7\0"
	"inet6_add_offload\0"
	"crypto_shash_tfm_digest\0"
	"queue_work_on\0"
	"inet6_bind\0"
	"memdup_user\0"
	"trace_raw_output_prep\0"
	"__s390_indirect_jump_r13\0"
	"l3mdev_fib_table_by_index\0"
	"udp_sock_create4\0"
	"skb_dequeue\0"
	"__bitmap_weight\0"
	"inet6_unregister_protosw\0"
	"__trace_trigger_soft_disabled\0"
	"finish_wait\0"
	"__skb_ext_del\0"
	"skb_segment\0"
	"trace_event_printf\0"
	"__ip_dev_find\0"
	"udp_tunnel6_xmit_skb\0"
	"sock_common_getsockopt\0"
	"inet_bind\0"
	"sock_create\0"
	"net_hotdata\0"
	"__kmalloc_node_track_caller_noprof\0"
	"_find_first_zero_bit\0"
	"percpu_counter_destroy_many\0"
	"prepare_to_wait\0"
	"fd_install\0"
	"__s390_indirect_jump_r3\0"
	"trace_event_raw_init\0"
	"memcpy\0"
	"__genradix_prealloc\0"
	"kfree\0"
	"inet_register_protosw\0"
	"get_random_u16\0"
	"__xfrm_policy_check\0"
	"timer_delete\0"
	"security_sctp_assoc_established\0"
	"__tracepoint_sk_data_ready\0"
	"bpf_trace_run2\0"
	"sock_common_setsockopt\0"
	"remove_proc_subtree\0"
	"net_ratelimit\0"
	"__wake_up\0"
	"free_pages\0"
	"ip_route_output_flow\0"
	"rhashtable_walk_enter\0"
	"__sk_mem_schedule\0"
	"ipv6_setsockopt\0"
	"nf_conntrack_destroy\0"
	"sock_alloc_file\0"
	"__per_cpu_offset\0"
	"proc_create_net_data\0"
	"put_unused_fd\0"
	"sk_error_report\0"
	"register_pernet_subsys\0"
	"put_cmsg\0"
	"trace_event_buffer_commit\0"
	"timer_reduce\0"
	"register_net_sysctl_sz\0"
	"inet_sock_destruct\0"
	"crypto_destroy_tfm\0"
	"inet_sk_get_local_port_range\0"
	"inet6_del_protocol\0"
	"__get_hash_from_flowi6\0"
	"arch_write_lock_wait\0"
	"_printk\0"
	"inet_getname\0"
	"proto_unregister\0"
	"security_sctp_sk_clone\0"
	"___ratelimit\0"
	"schedule_timeout\0"
	"net_enable_timestamp\0"
	"__sock_recv_cmsgs\0"
	"sysctl_vals\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"__copy_overflow\0"
	"unregister_inetaddr_notifier\0"
	"__alloc_skb\0"
	"__genradix_ptr\0"
	"inet_release\0"
	"proto_register\0"
	"skb_copy_expand\0"
	"__wake_up_sync_key\0"
	"__s390_indirect_jump_r6\0"
	"__cond_resched\0"
	"rfs_needed\0"
	"napi_busy_loop\0"
	"idr_remove\0"
	"inet_ctl_sock_create\0"
	"inet_ioctl\0"
	"reuseport_add_sock\0"
	"reuseport_select_sock\0"
	"proc_dostring\0"
	"rcuref_get_slowpath\0"
	"sk_filter_trim_cap\0"
	"perf_trace_buf_alloc\0"
	"__s390_indirect_jump_r9\0"
	"perf_trace_run_bpf_submit\0"
	"arch_read_lock_wait\0"
	"fput\0"
	"__traceiter_sk_data_ready\0"
	"inet_accept\0"
	"init_net\0"
	"crypto_shash_setkey\0"
	"skb_pull\0"
	"inet_add_offload\0"
	"sk_skb_reason_drop\0"
	"mod_timer\0"
	"inet_add_protocol\0"
	"inet_shutdown\0"
	"sk_free\0"
	"sock_wake_async\0"
	"dev_get_by_index_rcu\0"
	"idr_preload\0"
	"inet_del_offload\0"
	"mutex_lock\0"
	"skb_push\0"
	"__ip_queue_xmit\0"
	"kmem_cache_free\0"
	"__sk_mem_reclaim\0"
	"fl6_update_dst\0"
	"strncmp\0"
	"__s390_indirect_jump_r10\0"
	"proc_doulongvec_minmax\0"
	"trace_event_reg\0"
	"kfree_sensitive\0"
	"__list_del_entry_valid_or_report\0"
	"_find_next_bit\0"
	"rhashtable_walk_start_check\0"
	"sk_busy_loop_end\0"
	"ns_capable\0"
	"__cpu_online_mask\0"
	"memcmp\0"
	"lock_sock_nested\0"
	"__local_bh_enable_ip\0"
	"_totalram_pages\0"
	"inet6_ioctl\0"
	"skb_copy_datagram_iter\0"
	"rhashtable_walk_stop\0"
	"__fortify_panic\0"
	"jiffies_to_msecs\0"
	"idr_alloc_cyclic\0"
	"sk_alloc\0"
	"memcg_sockets_enabled_key\0"
	"unregister_pernet_subsys\0"
	"__cpu_possible_mask\0"
	"ip6_dst_lookup_flow\0"
	"rhashtable_free_and_destroy\0"
	"sock_no_socketpair\0"
	"rht_bucket_nested_insert\0"
	"__s390_indirect_jump_r14\0"
	"udp_tunnel_sock_release\0"
	"unregister_inet6addr_notifier\0"
	"kmem_cache_alloc_noprof\0"
	"kmemdup_noprof\0"
	"nr_cpu_ids\0"
	"sock_no_mmap\0"
	"__init_waitqueue_head\0"
	"__pskb_pull_tail\0"
	"__kmem_cache_create_args\0"
	"setup_udp_tunnel_sock\0"
	"udp_sock_create6\0"
	"skb_trim\0"
	"free_percpu\0"
	"jiffies\0"
	"sk_common_release\0"
	"__s390_indirect_jump_r1\0"
	"bpf_trace_run3\0"
	"__s390_indirect_jump_r8\0"
	"memory_cgrp_subsys_on_dfl_key\0"
	"rhashtable_insert_slow\0"
	"sprintf\0"
	"inet6_getname\0"
	"sock_i_ino\0"
	"inet6_sock_destruct\0"
	"call_rcu\0"
	"ip6_xmit\0"
	"security_sctp_assoc_request\0"
	"inet_del_protocol\0"
	"kvfree_call_rcu\0"
	"rhltable_init_noprof\0"
	"pcpu_alloc_noprof\0"
	"skb_set_owner_w\0"
	"_find_next_zero_bit\0"
	"trace_event_buffer_reserve\0"
	"reuseport_alloc\0"
	"inet6_register_protosw\0"
	"icmpv6_err_convert\0"
	"mutex_unlock\0"
	"inet6_release\0"
	"prepare_to_wait_exclusive\0"
	"percpu_counter_add_batch\0"
	"inet_sendmsg\0"
	"param_ops_bool\0"
	"get_unused_fd_flags\0"
	"ipv6_dup_options\0"
	"seq_write\0"
	"register_inet6addr_notifier\0"
	"__dynamic_pr_debug\0"
	"__kmalloc_cache_noprof\0"
	"ktime_get\0"
	"udp_tunnel_xmit_skb\0"
	"validate_usercopy_range\0"
	"__warn_printk\0"
	"seq_printf\0"
	"proc_create_net_single\0"
	"skb_copy\0"
	"skb_clone\0"
	"skb_crc32c\0"
	"inet_sk_set_state\0"
	"dst_release\0"
	"_copy_from_iter\0"
	"sock_release\0"
	"inet_recv_error\0"
	"__s390_indirect_jump_r5\0"
	"proc_dointvec\0"
	"sock_gettstamp\0"
	"security_sctp_bind_connect\0"
	"rhashtable_walk_next\0"
	"_proc_mkdir\0"
	"timer_init_key\0"
	"sk_setup_caps\0"
	"__s390_indirect_jump_r11\0"
	"get_random_bytes\0"
	"send_sig\0"
	"unregister_net_sysctl_table\0"
	"autoremove_wake_function\0"
	"register_inetaddr_notifier\0"
	"inet6_add_protocol\0"
	"from_kuid_munged\0"
	"ip_setsockopt\0"
	"ipv6_flowlabel_exclusive\0"
	"ipv6_chk_addr\0"
	"rcu_barrier\0"
	"ipv6_getsockopt\0"
	"reuseport_detach_sock\0"
	"ip_getsockopt\0"
	"__bitmap_shift_right\0"
	"iov_iter_revert\0"
	"__s390_indirect_jump_r2\0"
	"crypto_alloc_shash\0"
	"get_free_pages_noprof\0"
	"rht_bucket_nested\0"
	"trace_handle_return\0"
	"rhashtable_walk_exit\0"
	"icmp_err_convert\0"
	"ktime_get_with_offset\0"
	"sock_init_data\0"
	"kmalloc_caches\0"
	"kmem_cache_destroy\0"
	"release_sock\0"
	"system_wq\0"
	"skb_queue_head\0"
	"proc_dointvec_minmax\0"
	"module_layout\0"
;

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "42219942697D5A9EE20B3BD");
MODULE_INFO(rhelversion, "10.99");
