#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x3daf43f5, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xadfffcd0, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xdc5cfd4d, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x35bd7803, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x1fc0bcd1, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xc129bd1b, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xc1c81e5b, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xd9c7f622, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xb3d0fa10, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x4d606879, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xf30fb490, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xf30fb490, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x30328708, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xc5d32b3b, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xdc5627a8, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xe17136bc, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x0fcaec11, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x878ff4db, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xd123598c, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xd1393358, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xe6aa5979, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xdf98f4e8, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xd5b06225, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x9e7bca6b, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xc5ff79d4, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x081ec432, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xf7ee021e, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x78821a09, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x7fcc7e95, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x86e35a37, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0xcf099543, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6fc47676, "devm_kmalloc" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x19cb4cd9, "crypto_init_queue" },
	{ 0xaaa51b45, "kthread_create_worker_on_node" },
	{ 0x0b83e348, "wake_up_process" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x4bb2877d, "_dev_err" },
	{ 0x4bb2877d, "_dev_info" },
	{ 0x39edb2be, "sched_set_fifo" },
	{ 0x1da5467e, "crypto_register_aead" },
	{ 0xc7568943, "crypto_unregister_aead" },
	{ 0x7d79ccac, "crypto_register_ahash" },
	{ 0xf0156427, "crypto_unregister_ahash" },
	{ 0xd9b44dbd, "crypto_register_akcipher" },
	{ 0xa05fd830, "crypto_unregister_akcipher" },
	{ 0x0c3e8b19, "crypto_register_kpp" },
	{ 0xea776032, "crypto_unregister_kpp" },
	{ 0xec3e65b3, "crypto_register_skcipher" },
	{ 0xe57a8c68, "crypto_unregister_skcipher" },
	{ 0x819a37b1, "kthread_queue_work" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0x7832cb0f, "crypto_enqueue_request" },
	{ 0x67628f51, "msleep" },
	{ 0x4bb2877d, "_dev_warn" },
	{ 0xdb534aa1, "kthread_destroy_worker" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0xc5577574, "crypto_dequeue_request" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0x3d01ecc7, "crypto_enqueue_request_head" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x6fc47676,
	0xe6befa9f,
	0x19cb4cd9,
	0xaaa51b45,
	0x0b83e348,
	0xd272d446,
	0x4bb2877d,
	0x4bb2877d,
	0x39edb2be,
	0x1da5467e,
	0xc7568943,
	0x7d79ccac,
	0xf0156427,
	0xd9b44dbd,
	0xa05fd830,
	0x0c3e8b19,
	0xea776032,
	0xec3e65b3,
	0xe57a8c68,
	0x819a37b1,
	0x809f63d8,
	0x7832cb0f,
	0x67628f51,
	0x4bb2877d,
	0xdb534aa1,
	0xd272d446,
	0xd272d446,
	0xd272d446,
	0xc5577574,
	0xd272d446,
	0x3d01ecc7,
	0xd272d446,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"devm_kmalloc\0"
	"snprintf\0"
	"crypto_init_queue\0"
	"kthread_create_worker_on_node\0"
	"wake_up_process\0"
	"__s390_indirect_jump_r14\0"
	"_dev_err\0"
	"_dev_info\0"
	"sched_set_fifo\0"
	"crypto_register_aead\0"
	"crypto_unregister_aead\0"
	"crypto_register_ahash\0"
	"crypto_unregister_ahash\0"
	"crypto_register_akcipher\0"
	"crypto_unregister_akcipher\0"
	"crypto_register_kpp\0"
	"crypto_unregister_kpp\0"
	"crypto_register_skcipher\0"
	"crypto_unregister_skcipher\0"
	"kthread_queue_work\0"
	"arch_spin_lock_wait\0"
	"crypto_enqueue_request\0"
	"msleep\0"
	"_dev_warn\0"
	"kthread_destroy_worker\0"
	"__s390_indirect_jump_r4\0"
	"__s390_indirect_jump_r1\0"
	"__s390_indirect_jump_r6\0"
	"crypto_dequeue_request\0"
	"__s390_indirect_jump_r7\0"
	"crypto_enqueue_request_head\0"
	"__s390_indirect_jump_r3\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2ED8839F6A13EA1157C70E9");
MODULE_INFO(rhelversion, "10.99");
