#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cdrom_dummy_generic_packet, "", "");
KSYMTAB_FUNC(register_cdrom, "", "");
KSYMTAB_FUNC(unregister_cdrom, "", "");
KSYMTAB_FUNC(cdrom_get_media_event, "", "");
KSYMTAB_FUNC(cdrom_open, "", "");
KSYMTAB_FUNC(cdrom_release, "", "");
KSYMTAB_FUNC(cdrom_number_of_slots, "", "");
KSYMTAB_FUNC(cdrom_check_events, "", "");
KSYMTAB_FUNC(init_cdrom_command, "", "");
KSYMTAB_FUNC(cdrom_mode_sense, "", "");
KSYMTAB_FUNC(cdrom_mode_select, "", "");
KSYMTAB_FUNC(cdrom_multisession, "_gpl", "");
KSYMTAB_FUNC(cdrom_read_tocentry, "_gpl", "");
KSYMTAB_FUNC(cdrom_get_last_written, "", "");
KSYMTAB_FUNC(cdrom_ioctl, "", "");

SYMBOL_CRC(cdrom_dummy_generic_packet, 0x4676d3b0, "");
SYMBOL_CRC(register_cdrom, 0x9d8220a0, "");
SYMBOL_CRC(unregister_cdrom, 0xfb937d63, "");
SYMBOL_CRC(cdrom_get_media_event, 0x24c19a0d, "");
SYMBOL_CRC(cdrom_open, 0x0b862d02, "");
SYMBOL_CRC(cdrom_release, 0xfb937d63, "");
SYMBOL_CRC(cdrom_number_of_slots, 0xcbeb1722, "");
SYMBOL_CRC(cdrom_check_events, 0xb2351509, "");
SYMBOL_CRC(init_cdrom_command, 0xa3071859, "");
SYMBOL_CRC(cdrom_mode_sense, 0x73ae288c, "");
SYMBOL_CRC(cdrom_mode_select, 0x4676d3b0, "");
SYMBOL_CRC(cdrom_multisession, 0xcdc1aeb8, "_gpl");
SYMBOL_CRC(cdrom_read_tocentry, 0x93969126, "_gpl");
SYMBOL_CRC(cdrom_get_last_written, 0xc91639ec, "");
SYMBOL_CRC(cdrom_ioctl, 0x90bd8351, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xe8213e80, "_printk" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x97acb853, "ktime_get" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0x0c80d96e, "memdup_user" },
	{ 0x93ff54f6, "unregister_sysctl_table" },
	{ 0xb3916437, "register_sysctl_sz" },
	{ 0x6c4966d3, "proc_dointvec" },
	{ 0xe6befa9f, "scnprintf" },
	{ 0x6c4966d3, "proc_dostring" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x546c19d9, "validate_usercopy_range" },
	{ 0xa61fd7aa, "__check_object_size" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0x0c161ddc, "capable" },
	{ 0xed8a3e8f, "invalidate_bdev" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0x9f5a41cc, "param_ops_bool" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xd272d446,
	0xd272d446,
	0xd272d446,
	0xd272d446,
	0x23f25c0a,
	0xd272d446,
	0xd272d446,
	0xd272d446,
	0x760fcb1a,
	0x760fcb1a,
	0x4f1e5fd0,
	0xd272d446,
	0xe8213e80,
	0x9dc59ece,
	0x544e22b5,
	0xcb8b6ec6,
	0x97acb853,
	0xfbe7861b,
	0xd272d446,
	0x0c80d96e,
	0x93ff54f6,
	0xb3916437,
	0x6c4966d3,
	0xe6befa9f,
	0x6c4966d3,
	0x76ceef55,
	0x546c19d9,
	0xa61fd7aa,
	0xdc352a3b,
	0xd272d446,
	0xf521a19a,
	0x0c161ddc,
	0xed8a3e8f,
	0xd272d446,
	0x9f5a41cc,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"__s390_indirect_jump_r14\0"
	"__s390_indirect_jump_r4\0"
	"__s390_indirect_jump_r5\0"
	"__s390_indirect_jump_r6\0"
	"__dynamic_pr_debug\0"
	"__s390_indirect_jump_r1\0"
	"__s390_indirect_jump_r7\0"
	"__s390_indirect_jump_r9\0"
	"mutex_lock\0"
	"mutex_unlock\0"
	"__list_del_entry_valid_or_report\0"
	"__s390_indirect_jump_r3\0"
	"_printk\0"
	"kmalloc_caches\0"
	"__kmalloc_cache_noprof\0"
	"kfree\0"
	"ktime_get\0"
	"memcpy\0"
	"__s390_indirect_jump_r8\0"
	"memdup_user\0"
	"unregister_sysctl_table\0"
	"register_sysctl_sz\0"
	"proc_dointvec\0"
	"scnprintf\0"
	"proc_dostring\0"
	"__kmalloc_noprof\0"
	"validate_usercopy_range\0"
	"__check_object_size\0"
	"__list_add_valid_or_report\0"
	"__s390_indirect_jump_r10\0"
	"__fortify_panic\0"
	"capable\0"
	"invalidate_bdev\0"
	"__s390_indirect_jump_r11\0"
	"param_ops_bool\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "57C738C39A129E997FBBB4A");
MODULE_INFO(rhelversion, "10.99");
