#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vkms_config_create, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_default_create, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_destroy, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_is_valid, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_create_plane, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_destroy_plane, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_plane_attach_crtc, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_plane_detach_crtc, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_create_crtc, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_destroy_crtc, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_crtc_primary_plane, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_crtc_cursor_plane, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_create_encoder, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_destroy_encoder, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_encoder_attach_crtc, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_encoder_detach_crtc, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_create_connector, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_destroy_connector, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_connector_attach_encoder, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(vkms_config_connector_detach_encoder, "", "EXPORTED_FOR_KUNIT_TESTING");

SYMBOL_CRC(vkms_config_create, 0xde05b4e6, "");
SYMBOL_CRC(vkms_config_default_create, 0x5cdc4214, "");
SYMBOL_CRC(vkms_config_destroy, 0xd0049f2c, "");
SYMBOL_CRC(vkms_config_is_valid, 0xb88f93ba, "");
SYMBOL_CRC(vkms_config_create_plane, 0xf22de3e7, "");
SYMBOL_CRC(vkms_config_destroy_plane, 0x54e16cc0, "");
SYMBOL_CRC(vkms_config_plane_attach_crtc, 0xd545de11, "");
SYMBOL_CRC(vkms_config_plane_detach_crtc, 0x7ab747ce, "");
SYMBOL_CRC(vkms_config_create_crtc, 0x4cb559dd, "");
SYMBOL_CRC(vkms_config_destroy_crtc, 0x8c71375b, "");
SYMBOL_CRC(vkms_config_crtc_primary_plane, 0x9fb2725d, "");
SYMBOL_CRC(vkms_config_crtc_cursor_plane, 0x9fb2725d, "");
SYMBOL_CRC(vkms_config_create_encoder, 0xd22d98ff, "");
SYMBOL_CRC(vkms_config_destroy_encoder, 0x3d2378d6, "");
SYMBOL_CRC(vkms_config_encoder_attach_crtc, 0x7ba4bd65, "");
SYMBOL_CRC(vkms_config_encoder_detach_crtc, 0x91998643, "");
SYMBOL_CRC(vkms_config_create_connector, 0xbf63e168, "");
SYMBOL_CRC(vkms_config_destroy_connector, 0xa46d2d37, "");
SYMBOL_CRC(vkms_config_connector_attach_encoder, 0x05cacc72, "");
SYMBOL_CRC(vkms_config_connector_detach_encoder, 0x18dcf382, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd14cc806, "drm_crtc_add_crc_entry" },
	{ 0x47444749, "drmm_encoder_init" },
	{ 0xca440772, "drm_open" },
	{ 0xec641f25, "drm_poll" },
	{ 0xe931001c, "__drm_gem_reset_shadow_plane" },
	{ 0xd58db174, "drm_mode_crtc_set_gamma_size" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xdf4bee3d, "alloc_workqueue" },
	{ 0x43c6c6ec, "drm_atomic_helper_commit_modeset_enables" },
	{ 0xabe77926, "hrtimer_setup" },
	{ 0xfa482eb0, "devres_release_group" },
	{ 0x553959eb, "__drm_err" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x7b80d54b, "drm_atomic_helper_check_wb_connector_state" },
	{ 0x5f410b17, "drm_atomic_add_affected_planes" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0x5a965500, "drm_gem_shmem_dumb_create" },
	{ 0xbde83568, "drm_atomic_helper_disable_plane" },
	{ 0xc4c7d3ef, "drm_atomic_helper_shutdown" },
	{ 0x43c6c6ec, "drm_atomic_helper_cleanup_planes" },
	{ 0x769d0d9a, "__drmm_crtc_alloc_with_planes" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0x8426d811, "drm_mode_object_get" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x01ad569c, "drm_writeback_queue_job" },
	{ 0x7da9f98b, "drm_atomic_helper_commit_planes" },
	{ 0x7014b051, "drm_writeback_signal_completion" },
	{ 0x406f2926, "drmm_mode_config_init" },
	{ 0xc818186e, "drm_add_modes_noedid" },
	{ 0x8426d811, "drm_mode_object_put" },
	{ 0xfc17916a, "drm_crtc_vblank_get" },
	{ 0x43fbfba3, "__drmm_workqueue_release" },
	{ 0xd3a496e7, "drm_crtc_send_vblank_event" },
	{ 0x609e9500, "drm_connector_attach_encoder" },
	{ 0x43c6c6ec, "drm_atomic_helper_commit_modeset_disables" },
	{ 0x0ca2d783, "drm_crtc_accurate_vblank_count" },
	{ 0xe8213e80, "_printk" },
	{ 0x3ff50a51, "__drmm_add_action_or_reset" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x99effe6e, "drm_atomic_helper_commit" },
	{ 0xf8451689, "drm_atomic_helper_check" },
	{ 0xc34c83f5, "drm_atomic_helper_connector_destroy_state" },
	{ 0xc95a010e, "drm_gem_mmap" },
	{ 0x4bb2877d, "_dev_info" },
	{ 0x7e2ff578, "drm_ioctl" },
	{ 0x9bee9c90, "drm_dev_printk" },
	{ 0xd16705a2, "drmm_writeback_connector_init" },
	{ 0xb9e04807, "drm_gem_fb_vmap" },
	{ 0xbdd6c12c, "drm_atomic_get_crtc_state" },
	{ 0x784e8d34, "kstrdup_const" },
	{ 0x7c4f40eb, "__xa_alloc" },
	{ 0x75b4d7ac, "drm_atomic_helper_fake_vblank" },
	{ 0x18002da0, "__drmm_universal_plane_alloc" },
	{ 0x952d639d, "platform_device_unregister" },
	{ 0x6e754b73, "noop_llseek" },
	{ 0x4e9ff4d1, "drm_read" },
	{ 0x3237cbf2, "drm_format_info_block_width" },
	{ 0x890392ee, "drm_gem_fb_vunmap" },
	{ 0xeec79833, "drm_crtc_vblank_on" },
	{ 0x19b85eb1, "devres_open_group" },
	{ 0xf6478d61, "drm_crtc_vblank_crtc" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0xc5e5d1a2, "drm_gem_fb_create" },
	{ 0x086154dc, "drm_atomic_helper_check_plane_state" },
	{ 0xab066c1a, "drmm_connector_init" },
	{ 0x9f228c8f, "drm_rect_rotate_inv" },
	{ 0xeec79833, "drm_crtc_vblank_put" },
	{ 0xab8d1c18, "__drm_dev_dbg" },
	{ 0x32e09bac, "drm_fbdev_shmem_driver_fbdev_probe" },
	{ 0x2c6742a2, "drm_dev_unregister" },
	{ 0x3b23d14a, "drm_client_setup" },
	{ 0x5249cb96, "__devm_drm_dev_alloc" },
	{ 0x63a5794b, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x676eda91, "drmm_kmalloc" },
	{ 0x1e23a129, "hrtimer_start_range_ns" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x6ee52101, "drm_atomic_helper_set_config" },
	{ 0x8e4b346d, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x1f0d8c40, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xdd08a964, "kfree_const" },
	{ 0x4e01903f, "dma_set_coherent_mask" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0x6b459570, "xa_erase" },
	{ 0x7884affe, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xf7f9e07b, "drm_crtc_enable_color_mgmt" },
	{ 0xb9a309b7, "platform_device_register_full" },
	{ 0x4f47aebe, "drm_vblank_init" },
	{ 0x7bcdb96f, "crc32_le_arch" },
	{ 0x418d4aa4, "drm_debugfs_add_files" },
	{ 0x9f5a41cc, "param_ops_bool" },
	{ 0xa76eeaf8, "xa_destroy" },
	{ 0xb6384bcc, "xa_find" },
	{ 0x99076ee4, "seq_write" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x43c6c6ec, "drm_atomic_helper_wait_for_flip_done" },
	{ 0x97acb853, "ktime_get" },
	{ 0xeec79833, "drm_crtc_vblank_off" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xd8ce3ede, "seq_printf" },
	{ 0xfdcfa099, "drm_helper_probe_single_connector_modes" },
	{ 0xce709598, "drm_plane_create_rotation_property" },
	{ 0xf4149e26, "__drm_atomic_helper_crtc_reset" },
	{ 0x15574c35, "drm_crtc_handle_vblank" },
	{ 0x1ed1f903, "hrtimer_cancel" },
	{ 0x7e0e613f, "drm_atomic_helper_page_flip" },
	{ 0x4e01903f, "dma_set_mask" },
	{ 0xe4de5d61, "drm_set_preferred_mode" },
	{ 0x75b4d7ac, "drm_atomic_helper_commit_hw_done" },
	{ 0x06c531ea, "drm_atomic_helper_connector_reset" },
	{ 0x061ee33e, "drm_mode_config_reset" },
	{ 0x6be6f12a, "hrtimer_forward" },
	{ 0xb6384bcc, "xa_find_after" },
	{ 0xdeca0259, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x3237cbf2, "drm_format_info_block_height" },
	{ 0xf1de9e85, "kvfree" },
	{ 0x22e2e7d0, "__drm_gem_destroy_shadow_plane_state" },
	{ 0xd3a496e7, "drm_crtc_arm_vblank_event" },
	{ 0x0ca4ce38, "drm_atomic_helper_update_plane" },
	{ 0xfc0126c0, "__kvmalloc_node_noprof" },
	{ 0x0158e93e, "drm_dev_register" },
	{ 0x551d7655, "drm_gem_plane_helper_prepare_fb" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0xca440772, "drm_release" },
	{ 0x2d88a3ab, "flush_work" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xd14cc806,
	0x47444749,
	0xca440772,
	0xec641f25,
	0xe931001c,
	0xd58db174,
	0xdc352a3b,
	0xdf4bee3d,
	0x43c6c6ec,
	0xabe77926,
	0xfa482eb0,
	0x553959eb,
	0x76ceef55,
	0x7b80d54b,
	0x5f410b17,
	0x809f63d8,
	0x49733ad6,
	0x5a965500,
	0xbde83568,
	0xc4c7d3ef,
	0x43c6c6ec,
	0x769d0d9a,
	0xd272d446,
	0x8426d811,
	0xcb8b6ec6,
	0x01ad569c,
	0x7da9f98b,
	0x7014b051,
	0x406f2926,
	0xc818186e,
	0x8426d811,
	0xfc17916a,
	0x43fbfba3,
	0xd3a496e7,
	0x609e9500,
	0x43c6c6ec,
	0x0ca2d783,
	0xe8213e80,
	0x3ff50a51,
	0xd272d446,
	0x99effe6e,
	0xf8451689,
	0xc34c83f5,
	0xc95a010e,
	0x4bb2877d,
	0x7e2ff578,
	0x9bee9c90,
	0xd16705a2,
	0xb9e04807,
	0xbdd6c12c,
	0x784e8d34,
	0x7c4f40eb,
	0x75b4d7ac,
	0x18002da0,
	0x952d639d,
	0x6e754b73,
	0x4e9ff4d1,
	0x3237cbf2,
	0x890392ee,
	0xeec79833,
	0x19b85eb1,
	0xf6478d61,
	0x4f1e5fd0,
	0xc5e5d1a2,
	0x086154dc,
	0xab066c1a,
	0x9f228c8f,
	0xeec79833,
	0xab8d1c18,
	0x32e09bac,
	0x2c6742a2,
	0x3b23d14a,
	0x5249cb96,
	0x63a5794b,
	0x676eda91,
	0x1e23a129,
	0xd272d446,
	0x6ee52101,
	0x8e4b346d,
	0x1f0d8c40,
	0xdd08a964,
	0x4e01903f,
	0xd272d446,
	0x6b459570,
	0x7884affe,
	0xf7f9e07b,
	0xb9a309b7,
	0x4f47aebe,
	0x7bcdb96f,
	0x418d4aa4,
	0x9f5a41cc,
	0xa76eeaf8,
	0xb6384bcc,
	0x99076ee4,
	0x544e22b5,
	0x43c6c6ec,
	0x97acb853,
	0xeec79833,
	0x75738bed,
	0xd8ce3ede,
	0xfdcfa099,
	0xce709598,
	0xf4149e26,
	0x15574c35,
	0x1ed1f903,
	0x7e0e613f,
	0x4e01903f,
	0xe4de5d61,
	0x75b4d7ac,
	0x06c531ea,
	0x061ee33e,
	0x6be6f12a,
	0xb6384bcc,
	0xdeca0259,
	0x3237cbf2,
	0xf1de9e85,
	0x22e2e7d0,
	0xd3a496e7,
	0x0ca4ce38,
	0xfc0126c0,
	0x0158e93e,
	0x551d7655,
	0x9dc59ece,
	0xca440772,
	0x2d88a3ab,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"drm_crtc_add_crc_entry\0"
	"drmm_encoder_init\0"
	"drm_open\0"
	"drm_poll\0"
	"__drm_gem_reset_shadow_plane\0"
	"drm_mode_crtc_set_gamma_size\0"
	"__list_add_valid_or_report\0"
	"alloc_workqueue\0"
	"drm_atomic_helper_commit_modeset_enables\0"
	"hrtimer_setup\0"
	"devres_release_group\0"
	"__drm_err\0"
	"__kmalloc_noprof\0"
	"drm_atomic_helper_check_wb_connector_state\0"
	"drm_atomic_add_affected_planes\0"
	"arch_spin_lock_wait\0"
	"queue_work_on\0"
	"drm_gem_shmem_dumb_create\0"
	"drm_atomic_helper_disable_plane\0"
	"drm_atomic_helper_shutdown\0"
	"drm_atomic_helper_cleanup_planes\0"
	"__drmm_crtc_alloc_with_planes\0"
	"__s390_indirect_jump_r3\0"
	"drm_mode_object_get\0"
	"kfree\0"
	"drm_writeback_queue_job\0"
	"drm_atomic_helper_commit_planes\0"
	"drm_writeback_signal_completion\0"
	"drmm_mode_config_init\0"
	"drm_add_modes_noedid\0"
	"drm_mode_object_put\0"
	"drm_crtc_vblank_get\0"
	"__drmm_workqueue_release\0"
	"drm_crtc_send_vblank_event\0"
	"drm_connector_attach_encoder\0"
	"drm_atomic_helper_commit_modeset_disables\0"
	"drm_crtc_accurate_vblank_count\0"
	"_printk\0"
	"__drmm_add_action_or_reset\0"
	"__s390_indirect_jump_r4\0"
	"drm_atomic_helper_commit\0"
	"drm_atomic_helper_check\0"
	"drm_atomic_helper_connector_destroy_state\0"
	"drm_gem_mmap\0"
	"_dev_info\0"
	"drm_ioctl\0"
	"drm_dev_printk\0"
	"drmm_writeback_connector_init\0"
	"drm_gem_fb_vmap\0"
	"drm_atomic_get_crtc_state\0"
	"kstrdup_const\0"
	"__xa_alloc\0"
	"drm_atomic_helper_fake_vblank\0"
	"__drmm_universal_plane_alloc\0"
	"platform_device_unregister\0"
	"noop_llseek\0"
	"drm_read\0"
	"drm_format_info_block_width\0"
	"drm_gem_fb_vunmap\0"
	"drm_crtc_vblank_on\0"
	"devres_open_group\0"
	"drm_crtc_vblank_crtc\0"
	"__list_del_entry_valid_or_report\0"
	"drm_gem_fb_create\0"
	"drm_atomic_helper_check_plane_state\0"
	"drmm_connector_init\0"
	"drm_rect_rotate_inv\0"
	"drm_crtc_vblank_put\0"
	"__drm_dev_dbg\0"
	"drm_fbdev_shmem_driver_fbdev_probe\0"
	"drm_dev_unregister\0"
	"drm_client_setup\0"
	"__devm_drm_dev_alloc\0"
	"drm_gem_shmem_prime_import_sg_table\0"
	"drmm_kmalloc\0"
	"hrtimer_start_range_ns\0"
	"__s390_indirect_jump_r14\0"
	"drm_atomic_helper_set_config\0"
	"__drm_atomic_helper_crtc_duplicate_state\0"
	"drm_atomic_helper_connector_duplicate_state\0"
	"kfree_const\0"
	"dma_set_coherent_mask\0"
	"__s390_indirect_jump_r1\0"
	"xa_erase\0"
	"__drm_atomic_helper_crtc_destroy_state\0"
	"drm_crtc_enable_color_mgmt\0"
	"platform_device_register_full\0"
	"drm_vblank_init\0"
	"crc32_le_arch\0"
	"drm_debugfs_add_files\0"
	"param_ops_bool\0"
	"xa_destroy\0"
	"xa_find\0"
	"seq_write\0"
	"__kmalloc_cache_noprof\0"
	"drm_atomic_helper_wait_for_flip_done\0"
	"ktime_get\0"
	"drm_crtc_vblank_off\0"
	"__warn_printk\0"
	"seq_printf\0"
	"drm_helper_probe_single_connector_modes\0"
	"drm_plane_create_rotation_property\0"
	"__drm_atomic_helper_crtc_reset\0"
	"drm_crtc_handle_vblank\0"
	"hrtimer_cancel\0"
	"drm_atomic_helper_page_flip\0"
	"dma_set_mask\0"
	"drm_set_preferred_mode\0"
	"drm_atomic_helper_commit_hw_done\0"
	"drm_atomic_helper_connector_reset\0"
	"drm_mode_config_reset\0"
	"hrtimer_forward\0"
	"xa_find_after\0"
	"__drm_gem_duplicate_shadow_plane_state\0"
	"drm_format_info_block_height\0"
	"kvfree\0"
	"__drm_gem_destroy_shadow_plane_state\0"
	"drm_crtc_arm_vblank_event\0"
	"drm_atomic_helper_update_plane\0"
	"__kvmalloc_node_noprof\0"
	"drm_dev_register\0"
	"drm_gem_plane_helper_prepare_fb\0"
	"kmalloc_caches\0"
	"drm_release\0"
	"flush_work\0"
	"module_layout\0"
;

MODULE_INFO(depends, "drm,drm_kms_helper,drm_shmem_helper,drm_client_lib");


MODULE_INFO(srcversion, "642949FCAA276932BDBB928");
MODULE_INFO(rhelversion, "10.99");
