#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_prepare_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x53182ed3, "");
SYMBOL_CRC(ib_create_cm_id, 0x8a0b82d7, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x241455cd, "");
SYMBOL_CRC(ib_cm_listen, 0x6d81986b, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x1c0bce9a, "");
SYMBOL_CRC(ib_send_cm_req, 0x0d8724dc, "");
SYMBOL_CRC(ib_send_cm_rep, 0x2145d286, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xf8ca6fce, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xf8ca6fce, "");
SYMBOL_CRC(ib_send_cm_drep, 0xf8ca6fce, "");
SYMBOL_CRC(ib_send_cm_rej, 0xf06050aa, "");
SYMBOL_CRC(ib_prepare_cm_mra, 0xf37f0f7d, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x92580991, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x47bc559c, "");
SYMBOL_CRC(ib_cm_notify, 0x3752b116, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x71a4a6ef, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81f3a286, "ib_unregister_client" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xdf4bee3d, "alloc_workqueue" },
	{ 0xd9a8bfbd, "ib_init_ah_attr_from_path" },
	{ 0xffb7dc29, "wait_for_completion_timeout" },
	{ 0x534ed5f3, "__msecs_to_jiffies" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0x8ff86be9, "complete" },
	{ 0x2b185a75, "trace_raw_output_prep" },
	{ 0x23109dc0, "__init_swait_queue_head" },
	{ 0xd7f966c7, "__trace_trigger_soft_disabled" },
	{ 0x91e5d03a, "trace_event_printf" },
	{ 0x2538f7d3, "trace_event_raw_init" },
	{ 0xc8909373, "trace_print_symbols_seq" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x4abbfe31, "rdma_query_gid" },
	{ 0xa74482bc, "ib_port_register_client_groups" },
	{ 0x97b79b81, "ib_modify_port" },
	{ 0x036b2ad0, "bpf_trace_run2" },
	{ 0xf5d8d228, "rb_insert_color" },
	{ 0xdd6830c7, "sysfs_emit" },
	{ 0x3eefa890, "trace_event_buffer_commit" },
	{ 0x4b300508, "rdma_create_ah" },
	{ 0x06af7fff, "ib_init_ah_attr_from_wc" },
	{ 0x340fc86a, "ib_find_cached_pkey" },
	{ 0xa9849b09, "arch_write_lock_wait" },
	{ 0xe8213e80, "_printk" },
	{ 0x9d68bfcc, "___ratelimit" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x8ce83585, "queue_delayed_work_on" },
	{ 0x647da8a1, "ib_register_client" },
	{ 0x48d1da1b, "ib_unregister_mad_agent" },
	{ 0x08c22aeb, "ib_post_send_mad" },
	{ 0x70835d05, "ib_create_send_mad" },
	{ 0x743d3a4b, "perf_trace_buf_alloc" },
	{ 0xea2326af, "perf_trace_run_bpf_submit" },
	{ 0xa9849b09, "arch_read_lock_wait" },
	{ 0x92dd4d27, "rdma_destroy_ah_attr" },
	{ 0xb5142e8a, "ib_set_client_data" },
	{ 0x1352503e, "ib_get_cached_pkey" },
	{ 0x6b459570, "xa_load" },
	{ 0xb1e2851c, "rdma_put_gid_attr" },
	{ 0x55507d98, "__xa_alloc_cyclic" },
	{ 0xbeb1d261, "destroy_workqueue" },
	{ 0x63268324, "trace_event_reg" },
	{ 0xf5d8d228, "rb_erase" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0x5201f61b, "__cpu_online_mask" },
	{ 0x86dec26d, "bpf_trace_run1" },
	{ 0x85acaba2, "cancel_delayed_work" },
	{ 0x4bb2877d, "_dev_warn" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0xbeb1d261, "__flush_workqueue" },
	{ 0x783f158a, "kmemdup_noprof" },
	{ 0x82b7e39d, "rdma_destroy_ah_user" },
	{ 0x27c7e01b, "ib_free_send_mad" },
	{ 0x467f50c6, "ib_port_unregister_client_groups" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0x6b459570, "xa_erase" },
	{ 0xaf3f3ee8, "bpf_trace_run3" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0x577b2c91, "rdma_move_ah_attr" },
	{ 0xa4c0178c, "kvfree_call_rcu" },
	{ 0x56e0a6f2, "trace_event_buffer_reserve" },
	{ 0x2cfadb62, "rdma_find_gid" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x75738bed, "__warn_printk" },
	{ 0x5b5fdb30, "xa_store" },
	{ 0x71798f7e, "delayed_work_timer_fn" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0xf8331900, "ib_free_recv_mad" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0xa00365f0, "ib_register_mad_agent" },
	{ 0x9b58f114, "get_random_bytes" },
	{ 0x5e142fb2, "ib_modify_mad" },
	{ 0xd780e7f1, "ib_create_ah_from_wc" },
	{ 0x3e1d392f, "trace_handle_return" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x81f3a286,
	0xdc352a3b,
	0xdf4bee3d,
	0xd9a8bfbd,
	0xffb7dc29,
	0x534ed5f3,
	0x76ceef55,
	0x809f63d8,
	0x8ff86be9,
	0x2b185a75,
	0x23109dc0,
	0xd7f966c7,
	0x91e5d03a,
	0x2538f7d3,
	0xc8909373,
	0xfbe7861b,
	0xcb8b6ec6,
	0x4abbfe31,
	0xa74482bc,
	0x97b79b81,
	0x036b2ad0,
	0xf5d8d228,
	0xdd6830c7,
	0x3eefa890,
	0x4b300508,
	0x06af7fff,
	0x340fc86a,
	0xa9849b09,
	0xe8213e80,
	0x9d68bfcc,
	0x2520ea93,
	0xd272d446,
	0x8ce83585,
	0x647da8a1,
	0x48d1da1b,
	0x08c22aeb,
	0x70835d05,
	0x743d3a4b,
	0xea2326af,
	0xa9849b09,
	0x92dd4d27,
	0xb5142e8a,
	0x1352503e,
	0x6b459570,
	0xb1e2851c,
	0x55507d98,
	0xbeb1d261,
	0x63268324,
	0xf5d8d228,
	0x4f1e5fd0,
	0x5201f61b,
	0x86dec26d,
	0x85acaba2,
	0x4bb2877d,
	0xd272d446,
	0xbeb1d261,
	0x783f158a,
	0x82b7e39d,
	0x27c7e01b,
	0x467f50c6,
	0xd272d446,
	0x6b459570,
	0xaf3f3ee8,
	0xd272d446,
	0x577b2c91,
	0xa4c0178c,
	0x56e0a6f2,
	0x2cfadb62,
	0x544e22b5,
	0x75738bed,
	0x5b5fdb30,
	0x71798f7e,
	0xd272d446,
	0xf8331900,
	0x02f9bbf0,
	0xa00365f0,
	0x9b58f114,
	0x5e142fb2,
	0xd780e7f1,
	0x3e1d392f,
	0x9dc59ece,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"ib_unregister_client\0"
	"__list_add_valid_or_report\0"
	"alloc_workqueue\0"
	"ib_init_ah_attr_from_path\0"
	"wait_for_completion_timeout\0"
	"__msecs_to_jiffies\0"
	"__kmalloc_noprof\0"
	"arch_spin_lock_wait\0"
	"complete\0"
	"trace_raw_output_prep\0"
	"__init_swait_queue_head\0"
	"__trace_trigger_soft_disabled\0"
	"trace_event_printf\0"
	"trace_event_raw_init\0"
	"trace_print_symbols_seq\0"
	"memcpy\0"
	"kfree\0"
	"rdma_query_gid\0"
	"ib_port_register_client_groups\0"
	"ib_modify_port\0"
	"bpf_trace_run2\0"
	"rb_insert_color\0"
	"sysfs_emit\0"
	"trace_event_buffer_commit\0"
	"rdma_create_ah\0"
	"ib_init_ah_attr_from_wc\0"
	"ib_find_cached_pkey\0"
	"arch_write_lock_wait\0"
	"_printk\0"
	"___ratelimit\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"queue_delayed_work_on\0"
	"ib_register_client\0"
	"ib_unregister_mad_agent\0"
	"ib_post_send_mad\0"
	"ib_create_send_mad\0"
	"perf_trace_buf_alloc\0"
	"perf_trace_run_bpf_submit\0"
	"arch_read_lock_wait\0"
	"rdma_destroy_ah_attr\0"
	"ib_set_client_data\0"
	"ib_get_cached_pkey\0"
	"xa_load\0"
	"rdma_put_gid_attr\0"
	"__xa_alloc_cyclic\0"
	"destroy_workqueue\0"
	"trace_event_reg\0"
	"rb_erase\0"
	"__list_del_entry_valid_or_report\0"
	"__cpu_online_mask\0"
	"bpf_trace_run1\0"
	"cancel_delayed_work\0"
	"_dev_warn\0"
	"__s390_indirect_jump_r14\0"
	"__flush_workqueue\0"
	"kmemdup_noprof\0"
	"rdma_destroy_ah_user\0"
	"ib_free_send_mad\0"
	"ib_port_unregister_client_groups\0"
	"__s390_indirect_jump_r1\0"
	"xa_erase\0"
	"bpf_trace_run3\0"
	"__s390_indirect_jump_r8\0"
	"rdma_move_ah_attr\0"
	"kvfree_call_rcu\0"
	"trace_event_buffer_reserve\0"
	"rdma_find_gid\0"
	"__kmalloc_cache_noprof\0"
	"__warn_printk\0"
	"xa_store\0"
	"delayed_work_timer_fn\0"
	"__s390_indirect_jump_r5\0"
	"ib_free_recv_mad\0"
	"timer_init_key\0"
	"ib_register_mad_agent\0"
	"get_random_bytes\0"
	"ib_modify_mad\0"
	"ib_create_ah_from_wc\0"
	"trace_handle_return\0"
	"kmalloc_caches\0"
	"module_layout\0"
;

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "4B5198DAEAA0264CDAC6237");
MODULE_INFO(rhelversion, "10.99");
