#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_cache_policy_register, "_gpl", "");
KSYMTAB_FUNC(dm_cache_policy_unregister, "_gpl", "");
KSYMTAB_FUNC(dm_cache_policy_create, "_gpl", "");
KSYMTAB_FUNC(dm_cache_policy_destroy, "_gpl", "");
KSYMTAB_FUNC(dm_cache_policy_get_name, "_gpl", "");
KSYMTAB_FUNC(dm_cache_policy_get_version, "_gpl", "");
KSYMTAB_FUNC(dm_cache_policy_get_hint_size, "_gpl", "");
KSYMTAB_FUNC(btracker_create, "_gpl", "");
KSYMTAB_FUNC(btracker_destroy, "_gpl", "");
KSYMTAB_FUNC(btracker_nr_demotions_queued, "_gpl", "");
KSYMTAB_FUNC(btracker_queue, "_gpl", "");
KSYMTAB_FUNC(btracker_issue, "_gpl", "");
KSYMTAB_FUNC(btracker_complete, "_gpl", "");
KSYMTAB_FUNC(btracker_promotion_already_present, "_gpl", "");

SYMBOL_CRC(dm_cache_policy_register, 0x7b712049, "_gpl");
SYMBOL_CRC(dm_cache_policy_unregister, 0xc4f9a8cb, "_gpl");
SYMBOL_CRC(dm_cache_policy_create, 0xcfae9f16, "_gpl");
SYMBOL_CRC(dm_cache_policy_destroy, 0xfb2ada31, "_gpl");
SYMBOL_CRC(dm_cache_policy_get_name, 0x6f4c7a84, "_gpl");
SYMBOL_CRC(dm_cache_policy_get_version, 0xf27a652f, "_gpl");
SYMBOL_CRC(dm_cache_policy_get_hint_size, 0x0bb8b27b, "_gpl");
SYMBOL_CRC(btracker_create, 0x81d9b49b, "_gpl");
SYMBOL_CRC(btracker_destroy, 0x8b0c94bc, "_gpl");
SYMBOL_CRC(btracker_nr_demotions_queued, 0x651367ad, "_gpl");
SYMBOL_CRC(btracker_queue, 0xd755ee8a, "_gpl");
SYMBOL_CRC(btracker_issue, 0xb18a1d6c, "_gpl");
SYMBOL_CRC(btracker_complete, 0xaab49a17, "_gpl");
SYMBOL_CRC(btracker_promotion_already_present, 0x1316c374, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x23240b49, "bio_associate_blkg" },
	{ 0x71bdeedc, "try_module_get" },
	{ 0x19517bac, "__init_rwsem" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xdf4bee3d, "alloc_workqueue" },
	{ 0x9f5a41cc, "param_ops_uint" },
	{ 0xe5f03ed1, "dm_array_cursor_next" },
	{ 0xbeb1d261, "drain_workqueue" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0xd272d446, "__s390_indirect_jump_r13" },
	{ 0xe79cddc8, "dm_array_info_init" },
	{ 0x1a86932e, "dm_block_data" },
	{ 0x11ee6838, "dm_per_bio_data" },
	{ 0x65764088, "dm_put_device" },
	{ 0xc17599f3, "dm_submit_bio_remap" },
	{ 0x1ea0eb37, "dm_bm_is_read_only" },
	{ 0x595ff3a3, "dm_block_manager_create" },
	{ 0x7b4dbf59, "dm_bitset_cursor_end" },
	{ 0xe6befa9f, "scnprintf" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x204c1058, "dm_block_location" },
	{ 0xaad3d4a2, "dm_bio_prison_destroy_v2" },
	{ 0xb278c1d0, "dm_tm_pre_commit" },
	{ 0x57995c17, "dm_bio_prison_create_v2" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0xf5d8d228, "rb_insert_color" },
	{ 0x1354bb24, "mempool_free" },
	{ 0x4459ab6c, "down_read_trylock" },
	{ 0x440457f0, "dm_bm_flush" },
	{ 0xe8213e80, "_printk" },
	{ 0xdd90aae7, "dm_kcopyd_client_create" },
	{ 0x9d68bfcc, "___ratelimit" },
	{ 0x39b37cea, "dm_bm_read_lock" },
	{ 0xdece11d3, "dm_bitset_new" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x8ce83585, "queue_delayed_work_on" },
	{ 0x159d644d, "dm_tm_create_with_sm" },
	{ 0xfe195a53, "dm_array_resize" },
	{ 0xb2b37ed0, "dm_array_cursor_get_value" },
	{ 0x0746002e, "strnlen" },
	{ 0xca94acea, "dm_bio_prison_alloc_cell_v2" },
	{ 0x5bb0e263, "dm_array_cursor_begin" },
	{ 0x5d439886, "submit_bio" },
	{ 0x79018d57, "module_put" },
	{ 0x999a5f5f, "sized_strscpy" },
	{ 0x39b37cea, "dm_bm_write_lock_zero" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0xe7a006af, "dm_bitset_clear_bit" },
	{ 0x32b8f220, "dm_disk_bitset_init" },
	{ 0xec35eba3, "bioset_exit" },
	{ 0x7851be11, "__cond_resched" },
	{ 0xbe46c286, "dm_array_new" },
	{ 0x74bba5c8, "dm_tm_destroy" },
	{ 0x5d14723c, "mempool_alloc_noprof" },
	{ 0x39502d02, "bio_endio" },
	{ 0x706e71b6, "dm_array_set_value" },
	{ 0x876c9fad, "dm_bm_set_read_only" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0x09977ec6, "down_write" },
	{ 0x09977ec6, "up_write" },
	{ 0x4c1e7250, "mempool_free_slab" },
	{ 0x18172b64, "dm_suspended" },
	{ 0x623dd07d, "dm_bio_prison_free_cell_v2" },
	{ 0xbeb1d261, "destroy_workqueue" },
	{ 0x77fd5707, "dm_bitset_cursor_next" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x39b37cea, "dm_bm_write_lock" },
	{ 0x90954000, "kmem_cache_free" },
	{ 0xa03e3d68, "dm_array_empty" },
	{ 0x5a4baedb, "strncmp" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x5933b2f6, "dm_shift_arg" },
	{ 0xf5d8d228, "rb_erase" },
	{ 0xd3ed45de, "strcasecmp" },
	{ 0x7a24e9b5, "bio_chain" },
	{ 0x1cb39cd5, "dm_unregister_target" },
	{ 0x06ac54bd, "dm_cell_put_v2" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0x0b5c2593, "dm_bitset_empty" },
	{ 0x86632fd6, "_find_next_bit" },
	{ 0x876c9fad, "dm_block_manager_destroy" },
	{ 0x173ec8da, "sscanf" },
	{ 0x14a084d3, "dm_bitset_del" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0x9bfde9a1, "errno_to_blk_status" },
	{ 0xe167206c, "dm_bm_checksum" },
	{ 0xf8596916, "dm_set_target_max_io_len" },
	{ 0x876c9fad, "dm_bm_set_read_write" },
	{ 0x0ac6e7aa, "bio_alloc_clone" },
	{ 0x7fc9d2ae, "dm_table_event" },
	{ 0xbd069841, "kstrtoull" },
	{ 0x26f64e15, "dm_array_del" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x1ce4120b, "dm_bitset_resize" },
	{ 0x3a768c85, "dm_bitset_cursor_get_value" },
	{ 0x252611ca, "dm_read_arg_group" },
	{ 0x75251f3a, "mempool_alloc_slab" },
	{ 0xa41a674c, "kmem_cache_alloc_noprof" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0x6665c942, "dm_cell_lock_v2" },
	{ 0x0db23a16, "__kmem_cache_create_args" },
	{ 0x09977ec6, "down_read" },
	{ 0xe0658055, "dm_bitset_flush" },
	{ 0x058c185a, "jiffies" },
	{ 0x08833629, "dm_tm_commit" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xce4af33b, "kstrdup" },
	{ 0xdec20471, "dm_bitset_cursor_skip" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xdd6830c7, "sprintf" },
	{ 0xa19efad4, "dm_bitset_cursor_begin" },
	{ 0xd57d725d, "dm_kcopyd_copy" },
	{ 0x34431a78, "dm_table_device_name" },
	{ 0x90f81d52, "dm_register_target" },
	{ 0xf1de9e85, "vfree" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0x85acaba2, "cancel_delayed_work_sync" },
	{ 0x2415cfa9, "bioset_init" },
	{ 0x2f512eb6, "dm_cell_get_v2" },
	{ 0x789f38a7, "dm_kcopyd_client_destroy" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0xd7a59a65, "vzalloc_noprof" },
	{ 0x7eb73d62, "dm_cell_quiesce_v2" },
	{ 0x71798f7e, "delayed_work_timer_fn" },
	{ 0x61407e85, "dm_bm_block_size" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0xe7a006af, "dm_bitset_set_bit" },
	{ 0x4395efcc, "dm_cell_unlock_v2" },
	{ 0xcaa1716d, "dm_array_cursor_end" },
	{ 0x76e81210, "mempool_init_noprof" },
	{ 0xccd06c82, "dm_get_device" },
	{ 0x7817acba, "dm_cell_lock_promote_v2" },
	{ 0x09977ec6, "up_read" },
	{ 0x4b888f8c, "dm_bm_unlock" },
	{ 0x94b65ab8, "dm_bio_get_target_bio_nr" },
	{ 0x04e75c11, "dm_consume_args" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0x817cbe20, "dm_array_get_value" },
	{ 0x9f5d4931, "mempool_exit" },
	{ 0x37c0b5f3, "__request_module" },
	{ 0x2de43660, "kmem_cache_destroy" },
	{ 0xaa472cad, "dm_tm_open_with_sm" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x23240b49,
	0x71bdeedc,
	0x19517bac,
	0xdc352a3b,
	0xdf4bee3d,
	0x9f5a41cc,
	0xe5f03ed1,
	0xbeb1d261,
	0x76ceef55,
	0x809f63d8,
	0xd272d446,
	0x49733ad6,
	0xd272d446,
	0xe79cddc8,
	0x1a86932e,
	0x11ee6838,
	0x65764088,
	0xc17599f3,
	0x1ea0eb37,
	0x595ff3a3,
	0x7b4dbf59,
	0xe6befa9f,
	0xd272d446,
	0xcb8b6ec6,
	0x204c1058,
	0xaad3d4a2,
	0xb278c1d0,
	0x57995c17,
	0x0433c0cc,
	0xf5d8d228,
	0x1354bb24,
	0x4459ab6c,
	0x440457f0,
	0xe8213e80,
	0xdd90aae7,
	0x9d68bfcc,
	0x39b37cea,
	0xdece11d3,
	0x2520ea93,
	0xd272d446,
	0x8ce83585,
	0x159d644d,
	0xfe195a53,
	0xb2b37ed0,
	0x0746002e,
	0xca94acea,
	0x5bb0e263,
	0x5d439886,
	0x79018d57,
	0x999a5f5f,
	0x39b37cea,
	0xd272d446,
	0xe7a006af,
	0x32b8f220,
	0xec35eba3,
	0x7851be11,
	0xbe46c286,
	0x74bba5c8,
	0x5d14723c,
	0x39502d02,
	0x706e71b6,
	0x876c9fad,
	0xd272d446,
	0x09977ec6,
	0x09977ec6,
	0x4c1e7250,
	0x18172b64,
	0x623dd07d,
	0xbeb1d261,
	0x77fd5707,
	0x760fcb1a,
	0x39b37cea,
	0x90954000,
	0xa03e3d68,
	0x5a4baedb,
	0xd272d446,
	0x5933b2f6,
	0xf5d8d228,
	0xd3ed45de,
	0x7a24e9b5,
	0x1cb39cd5,
	0x06ac54bd,
	0x4f1e5fd0,
	0x0b5c2593,
	0x86632fd6,
	0x876c9fad,
	0x173ec8da,
	0x14a084d3,
	0xf521a19a,
	0x9bfde9a1,
	0xe167206c,
	0xf8596916,
	0x876c9fad,
	0x0ac6e7aa,
	0x7fc9d2ae,
	0xbd069841,
	0x26f64e15,
	0xd272d446,
	0x1ce4120b,
	0x3a768c85,
	0x252611ca,
	0x75251f3a,
	0xa41a674c,
	0x9a963e9f,
	0x6665c942,
	0x0db23a16,
	0x09977ec6,
	0xe0658055,
	0x058c185a,
	0x08833629,
	0xd272d446,
	0xce4af33b,
	0xdec20471,
	0xd272d446,
	0xdd6830c7,
	0xa19efad4,
	0xd57d725d,
	0x34431a78,
	0x90f81d52,
	0xf1de9e85,
	0x760fcb1a,
	0x85acaba2,
	0x2415cfa9,
	0x2f512eb6,
	0x789f38a7,
	0x544e22b5,
	0xd7a59a65,
	0x7eb73d62,
	0x71798f7e,
	0x61407e85,
	0xd272d446,
	0x02f9bbf0,
	0xd272d446,
	0xe7a006af,
	0x4395efcc,
	0xcaa1716d,
	0x76e81210,
	0xccd06c82,
	0x7817acba,
	0x09977ec6,
	0x4b888f8c,
	0x94b65ab8,
	0x04e75c11,
	0x9dc59ece,
	0x817cbe20,
	0x9f5d4931,
	0x37c0b5f3,
	0x2de43660,
	0xaa472cad,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"bio_associate_blkg\0"
	"try_module_get\0"
	"__init_rwsem\0"
	"__list_add_valid_or_report\0"
	"alloc_workqueue\0"
	"param_ops_uint\0"
	"dm_array_cursor_next\0"
	"drain_workqueue\0"
	"__kmalloc_noprof\0"
	"arch_spin_lock_wait\0"
	"__s390_indirect_jump_r7\0"
	"queue_work_on\0"
	"__s390_indirect_jump_r13\0"
	"dm_array_info_init\0"
	"dm_block_data\0"
	"dm_per_bio_data\0"
	"dm_put_device\0"
	"dm_submit_bio_remap\0"
	"dm_bm_is_read_only\0"
	"dm_block_manager_create\0"
	"dm_bitset_cursor_end\0"
	"scnprintf\0"
	"__s390_indirect_jump_r3\0"
	"kfree\0"
	"dm_block_location\0"
	"dm_bio_prison_destroy_v2\0"
	"dm_tm_pre_commit\0"
	"dm_bio_prison_create_v2\0"
	"__wake_up\0"
	"rb_insert_color\0"
	"mempool_free\0"
	"down_read_trylock\0"
	"dm_bm_flush\0"
	"_printk\0"
	"dm_kcopyd_client_create\0"
	"___ratelimit\0"
	"dm_bm_read_lock\0"
	"dm_bitset_new\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"queue_delayed_work_on\0"
	"dm_tm_create_with_sm\0"
	"dm_array_resize\0"
	"dm_array_cursor_get_value\0"
	"strnlen\0"
	"dm_bio_prison_alloc_cell_v2\0"
	"dm_array_cursor_begin\0"
	"submit_bio\0"
	"module_put\0"
	"sized_strscpy\0"
	"dm_bm_write_lock_zero\0"
	"__s390_indirect_jump_r6\0"
	"dm_bitset_clear_bit\0"
	"dm_disk_bitset_init\0"
	"bioset_exit\0"
	"__cond_resched\0"
	"dm_array_new\0"
	"dm_tm_destroy\0"
	"mempool_alloc_noprof\0"
	"bio_endio\0"
	"dm_array_set_value\0"
	"dm_bm_set_read_only\0"
	"__s390_indirect_jump_r9\0"
	"down_write\0"
	"up_write\0"
	"mempool_free_slab\0"
	"dm_suspended\0"
	"dm_bio_prison_free_cell_v2\0"
	"destroy_workqueue\0"
	"dm_bitset_cursor_next\0"
	"mutex_lock\0"
	"dm_bm_write_lock\0"
	"kmem_cache_free\0"
	"dm_array_empty\0"
	"strncmp\0"
	"__s390_indirect_jump_r10\0"
	"dm_shift_arg\0"
	"rb_erase\0"
	"strcasecmp\0"
	"bio_chain\0"
	"dm_unregister_target\0"
	"dm_cell_put_v2\0"
	"__list_del_entry_valid_or_report\0"
	"dm_bitset_empty\0"
	"_find_next_bit\0"
	"dm_block_manager_destroy\0"
	"sscanf\0"
	"dm_bitset_del\0"
	"__fortify_panic\0"
	"errno_to_blk_status\0"
	"dm_bm_checksum\0"
	"dm_set_target_max_io_len\0"
	"dm_bm_set_read_write\0"
	"bio_alloc_clone\0"
	"dm_table_event\0"
	"kstrtoull\0"
	"dm_array_del\0"
	"__s390_indirect_jump_r14\0"
	"dm_bitset_resize\0"
	"dm_bitset_cursor_get_value\0"
	"dm_read_arg_group\0"
	"mempool_alloc_slab\0"
	"kmem_cache_alloc_noprof\0"
	"__init_waitqueue_head\0"
	"dm_cell_lock_v2\0"
	"__kmem_cache_create_args\0"
	"down_read\0"
	"dm_bitset_flush\0"
	"jiffies\0"
	"dm_tm_commit\0"
	"__s390_indirect_jump_r1\0"
	"kstrdup\0"
	"dm_bitset_cursor_skip\0"
	"__s390_indirect_jump_r8\0"
	"sprintf\0"
	"dm_bitset_cursor_begin\0"
	"dm_kcopyd_copy\0"
	"dm_table_device_name\0"
	"dm_register_target\0"
	"vfree\0"
	"mutex_unlock\0"
	"cancel_delayed_work_sync\0"
	"bioset_init\0"
	"dm_cell_get_v2\0"
	"dm_kcopyd_client_destroy\0"
	"__kmalloc_cache_noprof\0"
	"vzalloc_noprof\0"
	"dm_cell_quiesce_v2\0"
	"delayed_work_timer_fn\0"
	"dm_bm_block_size\0"
	"__s390_indirect_jump_r5\0"
	"timer_init_key\0"
	"__s390_indirect_jump_r11\0"
	"dm_bitset_set_bit\0"
	"dm_cell_unlock_v2\0"
	"dm_array_cursor_end\0"
	"mempool_init_noprof\0"
	"dm_get_device\0"
	"dm_cell_lock_promote_v2\0"
	"up_read\0"
	"dm_bm_unlock\0"
	"dm_bio_get_target_bio_nr\0"
	"dm_consume_args\0"
	"kmalloc_caches\0"
	"dm_array_get_value\0"
	"mempool_exit\0"
	"__request_module\0"
	"kmem_cache_destroy\0"
	"dm_tm_open_with_sm\0"
	"module_layout\0"
;

MODULE_INFO(depends, "dm-persistent-data,dm-mod,dm-bio-prison");


MODULE_INFO(srcversion, "28BAFA40AFBA7498A326997");
MODULE_INFO(rhelversion, "10.99");
