#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x356460b3, "phy_error" },
	{ 0x8a3f1415, "release_firmware" },
	{ 0x6fc47676, "devm_kmalloc" },
	{ 0x03543dd8, "nvmem_cell_get" },
	{ 0x51a9b043, "request_firmware" },
	{ 0x7425e65d, "genphy_c45_read_status" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x7425e65d, "genphy_c45_an_config_aneg" },
	{ 0x0feb1e94, "usleep_range_state" },
	{ 0xcd63e71a, "phy_write_mmd" },
	{ 0x68fc6f27, "__dynamic_dev_dbg" },
	{ 0xc0a8c38f, "phy_drivers_unregister" },
	{ 0x32e47f68, "nvmem_cell_put" },
	{ 0x2208464d, "genphy_c45_check_and_restart_aneg" },
	{ 0x0746002e, "strnlen" },
	{ 0x4bb2877d, "_dev_info" },
	{ 0xc97422c7, "nvmem_cell_read" },
	{ 0x999a5f5f, "sized_strscpy" },
	{ 0x4bb2877d, "_dev_err" },
	{ 0x964e8dab, "phy_modify_mmd" },
	{ 0x0ae2eb05, "device_property_read_string" },
	{ 0x7425e65d, "genphy_c45_aneg_done" },
	{ 0x964e8dab, "phy_modify_mmd_changed" },
	{ 0x0a1d7be7, "phy_gbit_features" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0x4bb2877d, "_dev_warn" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x7425e65d, "genphy_c45_pma_read_abilities" },
	{ 0x503683c6, "__bitmap_or" },
	{ 0x7425e65d, "genphy_c45_an_disable_aneg" },
	{ 0x7425e65d, "genphy_c45_pma_setup_forced" },
	{ 0x72ca6df3, "phy_drivers_register" },
	{ 0x97acb853, "ktime_get" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xc56d998f, "phy_read_mmd" },
	{ 0x356460b3, "phy_trigger_machine" },
	{ 0xfc8e6285, "crc_itu_t" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x356460b3,
	0x8a3f1415,
	0x6fc47676,
	0x03543dd8,
	0x51a9b043,
	0x7425e65d,
	0xcb8b6ec6,
	0x7425e65d,
	0x0feb1e94,
	0xcd63e71a,
	0x68fc6f27,
	0xc0a8c38f,
	0x32e47f68,
	0x2208464d,
	0x0746002e,
	0x4bb2877d,
	0xc97422c7,
	0x999a5f5f,
	0x4bb2877d,
	0x964e8dab,
	0x0ae2eb05,
	0x7425e65d,
	0x964e8dab,
	0x0a1d7be7,
	0xf521a19a,
	0x4bb2877d,
	0xd272d446,
	0x7425e65d,
	0x503683c6,
	0x7425e65d,
	0x7425e65d,
	0x72ca6df3,
	0x97acb853,
	0x75738bed,
	0xc56d998f,
	0x356460b3,
	0xfc8e6285,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"phy_error\0"
	"release_firmware\0"
	"devm_kmalloc\0"
	"nvmem_cell_get\0"
	"request_firmware\0"
	"genphy_c45_read_status\0"
	"kfree\0"
	"genphy_c45_an_config_aneg\0"
	"usleep_range_state\0"
	"phy_write_mmd\0"
	"__dynamic_dev_dbg\0"
	"phy_drivers_unregister\0"
	"nvmem_cell_put\0"
	"genphy_c45_check_and_restart_aneg\0"
	"strnlen\0"
	"_dev_info\0"
	"nvmem_cell_read\0"
	"sized_strscpy\0"
	"_dev_err\0"
	"phy_modify_mmd\0"
	"device_property_read_string\0"
	"genphy_c45_aneg_done\0"
	"phy_modify_mmd_changed\0"
	"phy_gbit_features\0"
	"__fortify_panic\0"
	"_dev_warn\0"
	"__s390_indirect_jump_r14\0"
	"genphy_c45_pma_read_abilities\0"
	"__bitmap_or\0"
	"genphy_c45_an_disable_aneg\0"
	"genphy_c45_pma_setup_forced\0"
	"phy_drivers_register\0"
	"ktime_get\0"
	"__warn_printk\0"
	"phy_read_mmd\0"
	"phy_trigger_machine\0"
	"crc_itu_t\0"
	"module_layout\0"
;

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("mdio:0000001110100001101101000100????");
MODULE_ALIAS("mdio:0000001110100001101101000110????");
MODULE_ALIAS("mdio:0000001110100001101101001010????");
MODULE_ALIAS("mdio:0000001110100001101101001101????");
MODULE_ALIAS("mdio:0000001110100001101101001110????");
MODULE_ALIAS("mdio:0000001110100001101101011100????");
MODULE_ALIAS("mdio:0000001110100001101101001011????");
MODULE_ALIAS("mdio:0000001110100001101101100001????");
MODULE_ALIAS("mdio:0000001110100001101101100110????");
MODULE_ALIAS("mdio:0000001110100001101101110001????");
MODULE_ALIAS("mdio:0011000111000011000111000100????");
MODULE_ALIAS("mdio:0011000111000011000111000001????");
MODULE_ALIAS("mdio:0011000111000011000111000010????");
MODULE_ALIAS("mdio:0011000111000011000111000011????");
MODULE_ALIAS("mdio:0011000111000011000111001011????");

MODULE_INFO(srcversion, "E6B31FDF5D34A2DD660AC4D");
MODULE_INFO(rhelversion, "10.99");
