#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_cq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_cq_get, "_gpl", "");
KSYMTAB_FUNC(nvmet_cq_put, "_gpl", "");
KSYMTAB_FUNC(nvmet_cq_in_use, "_gpl", "");
KSYMTAB_FUNC(nvmet_cq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_update_cc, "_gpl", "");
KSYMTAB_FUNC(nvmet_alloc_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_put, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0xaef1f20d, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x203cf60d, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x16af99f6, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0xdb16db44, "_gpl");
SYMBOL_CRC(nvmet_cq_init, 0x378c70b3, "_gpl");
SYMBOL_CRC(nvmet_cq_get, 0xa7842c45, "_gpl");
SYMBOL_CRC(nvmet_cq_put, 0x378c70b3, "_gpl");
SYMBOL_CRC(nvmet_cq_in_use, 0xa7842c45, "_gpl");
SYMBOL_CRC(nvmet_cq_create, 0xf5eb36d7, "_gpl");
SYMBOL_CRC(nvmet_sq_create, 0x350bc1a8, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0xee02e337, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0xa14ac234, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x7c4f3926, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0xbf04d3ef, "_gpl");
SYMBOL_CRC(nvmet_req_transfer_len, 0xfacd0fb5, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x5f965627, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0xbc803389, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0xbf04d3ef, "_gpl");
SYMBOL_CRC(nvmet_update_cc, 0x400de9d9, "_gpl");
SYMBOL_CRC(nvmet_alloc_ctrl, 0x14d80722, "_gpl");
SYMBOL_CRC(nvmet_ctrl_put, 0xa182b749, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0xa182b749, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8b16d98, "filp_open" },
	{ 0x52aa9e12, "ida_alloc_range" },
	{ 0x6d715a35, "bdev_file_open_by_path" },
	{ 0x71bdeedc, "try_module_get" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xcae9612a, "blk_start_plug" },
	{ 0xdf4bee3d, "alloc_workqueue" },
	{ 0xe8c61750, "ida_destroy" },
	{ 0x90e81f15, "config_group_init" },
	{ 0x89af69a5, "nvme_auth_hmac_id" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x41495f0d, "strim" },
	{ 0x391a91dd, "nvme_auth_extract_key" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0x955716a3, "trace_seq_printf" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x8ff86be9, "complete" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0xff6a8548, "percpu_ref_init" },
	{ 0x2b185a75, "trace_raw_output_prep" },
	{ 0xdd45951a, "sysfs_streq" },
	{ 0x1604d742, "pci_dev_put" },
	{ 0xd6641965, "crypto_has_kpp" },
	{ 0x23109dc0, "__init_swait_queue_head" },
	{ 0xd7f966c7, "__trace_trigger_soft_disabled" },
	{ 0xfc0126c0, "__kmalloc_node_noprof" },
	{ 0x91e5d03a, "trace_event_printf" },
	{ 0x5cbfdca3, "nvme_auth_transform_key" },
	{ 0xaee068c6, "up" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0x2538f7d3, "trace_event_raw_init" },
	{ 0xc8909373, "trace_print_symbols_seq" },
	{ 0xfbe7861b, "memcpy" },
	{ 0x24b5b469, "nvme_auth_gen_shared_secret" },
	{ 0x8e142c2e, "kstrtouint" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x036b2ad0, "bpf_trace_run2" },
	{ 0x1bd70436, "nvme_auth_generate_digest" },
	{ 0xa3b16a2b, "memcpy_and_pad" },
	{ 0x59ed6329, "get_device" },
	{ 0xc1434f70, "__per_cpu_offset" },
	{ 0x1354bb24, "mempool_free" },
	{ 0xa5f27c22, "nvme_keyring_id" },
	{ 0x8fcafc50, "percpu_ref_kill_and_confirm" },
	{ 0x513bc11e, "configfs_unregister_subsystem" },
	{ 0xdd6830c7, "sysfs_emit" },
	{ 0x3eefa890, "trace_event_buffer_commit" },
	{ 0xdc88d097, "crypto_destroy_tfm" },
	{ 0x71c5099d, "sg_zero_buffer" },
	{ 0x593ff95c, "trace_seq_putc" },
	{ 0xf00d45ac, "kstrtou16" },
	{ 0xe8213e80, "_printk" },
	{ 0x51587a26, "crypto_alloc_kpp" },
	{ 0x5d02419b, "vfs_fallocate" },
	{ 0xade319dc, "percpu_ref_resurrect" },
	{ 0x050058e0, "blkdev_zone_mgmt" },
	{ 0xb15511e4, "nvme_auth_free_key" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x8ce83585, "queue_delayed_work_on" },
	{ 0xb95d3a55, "put_device" },
	{ 0x76ceef55, "__kmalloc_large_noprof" },
	{ 0x0746002e, "strnlen" },
	{ 0x040db1d6, "nvme_tls_psk_refresh" },
	{ 0x1795e1f0, "sgl_alloc" },
	{ 0x328c8acb, "nvme_auth_derive_tls_psk" },
	{ 0xcae9612a, "blk_finish_plug" },
	{ 0x58456982, "nvme_auth_dhgroup_id" },
	{ 0x7333c7cd, "nvme_auth_hmac_hash_len" },
	{ 0x5d439886, "submit_bio" },
	{ 0x79018d57, "module_put" },
	{ 0x999a5f5f, "sized_strscpy" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x5b304019, "nvme_auth_gen_pubkey" },
	{ 0x7851be11, "__cond_resched" },
	{ 0x97427af7, "kstrndup" },
	{ 0x5d14723c, "mempool_alloc_noprof" },
	{ 0x77ec4453, "key_put" },
	{ 0xade319dc, "percpu_ref_exit" },
	{ 0x39502d02, "bio_put" },
	{ 0x3b9fb66f, "radix_tree_delete" },
	{ 0x39502d02, "bio_endio" },
	{ 0x4c0cae6e, "sg_miter_next" },
	{ 0x743d3a4b, "perf_trace_buf_alloc" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0xb6771ae3, "uuid_gen" },
	{ 0xea2326af, "perf_trace_run_bpf_submit" },
	{ 0x177e4768, "fput" },
	{ 0x09977ec6, "down_write" },
	{ 0x09977ec6, "up_write" },
	{ 0xf74e2210, "crypto_shash_setkey" },
	{ 0xd272d446, "synchronize_rcu" },
	{ 0x443eb46b, "configfs_register_subsystem" },
	{ 0xf8934302, "memchr_inv" },
	{ 0x4c1e7250, "mempool_free_slab" },
	{ 0xba9b8e22, "radix_tree_next_chunk" },
	{ 0xd09b06f5, "kstrtoint" },
	{ 0x720cdbad, "kmemdup_nul" },
	{ 0x6b459570, "xa_load" },
	{ 0x6af76ac5, "config_group_init_type_name" },
	{ 0xaee068c6, "down" },
	{ 0x9f1d3b3a, "nvme_auth_generate_psk" },
	{ 0xbeb1d261, "destroy_workqueue" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x96cfc72f, "crypto_shash_init" },
	{ 0xd4785bce, "bio_integrity_add_page" },
	{ 0x5a4baedb, "strncmp" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x21fe9513, "sg_miter_stop" },
	{ 0xfb090990, "nvme_auth_hmac_name" },
	{ 0x63268324, "trace_event_reg" },
	{ 0xf8faa012, "kfree_sensitive" },
	{ 0x7a24e9b5, "bio_chain" },
	{ 0x639d7a37, "ida_free" },
	{ 0x8ce83585, "mod_delayed_work_on" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0x6032d2e8, "bio_add_page" },
	{ 0x86632fd6, "_find_next_bit" },
	{ 0x5201f61b, "__cpu_online_mask" },
	{ 0x8cb0d1eb, "memcmp" },
	{ 0x173ec8da, "sscanf" },
	{ 0xaff69526, "__mutex_init" },
	{ 0x0c80c69f, "bio_integrity_alloc" },
	{ 0xb50e32cc, "sg_miter_start" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0x15b74554, "nvme_auth_augmented_challenge" },
	{ 0xb208ce18, "xa_clear_mark" },
	{ 0x9b4b48a0, "_ctype" },
	{ 0x86dec26d, "bpf_trace_run1" },
	{ 0x5373d78a, "kstrtobool" },
	{ 0x85acaba2, "cancel_delayed_work" },
	{ 0x5201f61b, "__cpu_possible_mask" },
	{ 0x2b50e7c8, "bio_init" },
	{ 0xc45ea11d, "iov_iter_bvec" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x8ff86be9, "wait_for_completion" },
	{ 0xbeb1d261, "__flush_workqueue" },
	{ 0x75251f3a, "mempool_alloc_slab" },
	{ 0xc01aafd2, "nvme_auth_get_seqnum" },
	{ 0x783f158a, "kmemdup_noprof" },
	{ 0xf296206e, "nr_cpu_ids" },
	{ 0xfe056791, "uuid_parse" },
	{ 0x0db23a16, "__kmem_cache_create_args" },
	{ 0x09977ec6, "down_read" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0x8521d917, "__xa_insert" },
	{ 0xce4af33b, "kstrdup" },
	{ 0x6b459570, "xa_erase" },
	{ 0x8beb9de8, "nvme_auth_dhgroup_name" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xdd6830c7, "sprintf" },
	{ 0x81ba17d3, "strcspn" },
	{ 0xa4c0178c, "kvfree_call_rcu" },
	{ 0xd6641965, "crypto_has_shash" },
	{ 0x56e0a6f2, "trace_event_buffer_reserve" },
	{ 0x39502d02, "bio_uninit" },
	{ 0x41838883, "vfs_fsync" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0xaeb9f8d2, "crypto_shash_finup" },
	{ 0x85acaba2, "cancel_delayed_work_sync" },
	{ 0x95fbbc48, "mempool_create_node_noprof" },
	{ 0xf40b6a99, "bin2hex" },
	{ 0xa76eeaf8, "xa_destroy" },
	{ 0xb6384bcc, "xa_find" },
	{ 0x0cdc7dec, "sg_pcopy_from_buffer" },
	{ 0x9f5d4931, "mempool_destroy" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x2d88a3ab, "cancel_work_sync" },
	{ 0x71798f7e, "delayed_work_timer_fn" },
	{ 0xfa42a949, "hex_to_bin" },
	{ 0xe82825e9, "blkdev_issue_flush" },
	{ 0x8beb9de8, "nvme_auth_dhgroup_kpp" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0x79eb4727, "file_bdev" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0x9b58f114, "get_random_bytes" },
	{ 0xb6384bcc, "xa_find_after" },
	{ 0xb208ce18, "xa_set_mark" },
	{ 0xbcd67504, "key_lookup" },
	{ 0x4992ce4a, "crypto_alloc_shash" },
	{ 0x18104ca6, "nvme_auth_gen_privkey" },
	{ 0xfe669f22, "bio_alloc_bioset" },
	{ 0x3e1d392f, "trace_handle_return" },
	{ 0x09977ec6, "up_read" },
	{ 0x8620f9c2, "__blkdev_issue_zeroout" },
	{ 0x84b1e6a8, "sgl_free" },
	{ 0x0831f7d1, "submit_bio_wait" },
	{ 0xec025514, "blkdev_report_zones" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0x4c1a7f14, "sg_pcopy_to_buffer" },
	{ 0xdccab78d, "__blkdev_issue_discard" },
	{ 0x160347d9, "fs_bio_set" },
	{ 0x1b98efde, "blk_next_bio" },
	{ 0x37c0b5f3, "__request_module" },
	{ 0x2de43660, "kmem_cache_destroy" },
	{ 0xaef1f20d, "system_wq" },
	{ 0x2d88a3ab, "flush_work" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xa8b16d98,
	0x52aa9e12,
	0x6d715a35,
	0x71bdeedc,
	0xdc352a3b,
	0xcae9612a,
	0xdf4bee3d,
	0xe8c61750,
	0x90e81f15,
	0x89af69a5,
	0x76ceef55,
	0x41495f0d,
	0x391a91dd,
	0x809f63d8,
	0x955716a3,
	0xd272d446,
	0xe6befa9f,
	0x8ff86be9,
	0x49733ad6,
	0xff6a8548,
	0x2b185a75,
	0xdd45951a,
	0x1604d742,
	0xd6641965,
	0x23109dc0,
	0xd7f966c7,
	0xfc0126c0,
	0x91e5d03a,
	0x5cbfdca3,
	0xaee068c6,
	0xd272d446,
	0x2538f7d3,
	0xc8909373,
	0xfbe7861b,
	0x24b5b469,
	0x8e142c2e,
	0xcb8b6ec6,
	0x036b2ad0,
	0x1bd70436,
	0xa3b16a2b,
	0x59ed6329,
	0xc1434f70,
	0x1354bb24,
	0xa5f27c22,
	0x8fcafc50,
	0x513bc11e,
	0xdd6830c7,
	0x3eefa890,
	0xdc88d097,
	0x71c5099d,
	0x593ff95c,
	0xf00d45ac,
	0xe8213e80,
	0x51587a26,
	0x5d02419b,
	0xade319dc,
	0x050058e0,
	0xb15511e4,
	0x2520ea93,
	0xd272d446,
	0x8ce83585,
	0xb95d3a55,
	0x76ceef55,
	0x0746002e,
	0x040db1d6,
	0x1795e1f0,
	0x328c8acb,
	0xcae9612a,
	0x58456982,
	0x7333c7cd,
	0x5d439886,
	0x79018d57,
	0x999a5f5f,
	0xd272d446,
	0x5b304019,
	0x7851be11,
	0x97427af7,
	0x5d14723c,
	0x77ec4453,
	0xade319dc,
	0x39502d02,
	0x3b9fb66f,
	0x39502d02,
	0x4c0cae6e,
	0x743d3a4b,
	0xd272d446,
	0xb6771ae3,
	0xea2326af,
	0x177e4768,
	0x09977ec6,
	0x09977ec6,
	0xf74e2210,
	0xd272d446,
	0x443eb46b,
	0xf8934302,
	0x4c1e7250,
	0xba9b8e22,
	0xd09b06f5,
	0x720cdbad,
	0x6b459570,
	0x6af76ac5,
	0xaee068c6,
	0x9f1d3b3a,
	0xbeb1d261,
	0x760fcb1a,
	0x96cfc72f,
	0xd4785bce,
	0x5a4baedb,
	0xd272d446,
	0x21fe9513,
	0xfb090990,
	0x63268324,
	0xf8faa012,
	0x7a24e9b5,
	0x639d7a37,
	0x8ce83585,
	0x4f1e5fd0,
	0x6032d2e8,
	0x86632fd6,
	0x5201f61b,
	0x8cb0d1eb,
	0x173ec8da,
	0xaff69526,
	0x0c80c69f,
	0xb50e32cc,
	0xf521a19a,
	0x15b74554,
	0xb208ce18,
	0x9b4b48a0,
	0x86dec26d,
	0x5373d78a,
	0x85acaba2,
	0x5201f61b,
	0x2b50e7c8,
	0xc45ea11d,
	0xd272d446,
	0x8ff86be9,
	0xbeb1d261,
	0x75251f3a,
	0xc01aafd2,
	0x783f158a,
	0xf296206e,
	0xfe056791,
	0x0db23a16,
	0x09977ec6,
	0xd272d446,
	0x8521d917,
	0xce4af33b,
	0x6b459570,
	0x8beb9de8,
	0xd272d446,
	0xdd6830c7,
	0x81ba17d3,
	0xa4c0178c,
	0xd6641965,
	0x56e0a6f2,
	0x39502d02,
	0x41838883,
	0x760fcb1a,
	0xaeb9f8d2,
	0x85acaba2,
	0x95fbbc48,
	0xf40b6a99,
	0xa76eeaf8,
	0xb6384bcc,
	0x0cdc7dec,
	0x9f5d4931,
	0x23f25c0a,
	0x544e22b5,
	0x2d88a3ab,
	0x71798f7e,
	0xfa42a949,
	0xe82825e9,
	0x8beb9de8,
	0xd272d446,
	0x02f9bbf0,
	0x79eb4727,
	0xd272d446,
	0x9b58f114,
	0xb6384bcc,
	0xb208ce18,
	0xbcd67504,
	0x4992ce4a,
	0x18104ca6,
	0xfe669f22,
	0x3e1d392f,
	0x09977ec6,
	0x8620f9c2,
	0x84b1e6a8,
	0x0831f7d1,
	0xec025514,
	0x9dc59ece,
	0x4c1a7f14,
	0xdccab78d,
	0x160347d9,
	0x1b98efde,
	0x37c0b5f3,
	0x2de43660,
	0xaef1f20d,
	0x2d88a3ab,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"filp_open\0"
	"ida_alloc_range\0"
	"bdev_file_open_by_path\0"
	"try_module_get\0"
	"__list_add_valid_or_report\0"
	"blk_start_plug\0"
	"alloc_workqueue\0"
	"ida_destroy\0"
	"config_group_init\0"
	"nvme_auth_hmac_id\0"
	"__kmalloc_noprof\0"
	"strim\0"
	"nvme_auth_extract_key\0"
	"arch_spin_lock_wait\0"
	"trace_seq_printf\0"
	"__s390_indirect_jump_r7\0"
	"snprintf\0"
	"complete\0"
	"queue_work_on\0"
	"percpu_ref_init\0"
	"trace_raw_output_prep\0"
	"sysfs_streq\0"
	"pci_dev_put\0"
	"crypto_has_kpp\0"
	"__init_swait_queue_head\0"
	"__trace_trigger_soft_disabled\0"
	"__kmalloc_node_noprof\0"
	"trace_event_printf\0"
	"nvme_auth_transform_key\0"
	"up\0"
	"__s390_indirect_jump_r3\0"
	"trace_event_raw_init\0"
	"trace_print_symbols_seq\0"
	"memcpy\0"
	"nvme_auth_gen_shared_secret\0"
	"kstrtouint\0"
	"kfree\0"
	"bpf_trace_run2\0"
	"nvme_auth_generate_digest\0"
	"memcpy_and_pad\0"
	"get_device\0"
	"__per_cpu_offset\0"
	"mempool_free\0"
	"nvme_keyring_id\0"
	"percpu_ref_kill_and_confirm\0"
	"configfs_unregister_subsystem\0"
	"sysfs_emit\0"
	"trace_event_buffer_commit\0"
	"crypto_destroy_tfm\0"
	"sg_zero_buffer\0"
	"trace_seq_putc\0"
	"kstrtou16\0"
	"_printk\0"
	"crypto_alloc_kpp\0"
	"vfs_fallocate\0"
	"percpu_ref_resurrect\0"
	"blkdev_zone_mgmt\0"
	"nvme_auth_free_key\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"queue_delayed_work_on\0"
	"put_device\0"
	"__kmalloc_large_noprof\0"
	"strnlen\0"
	"nvme_tls_psk_refresh\0"
	"sgl_alloc\0"
	"nvme_auth_derive_tls_psk\0"
	"blk_finish_plug\0"
	"nvme_auth_dhgroup_id\0"
	"nvme_auth_hmac_hash_len\0"
	"submit_bio\0"
	"module_put\0"
	"sized_strscpy\0"
	"__s390_indirect_jump_r6\0"
	"nvme_auth_gen_pubkey\0"
	"__cond_resched\0"
	"kstrndup\0"
	"mempool_alloc_noprof\0"
	"key_put\0"
	"percpu_ref_exit\0"
	"bio_put\0"
	"radix_tree_delete\0"
	"bio_endio\0"
	"sg_miter_next\0"
	"perf_trace_buf_alloc\0"
	"__s390_indirect_jump_r9\0"
	"uuid_gen\0"
	"perf_trace_run_bpf_submit\0"
	"fput\0"
	"down_write\0"
	"up_write\0"
	"crypto_shash_setkey\0"
	"synchronize_rcu\0"
	"configfs_register_subsystem\0"
	"memchr_inv\0"
	"mempool_free_slab\0"
	"radix_tree_next_chunk\0"
	"kstrtoint\0"
	"kmemdup_nul\0"
	"xa_load\0"
	"config_group_init_type_name\0"
	"down\0"
	"nvme_auth_generate_psk\0"
	"destroy_workqueue\0"
	"mutex_lock\0"
	"crypto_shash_init\0"
	"bio_integrity_add_page\0"
	"strncmp\0"
	"__s390_indirect_jump_r10\0"
	"sg_miter_stop\0"
	"nvme_auth_hmac_name\0"
	"trace_event_reg\0"
	"kfree_sensitive\0"
	"bio_chain\0"
	"ida_free\0"
	"mod_delayed_work_on\0"
	"__list_del_entry_valid_or_report\0"
	"bio_add_page\0"
	"_find_next_bit\0"
	"__cpu_online_mask\0"
	"memcmp\0"
	"sscanf\0"
	"__mutex_init\0"
	"bio_integrity_alloc\0"
	"sg_miter_start\0"
	"__fortify_panic\0"
	"nvme_auth_augmented_challenge\0"
	"xa_clear_mark\0"
	"_ctype\0"
	"bpf_trace_run1\0"
	"kstrtobool\0"
	"cancel_delayed_work\0"
	"__cpu_possible_mask\0"
	"bio_init\0"
	"iov_iter_bvec\0"
	"__s390_indirect_jump_r14\0"
	"wait_for_completion\0"
	"__flush_workqueue\0"
	"mempool_alloc_slab\0"
	"nvme_auth_get_seqnum\0"
	"kmemdup_noprof\0"
	"nr_cpu_ids\0"
	"uuid_parse\0"
	"__kmem_cache_create_args\0"
	"down_read\0"
	"__s390_indirect_jump_r1\0"
	"__xa_insert\0"
	"kstrdup\0"
	"xa_erase\0"
	"nvme_auth_dhgroup_name\0"
	"__s390_indirect_jump_r8\0"
	"sprintf\0"
	"strcspn\0"
	"kvfree_call_rcu\0"
	"crypto_has_shash\0"
	"trace_event_buffer_reserve\0"
	"bio_uninit\0"
	"vfs_fsync\0"
	"mutex_unlock\0"
	"crypto_shash_finup\0"
	"cancel_delayed_work_sync\0"
	"mempool_create_node_noprof\0"
	"bin2hex\0"
	"xa_destroy\0"
	"xa_find\0"
	"sg_pcopy_from_buffer\0"
	"mempool_destroy\0"
	"__dynamic_pr_debug\0"
	"__kmalloc_cache_noprof\0"
	"cancel_work_sync\0"
	"delayed_work_timer_fn\0"
	"hex_to_bin\0"
	"blkdev_issue_flush\0"
	"nvme_auth_dhgroup_kpp\0"
	"__s390_indirect_jump_r5\0"
	"timer_init_key\0"
	"file_bdev\0"
	"__s390_indirect_jump_r11\0"
	"get_random_bytes\0"
	"xa_find_after\0"
	"xa_set_mark\0"
	"key_lookup\0"
	"crypto_alloc_shash\0"
	"nvme_auth_gen_privkey\0"
	"bio_alloc_bioset\0"
	"trace_handle_return\0"
	"up_read\0"
	"__blkdev_issue_zeroout\0"
	"sgl_free\0"
	"submit_bio_wait\0"
	"blkdev_report_zones\0"
	"kmalloc_caches\0"
	"sg_pcopy_to_buffer\0"
	"__blkdev_issue_discard\0"
	"fs_bio_set\0"
	"blk_next_bio\0"
	"__request_module\0"
	"kmem_cache_destroy\0"
	"system_wq\0"
	"flush_work\0"
	"module_layout\0"
;

MODULE_INFO(depends, "nvme-auth,nvme-keyring");


MODULE_INFO(srcversion, "1DB3826511525271E7E681B");
MODULE_INFO(rhelversion, "10.99");
