#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(dasd_debug_area, "", "");
KSYMTAB_DATA(dasd_diag_discipline_pointer, "", "");
KSYMTAB_FUNC(dasd_alloc_block, "_gpl", "");
KSYMTAB_FUNC(dasd_free_block, "_gpl", "");
KSYMTAB_FUNC(dasd_kick_device, "", "");
KSYMTAB_FUNC(dasd_reload_device, "", "");
KSYMTAB_FUNC(dasd_enable_device, "", "");
KSYMTAB_FUNC(dasd_smalloc_request, "", "");
KSYMTAB_FUNC(dasd_fmalloc_request, "", "");
KSYMTAB_FUNC(dasd_sfree_request, "", "");
KSYMTAB_FUNC(dasd_ffree_request, "", "");
KSYMTAB_FUNC(dasd_term_IO, "", "");
KSYMTAB_FUNC(dasd_start_IO, "", "");
KSYMTAB_FUNC(dasd_device_set_timer, "", "");
KSYMTAB_FUNC(dasd_device_clear_timer, "", "");
KSYMTAB_FUNC(dasd_generic_handle_state_change, "_gpl", "");
KSYMTAB_FUNC(dasd_int_handler, "", "");
KSYMTAB_FUNC(dasd_generic_uc_handler, "_gpl", "");
KSYMTAB_FUNC(dasd_flush_device_queue, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_device_bh, "", "");
KSYMTAB_FUNC(dasd_device_set_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_device_remove_stop_bits, "_gpl", "");
KSYMTAB_FUNC(dasd_add_request_head, "", "");
KSYMTAB_FUNC(dasd_add_request_tail, "", "");
KSYMTAB_FUNC(dasd_wakeup_cb, "_gpl", "");
KSYMTAB_FUNC(dasd_sleep_on, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue, "", "");
KSYMTAB_FUNC(dasd_sleep_on_queue_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_interruptible, "", "");
KSYMTAB_FUNC(dasd_sleep_on_immediatly, "", "");
KSYMTAB_FUNC(dasd_block_set_timer, "", "");
KSYMTAB_FUNC(dasd_block_clear_timer, "", "");
KSYMTAB_FUNC(dasd_schedule_block_bh, "", "");
KSYMTAB_FUNC(dasd_device_is_ro, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_probe, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_free_discipline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_remove, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_online, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_set_offline, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_last_path_gone, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_operational, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_notify, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_path_event, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_verify_path, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_exhaust, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_space_avail, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_requeue_all_requests, "_gpl", "");
KSYMTAB_FUNC(dasd_schedule_requeue, "", "");
KSYMTAB_FUNC(dasd_generic_read_dev_chars, "_gpl", "");
KSYMTAB_FUNC(dasd_get_sense, "_gpl", "");
KSYMTAB_FUNC(dasd_generic_shutdown, "_gpl", "");
KSYMTAB_FUNC(dasd_biodasdinfo, "_gpl", "");
KSYMTAB_DATA(dasd_page_cache, "_gpl", "");
KSYMTAB_DATA(dasd_nopav, "_gpl", "");
KSYMTAB_DATA(dasd_nofcx, "_gpl", "");
KSYMTAB_FUNC(dasd_devmap_set_device_copy_relation, "_gpl", "");
KSYMTAB_FUNC(dasd_put_device_wake, "_gpl", "");
KSYMTAB_FUNC(dasd_add_link_to_gendisk, "", "");
KSYMTAB_DATA(dasd_dev_groups, "_gpl", "");
KSYMTAB_FUNC(dasd_set_feature, "", "");
KSYMTAB_FUNC(dasd_path_create_kobj, "", "");
KSYMTAB_FUNC(dasd_path_create_kobjects, "", "");
KSYMTAB_FUNC(dasd_path_remove_kobjects, "", "");
KSYMTAB_FUNC(dasd_log_sense_dbf, "", "");
KSYMTAB_FUNC(dasd_default_erp_action, "", "");
KSYMTAB_FUNC(dasd_default_erp_postaction, "", "");
KSYMTAB_FUNC(dasd_alloc_erp_request, "", "");
KSYMTAB_FUNC(dasd_free_erp_request, "", "");
KSYMTAB_FUNC(dasd_log_sense, "", "");
KSYMTAB_FUNC(dasd_eer_write, "", "");

SYMBOL_CRC(dasd_debug_area, 0xe51d0234, "");
SYMBOL_CRC(dasd_diag_discipline_pointer, 0xb7e14f9c, "");
SYMBOL_CRC(dasd_alloc_block, 0x2ad9c8d2, "_gpl");
SYMBOL_CRC(dasd_free_block, 0x8f1da1ef, "_gpl");
SYMBOL_CRC(dasd_kick_device, 0xceec1641, "");
SYMBOL_CRC(dasd_reload_device, 0xceec1641, "");
SYMBOL_CRC(dasd_enable_device, 0xceec1641, "");
SYMBOL_CRC(dasd_smalloc_request, 0x90e60fad, "");
SYMBOL_CRC(dasd_fmalloc_request, 0xb5f8264a, "");
SYMBOL_CRC(dasd_sfree_request, 0xd92d5f75, "");
SYMBOL_CRC(dasd_ffree_request, 0xd92d5f75, "");
SYMBOL_CRC(dasd_term_IO, 0x7761ffc4, "");
SYMBOL_CRC(dasd_start_IO, 0x7761ffc4, "");
SYMBOL_CRC(dasd_device_set_timer, 0x3491e5e3, "");
SYMBOL_CRC(dasd_device_clear_timer, 0xceec1641, "");
SYMBOL_CRC(dasd_generic_handle_state_change, 0xceec1641, "_gpl");
SYMBOL_CRC(dasd_int_handler, 0x14618904, "");
SYMBOL_CRC(dasd_generic_uc_handler, 0xae2c682a, "_gpl");
SYMBOL_CRC(dasd_flush_device_queue, 0xfbc619f0, "_gpl");
SYMBOL_CRC(dasd_schedule_device_bh, 0xceec1641, "");
SYMBOL_CRC(dasd_device_set_stop_bits, 0xcee6e682, "_gpl");
SYMBOL_CRC(dasd_device_remove_stop_bits, 0xcee6e682, "_gpl");
SYMBOL_CRC(dasd_add_request_head, 0x56bae12f, "");
SYMBOL_CRC(dasd_add_request_tail, 0x56bae12f, "");
SYMBOL_CRC(dasd_wakeup_cb, 0x90b842d0, "_gpl");
SYMBOL_CRC(dasd_sleep_on, 0x7761ffc4, "");
SYMBOL_CRC(dasd_sleep_on_queue, 0x5190d1f9, "");
SYMBOL_CRC(dasd_sleep_on_queue_interruptible, 0x5190d1f9, "");
SYMBOL_CRC(dasd_sleep_on_interruptible, 0x7761ffc4, "");
SYMBOL_CRC(dasd_sleep_on_immediatly, 0x7761ffc4, "");
SYMBOL_CRC(dasd_block_set_timer, 0x3f0ca403, "");
SYMBOL_CRC(dasd_block_clear_timer, 0x8f1da1ef, "");
SYMBOL_CRC(dasd_schedule_block_bh, 0x8f1da1ef, "");
SYMBOL_CRC(dasd_device_is_ro, 0xfbc619f0, "_gpl");
SYMBOL_CRC(dasd_generic_probe, 0xed1e5661, "_gpl");
SYMBOL_CRC(dasd_generic_free_discipline, 0xceec1641, "_gpl");
SYMBOL_CRC(dasd_generic_remove, 0xaec38347, "_gpl");
SYMBOL_CRC(dasd_generic_set_online, 0x026f2b4c, "_gpl");
SYMBOL_CRC(dasd_generic_set_offline, 0xed1e5661, "_gpl");
SYMBOL_CRC(dasd_generic_last_path_gone, 0xfbc619f0, "_gpl");
SYMBOL_CRC(dasd_generic_path_operational, 0xfbc619f0, "_gpl");
SYMBOL_CRC(dasd_generic_notify, 0xbeb0de06, "_gpl");
SYMBOL_CRC(dasd_generic_path_event, 0xe294d2c8, "_gpl");
SYMBOL_CRC(dasd_generic_verify_path, 0x267d0544, "_gpl");
SYMBOL_CRC(dasd_generic_space_exhaust, 0x8ca43041, "_gpl");
SYMBOL_CRC(dasd_generic_space_avail, 0xceec1641, "_gpl");
SYMBOL_CRC(dasd_generic_requeue_all_requests, 0xfbc619f0, "_gpl");
SYMBOL_CRC(dasd_schedule_requeue, 0xceec1641, "");
SYMBOL_CRC(dasd_generic_read_dev_chars, 0xf2b5e62d, "_gpl");
SYMBOL_CRC(dasd_get_sense, 0x97b4546e, "_gpl");
SYMBOL_CRC(dasd_generic_shutdown, 0xaec38347, "_gpl");
SYMBOL_CRC(dasd_biodasdinfo, 0x7e7e9f82, "_gpl");
SYMBOL_CRC(dasd_page_cache, 0xcf915583, "_gpl");
SYMBOL_CRC(dasd_nopav, 0x7ec472ba, "_gpl");
SYMBOL_CRC(dasd_nofcx, 0x7ec472ba, "_gpl");
SYMBOL_CRC(dasd_devmap_set_device_copy_relation, 0x6fb67ec6, "_gpl");
SYMBOL_CRC(dasd_put_device_wake, 0x7f8bcd1d, "_gpl");
SYMBOL_CRC(dasd_add_link_to_gendisk, 0x467f1ec8, "");
SYMBOL_CRC(dasd_dev_groups, 0xbc9f5d86, "_gpl");
SYMBOL_CRC(dasd_set_feature, 0x9d1b113b, "");
SYMBOL_CRC(dasd_path_create_kobj, 0x131f1294, "");
SYMBOL_CRC(dasd_path_create_kobjects, 0x7f8bcd1d, "");
SYMBOL_CRC(dasd_path_remove_kobjects, 0x7f8bcd1d, "");
SYMBOL_CRC(dasd_log_sense_dbf, 0x4618f200, "");
SYMBOL_CRC(dasd_default_erp_action, 0x1699a0d1, "");
SYMBOL_CRC(dasd_default_erp_postaction, 0x1699a0d1, "");
SYMBOL_CRC(dasd_alloc_erp_request, 0x94a724fc, "");
SYMBOL_CRC(dasd_free_erp_request, 0xf909f41c, "");
SYMBOL_CRC(dasd_log_sense, 0x4618f200, "");
SYMBOL_CRC(dasd_eer_write, 0x68bec959, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd0f5a13, "set_disk_ro" },
	{ 0x71bdeedc, "try_module_get" },
	{ 0xa61fd7aa, "__check_object_size" },
	{ 0x841ae787, "misc_deregister" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0x9f5a41cc, "param_ops_uint" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x847495f9, "proc_create" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0x64c855a5, "device_add_disk" },
	{ 0xe6befa9f, "snprintf" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0xd272d446, "__s390_indirect_jump_r13" },
	{ 0xdd45951a, "sysfs_streq" },
	{ 0xf62c71e3, "finish_wait" },
	{ 0x3c3ff0e1, "diag210" },
	{ 0x4b8d73c0, "kobject_init" },
	{ 0x3629ead7, "skip_spaces" },
	{ 0xa09f1cd7, "debug_set_level" },
	{ 0x9f5a41cc, "param_array_ops" },
	{ 0xa19d4a57, "debug_register" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xfbe7861b, "memcpy" },
	{ 0x2111394e, "ccw_device_start" },
	{ 0x8e142c2e, "kstrtouint" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x99eb7ed5, "kset_unregister" },
	{ 0x335aca6e, "seq_lseek" },
	{ 0x2352b148, "timer_delete" },
	{ 0xb6d2241d, "prepare_to_wait_event" },
	{ 0x4ac7ac67, "disk_uevent" },
	{ 0x0433c0cc, "__wake_up" },
	{ 0x02e1dca7, "free_pages" },
	{ 0x59ed6329, "get_device" },
	{ 0x451c3a29, "blk_mq_end_request" },
	{ 0xa5a06994, "__blk_mq_alloc_disk" },
	{ 0x68fc6f27, "__dynamic_dev_dbg" },
	{ 0xdd6830c7, "sysfs_emit" },
	{ 0xe7cef6f5, "blk_mq_alloc_tag_set" },
	{ 0xb7a59f82, "vm_layout" },
	{ 0x91531bbe, "async_schedule_node" },
	{ 0xe8213e80, "_printk" },
	{ 0xe576a569, "ipl_info" },
	{ 0xa9098c6a, "put_disk" },
	{ 0xd272d446, "schedule" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0xb95d3a55, "put_device" },
	{ 0xf64ac983, "__copy_overflow" },
	{ 0x14e2893a, "ccw_device_tm_start" },
	{ 0x0746002e, "strnlen" },
	{ 0x740edbbb, "ccw_device_get_schid" },
	{ 0x4bb2877d, "_dev_info" },
	{ 0x0c161ddc, "capable" },
	{ 0x79018d57, "module_put" },
	{ 0x48fd0ca0, "get_zeroed_page_noprof" },
	{ 0x999a5f5f, "sized_strscpy" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x14980e8a, "unregister_blkdev" },
	{ 0x22119a00, "_ascebc" },
	{ 0xd9fc4aeb, "disable_cmf" },
	{ 0x7a5ffe84, "init_wait_entry" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0x177e4768, "fput" },
	{ 0x4bb2877d, "_dev_err" },
	{ 0x6ed44719, "kobject_add" },
	{ 0xc73140c1, "blk_update_request" },
	{ 0x7dd18610, "ccw_device_get_id" },
	{ 0xf8934302, "memchr_inv" },
	{ 0xeae27a39, "kobj_sysfs_ops" },
	{ 0xdbcfbdf4, "set_capacity" },
	{ 0x32feeafc, "mod_timer" },
	{ 0xcdec1689, "tasklet_init" },
	{ 0x6e754b73, "noop_llseek" },
	{ 0xd7a59a65, "vmalloc_noprof" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0xefe166ff, "debugfs_remove" },
	{ 0x5a4baedb, "strncmp" },
	{ 0x9850bf6f, "cmf_readall" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x8cf92c56, "seq_putc" },
	{ 0xc039633d, "bdev_mark_dead" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0x1110cfed, "blk_mq_free_tag_set" },
	{ 0x680628e7, "ktime_get_real_ts64" },
	{ 0xa9098c6a, "del_gendisk" },
	{ 0xfcc2e8f3, "__local_bh_enable_ip" },
	{ 0xca69c179, "__debug_sprintf_event" },
	{ 0xaff69526, "__mutex_init" },
	{ 0x43f152f9, "mutex_lock_interruptible" },
	{ 0x0652c177, "bdev_file_open_by_dev" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0x9bfde9a1, "errno_to_blk_status" },
	{ 0x9b4b48a0, "_ctype" },
	{ 0x5373d78a, "kstrtobool" },
	{ 0x0597563f, "proc_mkdir" },
	{ 0xe6eeb718, "ccw_device_set_offline" },
	{ 0x4bb2877d, "_dev_warn" },
	{ 0xbd069841, "kstrtoull" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x55c9aadf, "misc_register" },
	{ 0x9f323c7c, "ccw_device_clear" },
	{ 0x9f5a41cc, "param_ops_charp" },
	{ 0x9a963e9f, "__init_waitqueue_head" },
	{ 0x0db23a16, "__kmem_cache_create_args" },
	{ 0xb74495e5, "bdev_disk_changed" },
	{ 0x058c185a, "jiffies" },
	{ 0x260be00a, "nonseekable_open" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xce4af33b, "kstrdup" },
	{ 0xc9a252ad, "debug_unregister" },
	{ 0x095688ee, "seq_read" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xdd6830c7, "sprintf" },
	{ 0x1640b517, "blk_mq_complete_request" },
	{ 0xf1de9e85, "vfree" },
	{ 0xa5c7582d, "strsep" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0xad7df6e1, "__register_blkdev" },
	{ 0x99076ee4, "seq_write" },
	{ 0xf3530b9a, "remove_proc_entry" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x546c19d9, "validate_usercopy_range" },
	{ 0xd8ce3ede, "seq_printf" },
	{ 0xe6eeb718, "ccw_device_set_online" },
	{ 0xd9fc4aeb, "enable_cmf" },
	{ 0x967e27f4, "kobject_uevent" },
	{ 0x6f9de33e, "debugfs_create_file_full" },
	{ 0x9c0551c6, "__tasklet_hi_schedule" },
	{ 0x1640b517, "blk_mq_start_request" },
	{ 0xf81276ce, "ccw_device_get_path_mask" },
	{ 0xc0a38b31, "queue_limits_commit_update" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x64923a08, "single_release" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0x62b2706f, "tcw_get_tsb" },
	{ 0x79eb4727, "file_bdev" },
	{ 0xb43281f9, "css_general_characteristics" },
	{ 0x9b617b77, "blk_abort_request" },
	{ 0x9c0b2d81, "debug_sprintf_view" },
	{ 0x9f5a41cc, "param_ops_int" },
	{ 0xc87fdf4d, "blk_mq_run_hw_queues" },
	{ 0x8e1e58a1, "proc_create_seq_private" },
	{ 0x55ba13d3, "single_open" },
	{ 0x296b9459, "strchr" },
	{ 0xfa07e204, "debugfs_create_dir" },
	{ 0x6bded543, "get_free_pages_noprof" },
	{ 0x97a7ec9e, "debug_register_view" },
	{ 0x767d34a5, "blk_mq_requeue_request" },
	{ 0x67b2ba98, "sysfs_emit_at" },
	{ 0x656ac71a, "blk_queue_rq_timeout" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0x37c0b5f3, "__request_module" },
	{ 0x2de43660, "kmem_cache_destroy" },
	{ 0xaef1f20d, "system_wq" },
	{ 0x52c7c6fb, "kset_create_and_add" },
	{ 0xc2e97f16, "kobject_put" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xcd0f5a13,
	0x71bdeedc,
	0xa61fd7aa,
	0x841ae787,
	0xdc352a3b,
	0x9f5a41cc,
	0x76ceef55,
	0x847495f9,
	0x809f63d8,
	0xd272d446,
	0x64c855a5,
	0xe6befa9f,
	0x49733ad6,
	0xd272d446,
	0xdd45951a,
	0xf62c71e3,
	0x3c3ff0e1,
	0x4b8d73c0,
	0x3629ead7,
	0xa09f1cd7,
	0x9f5a41cc,
	0xa19d4a57,
	0xd272d446,
	0xfbe7861b,
	0x2111394e,
	0x8e142c2e,
	0xcb8b6ec6,
	0x99eb7ed5,
	0x335aca6e,
	0x2352b148,
	0xb6d2241d,
	0x4ac7ac67,
	0x0433c0cc,
	0x02e1dca7,
	0x59ed6329,
	0x451c3a29,
	0xa5a06994,
	0x68fc6f27,
	0xdd6830c7,
	0xe7cef6f5,
	0xb7a59f82,
	0x91531bbe,
	0xe8213e80,
	0xe576a569,
	0xa9098c6a,
	0xd272d446,
	0xd272d446,
	0xb95d3a55,
	0xf64ac983,
	0x14e2893a,
	0x0746002e,
	0x740edbbb,
	0x4bb2877d,
	0x0c161ddc,
	0x79018d57,
	0x48fd0ca0,
	0x999a5f5f,
	0xd272d446,
	0x14980e8a,
	0x22119a00,
	0xd9fc4aeb,
	0x7a5ffe84,
	0xd272d446,
	0x177e4768,
	0x4bb2877d,
	0x6ed44719,
	0xc73140c1,
	0x7dd18610,
	0xf8934302,
	0xeae27a39,
	0xdbcfbdf4,
	0x32feeafc,
	0xcdec1689,
	0x6e754b73,
	0xd7a59a65,
	0x760fcb1a,
	0xefe166ff,
	0x5a4baedb,
	0x9850bf6f,
	0xd272d446,
	0x8cf92c56,
	0xc039633d,
	0x4f1e5fd0,
	0x1110cfed,
	0x680628e7,
	0xa9098c6a,
	0xfcc2e8f3,
	0xca69c179,
	0xaff69526,
	0x43f152f9,
	0x0652c177,
	0xf521a19a,
	0x9bfde9a1,
	0x9b4b48a0,
	0x5373d78a,
	0x0597563f,
	0xe6eeb718,
	0x4bb2877d,
	0xbd069841,
	0xd272d446,
	0x55c9aadf,
	0x9f323c7c,
	0x9f5a41cc,
	0x9a963e9f,
	0x0db23a16,
	0xb74495e5,
	0x058c185a,
	0x260be00a,
	0xd272d446,
	0xce4af33b,
	0xc9a252ad,
	0x095688ee,
	0xd272d446,
	0xdd6830c7,
	0x1640b517,
	0xf1de9e85,
	0xa5c7582d,
	0x760fcb1a,
	0xad7df6e1,
	0x99076ee4,
	0xf3530b9a,
	0x544e22b5,
	0x546c19d9,
	0xd8ce3ede,
	0xe6eeb718,
	0xd9fc4aeb,
	0x967e27f4,
	0x6f9de33e,
	0x9c0551c6,
	0x1640b517,
	0xf81276ce,
	0xc0a38b31,
	0xd272d446,
	0x64923a08,
	0x02f9bbf0,
	0x62b2706f,
	0x79eb4727,
	0xb43281f9,
	0x9b617b77,
	0x9c0b2d81,
	0x9f5a41cc,
	0xc87fdf4d,
	0x8e1e58a1,
	0x55ba13d3,
	0x296b9459,
	0xfa07e204,
	0x6bded543,
	0x97a7ec9e,
	0x767d34a5,
	0x67b2ba98,
	0x656ac71a,
	0x9dc59ece,
	0x37c0b5f3,
	0x2de43660,
	0xaef1f20d,
	0x52c7c6fb,
	0xc2e97f16,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"set_disk_ro\0"
	"try_module_get\0"
	"__check_object_size\0"
	"misc_deregister\0"
	"__list_add_valid_or_report\0"
	"param_ops_uint\0"
	"__kmalloc_noprof\0"
	"proc_create\0"
	"arch_spin_lock_wait\0"
	"__s390_indirect_jump_r7\0"
	"device_add_disk\0"
	"snprintf\0"
	"queue_work_on\0"
	"__s390_indirect_jump_r13\0"
	"sysfs_streq\0"
	"finish_wait\0"
	"diag210\0"
	"kobject_init\0"
	"skip_spaces\0"
	"debug_set_level\0"
	"param_array_ops\0"
	"debug_register\0"
	"__s390_indirect_jump_r3\0"
	"memcpy\0"
	"ccw_device_start\0"
	"kstrtouint\0"
	"kfree\0"
	"kset_unregister\0"
	"seq_lseek\0"
	"timer_delete\0"
	"prepare_to_wait_event\0"
	"disk_uevent\0"
	"__wake_up\0"
	"free_pages\0"
	"get_device\0"
	"blk_mq_end_request\0"
	"__blk_mq_alloc_disk\0"
	"__dynamic_dev_dbg\0"
	"sysfs_emit\0"
	"blk_mq_alloc_tag_set\0"
	"vm_layout\0"
	"async_schedule_node\0"
	"_printk\0"
	"ipl_info\0"
	"put_disk\0"
	"schedule\0"
	"__s390_indirect_jump_r4\0"
	"put_device\0"
	"__copy_overflow\0"
	"ccw_device_tm_start\0"
	"strnlen\0"
	"ccw_device_get_schid\0"
	"_dev_info\0"
	"capable\0"
	"module_put\0"
	"get_zeroed_page_noprof\0"
	"sized_strscpy\0"
	"__s390_indirect_jump_r6\0"
	"unregister_blkdev\0"
	"_ascebc\0"
	"disable_cmf\0"
	"init_wait_entry\0"
	"__s390_indirect_jump_r9\0"
	"fput\0"
	"_dev_err\0"
	"kobject_add\0"
	"blk_update_request\0"
	"ccw_device_get_id\0"
	"memchr_inv\0"
	"kobj_sysfs_ops\0"
	"set_capacity\0"
	"mod_timer\0"
	"tasklet_init\0"
	"noop_llseek\0"
	"vmalloc_noprof\0"
	"mutex_lock\0"
	"debugfs_remove\0"
	"strncmp\0"
	"cmf_readall\0"
	"__s390_indirect_jump_r10\0"
	"seq_putc\0"
	"bdev_mark_dead\0"
	"__list_del_entry_valid_or_report\0"
	"blk_mq_free_tag_set\0"
	"ktime_get_real_ts64\0"
	"del_gendisk\0"
	"__local_bh_enable_ip\0"
	"__debug_sprintf_event\0"
	"__mutex_init\0"
	"mutex_lock_interruptible\0"
	"bdev_file_open_by_dev\0"
	"__fortify_panic\0"
	"errno_to_blk_status\0"
	"_ctype\0"
	"kstrtobool\0"
	"proc_mkdir\0"
	"ccw_device_set_offline\0"
	"_dev_warn\0"
	"kstrtoull\0"
	"__s390_indirect_jump_r14\0"
	"misc_register\0"
	"ccw_device_clear\0"
	"param_ops_charp\0"
	"__init_waitqueue_head\0"
	"__kmem_cache_create_args\0"
	"bdev_disk_changed\0"
	"jiffies\0"
	"nonseekable_open\0"
	"__s390_indirect_jump_r1\0"
	"kstrdup\0"
	"debug_unregister\0"
	"seq_read\0"
	"__s390_indirect_jump_r8\0"
	"sprintf\0"
	"blk_mq_complete_request\0"
	"vfree\0"
	"strsep\0"
	"mutex_unlock\0"
	"__register_blkdev\0"
	"seq_write\0"
	"remove_proc_entry\0"
	"__kmalloc_cache_noprof\0"
	"validate_usercopy_range\0"
	"seq_printf\0"
	"ccw_device_set_online\0"
	"enable_cmf\0"
	"kobject_uevent\0"
	"debugfs_create_file_full\0"
	"__tasklet_hi_schedule\0"
	"blk_mq_start_request\0"
	"ccw_device_get_path_mask\0"
	"queue_limits_commit_update\0"
	"__s390_indirect_jump_r5\0"
	"single_release\0"
	"timer_init_key\0"
	"tcw_get_tsb\0"
	"file_bdev\0"
	"css_general_characteristics\0"
	"blk_abort_request\0"
	"debug_sprintf_view\0"
	"param_ops_int\0"
	"blk_mq_run_hw_queues\0"
	"proc_create_seq_private\0"
	"single_open\0"
	"strchr\0"
	"debugfs_create_dir\0"
	"get_free_pages_noprof\0"
	"debug_register_view\0"
	"blk_mq_requeue_request\0"
	"sysfs_emit_at\0"
	"blk_queue_rq_timeout\0"
	"kmalloc_caches\0"
	"__request_module\0"
	"kmem_cache_destroy\0"
	"system_wq\0"
	"kset_create_and_add\0"
	"kobject_put\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4DEDBEE2795594A0F34D754");
MODULE_INFO(rhelversion, "10.99");
