#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ccwgroup_set_online, "", "");
KSYMTAB_FUNC(ccwgroup_set_offline, "", "");
KSYMTAB_FUNC(ccwgroup_create_dev, "", "");
KSYMTAB_FUNC(dev_is_ccwgroup, "", "");
KSYMTAB_FUNC(ccwgroup_driver_register, "", "");
KSYMTAB_FUNC(ccwgroup_driver_unregister, "", "");
KSYMTAB_FUNC(ccwgroup_probe_ccwdev, "", "");
KSYMTAB_FUNC(ccwgroup_remove_ccwdev, "", "");

SYMBOL_CRC(ccwgroup_set_online, 0xc92ca087, "");
SYMBOL_CRC(ccwgroup_set_offline, 0x8c36f116, "");
SYMBOL_CRC(ccwgroup_create_dev, 0xea667f1d, "");
SYMBOL_CRC(dev_is_ccwgroup, 0x04816e4e, "");
SYMBOL_CRC(ccwgroup_driver_register, 0xadedeea9, "");
SYMBOL_CRC(ccwgroup_driver_unregister, 0x01fd8df9, "");
SYMBOL_CRC(ccwgroup_probe_ccwdev, 0x92b5b6d7, "");
SYMBOL_CRC(ccwgroup_remove_ccwdev, 0x152deaa7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0xdd6830c7, "sprintf" },
	{ 0xb34ed123, "sysfs_remove_link" },
	{ 0xb95d3a55, "device_unregister" },
	{ 0x66221de5, "device_remove_file_self" },
	{ 0xb95d3a55, "put_device" },
	{ 0xbd069841, "kstrtoull" },
	{ 0xdd6830c7, "sysfs_emit" },
	{ 0x062822fa, "bus_register" },
	{ 0xbcdb5f77, "bus_register_notifier" },
	{ 0xd7ad9ee5, "bus_unregister" },
	{ 0xbcdb5f77, "bus_unregister_notifier" },
	{ 0x11c711bd, "driver_register" },
	{ 0x36b09242, "driver_unregister" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0xaff69526, "__mutex_init" },
	{ 0xb95d3a55, "device_initialize" },
	{ 0x296b9459, "strchr" },
	{ 0x173ec8da, "sscanf" },
	{ 0x69dbc692, "get_ccwdev_by_dev_id" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0x1c944237, "dev_set_name" },
	{ 0xd72c17af, "device_add" },
	{ 0x747fb399, "sysfs_create_link" },
	{ 0xb95d3a55, "device_del" },
	{ 0x59ed6329, "get_device" },
	{ 0xaef1f20d, "system_wq" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xe6eeb718, "ccw_device_set_offline" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xd272d446,
	0xd272d446,
	0xd272d446,
	0xd272d446,
	0x760fcb1a,
	0x760fcb1a,
	0xdd6830c7,
	0xb34ed123,
	0xb95d3a55,
	0x66221de5,
	0xb95d3a55,
	0xbd069841,
	0xdd6830c7,
	0x062822fa,
	0xbcdb5f77,
	0xd7ad9ee5,
	0xbcdb5f77,
	0x11c711bd,
	0x36b09242,
	0x76ceef55,
	0xaff69526,
	0xb95d3a55,
	0x296b9459,
	0x173ec8da,
	0x69dbc692,
	0x809f63d8,
	0x1c944237,
	0xd72c17af,
	0x747fb399,
	0xb95d3a55,
	0x59ed6329,
	0xaef1f20d,
	0x49733ad6,
	0xcb8b6ec6,
	0xe6eeb718,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"__s390_indirect_jump_r5\0"
	"__s390_indirect_jump_r14\0"
	"__s390_indirect_jump_r3\0"
	"__s390_indirect_jump_r1\0"
	"mutex_lock\0"
	"mutex_unlock\0"
	"sprintf\0"
	"sysfs_remove_link\0"
	"device_unregister\0"
	"device_remove_file_self\0"
	"put_device\0"
	"kstrtoull\0"
	"sysfs_emit\0"
	"bus_register\0"
	"bus_register_notifier\0"
	"bus_unregister\0"
	"bus_unregister_notifier\0"
	"driver_register\0"
	"driver_unregister\0"
	"__kmalloc_noprof\0"
	"__mutex_init\0"
	"device_initialize\0"
	"strchr\0"
	"sscanf\0"
	"get_ccwdev_by_dev_id\0"
	"arch_spin_lock_wait\0"
	"dev_set_name\0"
	"device_add\0"
	"sysfs_create_link\0"
	"device_del\0"
	"get_device\0"
	"system_wq\0"
	"queue_work_on\0"
	"kfree\0"
	"ccw_device_set_offline\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9644BEB215CE84BE3B0E3F7");
MODULE_INFO(rhelversion, "10.99");
