#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f60a458, "kvm_arch_crypto_clear_masks" },
	{ 0x55b7912a, "vmemmap" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xca8b39a9, "vfio_pin_pages" },
	{ 0x1c944237, "dev_set_name" },
	{ 0xe0418251, "eventfd_ctx_put" },
	{ 0x8490f861, "vfio_set_irqs_validate_and_prepare" },
	{ 0x49733ad6, "queue_work_on" },
	{ 0x494c552b, "_find_first_bit" },
	{ 0xb95d3a55, "device_unregister" },
	{ 0x0aa9301f, "find_next_bit_inv" },
	{ 0xa09f1cd7, "debug_set_level" },
	{ 0xa19d4a57, "debug_register" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xb49f89d8, "kvm_s390_gisc_register" },
	{ 0x6202c06f, "__bitmap_and" },
	{ 0x4cba0ec8, "kvm_put_kvm" },
	{ 0xdd6830c7, "sysfs_emit" },
	{ 0x494c552b, "find_first_bit_inv" },
	{ 0xb7a59f82, "vm_layout" },
	{ 0xe8213e80, "_printk" },
	{ 0x9d68bfcc, "___ratelimit" },
	{ 0x6202c06f, "__bitmap_andnot" },
	{ 0xb95d3a55, "put_device" },
	{ 0xb95d3a55, "root_device_unregister" },
	{ 0x2ad4833b, "vfio_iommufd_emulated_attach_ioas" },
	{ 0x6c69027c, "uv_pin_shared" },
	{ 0x24977214, "ap_hex2bitmap" },
	{ 0x97427af7, "kstrndup" },
	{ 0xdb14abc7, "kvm_s390_pv_cpu_is_protected" },
	{ 0x1ab4cb38, "kvm_arch_crypto_set_masks" },
	{ 0xd7ad9ee5, "bus_unregister" },
	{ 0x09977ec6, "down_write" },
	{ 0x09977ec6, "up_write" },
	{ 0xbd361620, "__root_device_register" },
	{ 0xf1ec948c, "vfio_iommufd_emulated_detach_ioas" },
	{ 0xa8c847d0, "mdev_unregister_driver" },
	{ 0xadf0ee6f, "vfio_unpin_pages" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x092aaeb9, "vfio_unregister_group_dev" },
	{ 0x36b09242, "driver_unregister" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0x3c0300ea, "eventfd_ctx_fdget" },
	{ 0x71ca284c, "sysfs_create_group" },
	{ 0xca69c179, "__debug_sprintf_event" },
	{ 0xaff69526, "__mutex_init" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0xd72c17af, "device_register" },
	{ 0xcbc1e051, "__bitmap_intersects" },
	{ 0xb95d3a55, "device_del" },
	{ 0x4bb2877d, "_dev_warn" },
	{ 0xbd069841, "kstrtoull" },
	{ 0xf2ecd48d, "ap_driver_unregister" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x2f976c0f, "vfio_iommufd_emulated_bind" },
	{ 0xf1ec948c, "vfio_iommufd_emulated_unbind" },
	{ 0xaef1f20d, "system_long_wq" },
	{ 0x378cb6d8, "sysfs_remove_group" },
	{ 0xc9a252ad, "debug_unregister" },
	{ 0x934e3ec6, "vfio_register_emulated_iommu_dev" },
	{ 0x4bb2877d, "_dev_notice" },
	{ 0xa5c7582d, "strsep" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0xf651a4db, "ap_get_qdev" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x75738bed, "__warn_printk" },
	{ 0x1d3365de, "ap_perms_mutex" },
	{ 0x96d0ef04, "mdev_register_driver" },
	{ 0x70f7b251, "gfn_to_hva" },
	{ 0x16b3b221, "ap_driver_register" },
	{ 0xb49f89d8, "kvm_s390_gisc_unregister" },
	{ 0x9c0b2d81, "debug_sprintf_view" },
	{ 0x18ded256, "eventfd_signal_mask" },
	{ 0x97a7ec9e, "debug_register_view" },
	{ 0x7faccf91, "mdev_register_parent" },
	{ 0xa26d858d, "ap_apqn_in_matrix_owned_by_def_drv" },
	{ 0x11c711bd, "driver_register" },
	{ 0x67b2ba98, "sysfs_emit_at" },
	{ 0x67628f51, "msleep" },
	{ 0x69ccedc8, "_vfio_alloc_device" },
	{ 0x4cba0ec8, "kvm_get_kvm" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0x062822fa, "bus_register" },
	{ 0x2d88a3ab, "flush_work" },
	{ 0xf172f03c, "mdev_unregister_parent" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x3f60a458,
	0x55b7912a,
	0xdc352a3b,
	0xca8b39a9,
	0x1c944237,
	0xe0418251,
	0x8490f861,
	0x49733ad6,
	0x494c552b,
	0xb95d3a55,
	0x0aa9301f,
	0xa09f1cd7,
	0xa19d4a57,
	0xcb8b6ec6,
	0xb49f89d8,
	0x6202c06f,
	0x4cba0ec8,
	0xdd6830c7,
	0x494c552b,
	0xb7a59f82,
	0xe8213e80,
	0x9d68bfcc,
	0x6202c06f,
	0xb95d3a55,
	0xb95d3a55,
	0x2ad4833b,
	0x6c69027c,
	0x24977214,
	0x97427af7,
	0xdb14abc7,
	0x1ab4cb38,
	0xd7ad9ee5,
	0x09977ec6,
	0x09977ec6,
	0xbd361620,
	0xf1ec948c,
	0xa8c847d0,
	0xadf0ee6f,
	0x760fcb1a,
	0x092aaeb9,
	0x36b09242,
	0x4f1e5fd0,
	0x3c0300ea,
	0x71ca284c,
	0xca69c179,
	0xaff69526,
	0xf521a19a,
	0xd72c17af,
	0xcbc1e051,
	0xb95d3a55,
	0x4bb2877d,
	0xbd069841,
	0xf2ecd48d,
	0xd272d446,
	0x2f976c0f,
	0xf1ec948c,
	0xaef1f20d,
	0x378cb6d8,
	0xc9a252ad,
	0x934e3ec6,
	0x4bb2877d,
	0xa5c7582d,
	0x760fcb1a,
	0xf651a4db,
	0x544e22b5,
	0x75738bed,
	0x1d3365de,
	0x96d0ef04,
	0x70f7b251,
	0x16b3b221,
	0xb49f89d8,
	0x9c0b2d81,
	0x18ded256,
	0x97a7ec9e,
	0x7faccf91,
	0xa26d858d,
	0x11c711bd,
	0x67b2ba98,
	0x67628f51,
	0x69ccedc8,
	0x4cba0ec8,
	0x9dc59ece,
	0x062822fa,
	0x2d88a3ab,
	0xf172f03c,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"kvm_arch_crypto_clear_masks\0"
	"vmemmap\0"
	"__list_add_valid_or_report\0"
	"vfio_pin_pages\0"
	"dev_set_name\0"
	"eventfd_ctx_put\0"
	"vfio_set_irqs_validate_and_prepare\0"
	"queue_work_on\0"
	"_find_first_bit\0"
	"device_unregister\0"
	"find_next_bit_inv\0"
	"debug_set_level\0"
	"debug_register\0"
	"kfree\0"
	"kvm_s390_gisc_register\0"
	"__bitmap_and\0"
	"kvm_put_kvm\0"
	"sysfs_emit\0"
	"find_first_bit_inv\0"
	"vm_layout\0"
	"_printk\0"
	"___ratelimit\0"
	"__bitmap_andnot\0"
	"put_device\0"
	"root_device_unregister\0"
	"vfio_iommufd_emulated_attach_ioas\0"
	"uv_pin_shared\0"
	"ap_hex2bitmap\0"
	"kstrndup\0"
	"kvm_s390_pv_cpu_is_protected\0"
	"kvm_arch_crypto_set_masks\0"
	"bus_unregister\0"
	"down_write\0"
	"up_write\0"
	"__root_device_register\0"
	"vfio_iommufd_emulated_detach_ioas\0"
	"mdev_unregister_driver\0"
	"vfio_unpin_pages\0"
	"mutex_lock\0"
	"vfio_unregister_group_dev\0"
	"driver_unregister\0"
	"__list_del_entry_valid_or_report\0"
	"eventfd_ctx_fdget\0"
	"sysfs_create_group\0"
	"__debug_sprintf_event\0"
	"__mutex_init\0"
	"__fortify_panic\0"
	"device_register\0"
	"__bitmap_intersects\0"
	"device_del\0"
	"_dev_warn\0"
	"kstrtoull\0"
	"ap_driver_unregister\0"
	"__s390_indirect_jump_r14\0"
	"vfio_iommufd_emulated_bind\0"
	"vfio_iommufd_emulated_unbind\0"
	"system_long_wq\0"
	"sysfs_remove_group\0"
	"debug_unregister\0"
	"vfio_register_emulated_iommu_dev\0"
	"_dev_notice\0"
	"strsep\0"
	"mutex_unlock\0"
	"ap_get_qdev\0"
	"__kmalloc_cache_noprof\0"
	"__warn_printk\0"
	"ap_perms_mutex\0"
	"mdev_register_driver\0"
	"gfn_to_hva\0"
	"ap_driver_register\0"
	"kvm_s390_gisc_unregister\0"
	"debug_sprintf_view\0"
	"eventfd_signal_mask\0"
	"debug_register_view\0"
	"mdev_register_parent\0"
	"ap_apqn_in_matrix_owned_by_def_drv\0"
	"driver_register\0"
	"sysfs_emit_at\0"
	"msleep\0"
	"_vfio_alloc_device\0"
	"kvm_get_kvm\0"
	"kmalloc_caches\0"
	"bus_register\0"
	"flush_work\0"
	"mdev_unregister_parent\0"
	"module_layout\0"
;

MODULE_INFO(depends, "kvm,vfio,mdev");


MODULE_INFO(srcversion, "99EC8C3C87CA589D56824A5");
MODULE_INFO(rhelversion, "10.99");
