#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(framebuffer_alloc, "", "");
KSYMTAB_FUNC(framebuffer_release, "", "");
KSYMTAB_FUNC(fb_get_color_depth, "", "");
KSYMTAB_FUNC(fb_pad_aligned_buffer, "", "");
KSYMTAB_FUNC(fb_pad_unaligned_buffer, "", "");
KSYMTAB_FUNC(fb_get_buffer_offset, "", "");
KSYMTAB_FUNC(fb_pan_display, "", "");
KSYMTAB_FUNC(fb_set_var, "", "");
KSYMTAB_FUNC(fb_blank, "", "");
KSYMTAB_FUNC(register_framebuffer, "", "");
KSYMTAB_FUNC(unregister_framebuffer, "", "");
KSYMTAB_FUNC(devm_register_framebuffer, "", "");
KSYMTAB_FUNC(fb_set_suspend, "", "");
KSYMTAB_FUNC(fb_modesetting_disabled, "", "");
KSYMTAB_FUNC(fb_alloc_cmap, "", "");
KSYMTAB_FUNC(fb_dealloc_cmap, "", "");
KSYMTAB_FUNC(fb_copy_cmap, "", "");
KSYMTAB_FUNC(fb_set_cmap, "", "");
KSYMTAB_FUNC(fb_default_cmap, "", "");
KSYMTAB_FUNC(fb_invert_cmaps, "", "");
KSYMTAB_FUNC(fb_destroy_modelist, "_gpl", "");
KSYMTAB_FUNC(fb_find_best_display, "", "");
KSYMTAB_FUNC(fb_videomode_to_var, "", "");
KSYMTAB_FUNC(fb_var_to_videomode, "", "");
KSYMTAB_FUNC(fb_mode_is_equal, "", "");
KSYMTAB_FUNC(fb_add_videomode, "", "");
KSYMTAB_FUNC(fb_match_mode, "", "");
KSYMTAB_FUNC(fb_find_best_mode, "", "");
KSYMTAB_FUNC(fb_find_nearest_mode, "", "");
KSYMTAB_FUNC(fb_videomode_to_modelist, "", "");
KSYMTAB_FUNC(fb_find_mode, "", "");
KSYMTAB_FUNC(fb_find_mode_cvt, "", "");
KSYMTAB_FUNC(fb_get_options, "", "");
KSYMTAB_FUNC(fb_deferred_io_fsync, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_mmap, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_init, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_open, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_release, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_cleanup, "_gpl", "");
KSYMTAB_FUNC(fbcon_update_vcs, "", "");
KSYMTAB_FUNC(fbcon_modechange_possible, "_gpl", "");

SYMBOL_CRC(framebuffer_alloc, 0x6f5af77e, "");
SYMBOL_CRC(framebuffer_release, 0x592a6e20, "");
SYMBOL_CRC(fb_get_color_depth, 0x60d52079, "");
SYMBOL_CRC(fb_pad_aligned_buffer, 0x9e4bc4fd, "");
SYMBOL_CRC(fb_pad_unaligned_buffer, 0x5b7fd0b0, "");
SYMBOL_CRC(fb_get_buffer_offset, 0xe70e82d3, "");
SYMBOL_CRC(fb_pan_display, 0x71b97365, "");
SYMBOL_CRC(fb_set_var, 0x71b97365, "");
SYMBOL_CRC(fb_blank, 0xf2c711db, "");
SYMBOL_CRC(register_framebuffer, 0x0f8f0d3a, "");
SYMBOL_CRC(unregister_framebuffer, 0x5ed24a1c, "");
SYMBOL_CRC(devm_register_framebuffer, 0xbafc539d, "");
SYMBOL_CRC(fb_set_suspend, 0x2a47c27a, "");
SYMBOL_CRC(fb_modesetting_disabled, 0xabaf58c9, "");
SYMBOL_CRC(fb_alloc_cmap, 0x9abba788, "");
SYMBOL_CRC(fb_dealloc_cmap, 0x37d2ac87, "");
SYMBOL_CRC(fb_copy_cmap, 0x5ddfbf26, "");
SYMBOL_CRC(fb_set_cmap, 0x89a0826a, "");
SYMBOL_CRC(fb_default_cmap, 0xbcd6fa5d, "");
SYMBOL_CRC(fb_invert_cmaps, 0xd272d446, "");
SYMBOL_CRC(fb_destroy_modelist, 0xd79eeabc, "_gpl");
SYMBOL_CRC(fb_find_best_display, 0xf09a6786, "");
SYMBOL_CRC(fb_videomode_to_var, 0x0ea7fe73, "");
SYMBOL_CRC(fb_var_to_videomode, 0x928a8281, "");
SYMBOL_CRC(fb_mode_is_equal, 0x2e5d345c, "");
SYMBOL_CRC(fb_add_videomode, 0x45a3ca41, "");
SYMBOL_CRC(fb_match_mode, 0x4fbf4215, "");
SYMBOL_CRC(fb_find_best_mode, 0x4fbf4215, "");
SYMBOL_CRC(fb_find_nearest_mode, 0x50d2d7ee, "");
SYMBOL_CRC(fb_videomode_to_modelist, 0x7c5793c8, "");
SYMBOL_CRC(fb_find_mode, 0xe7651712, "");
SYMBOL_CRC(fb_find_mode_cvt, 0x50a0f9e0, "");
SYMBOL_CRC(fb_get_options, 0x5dd9bbb6, "");
SYMBOL_CRC(fb_deferred_io_fsync, 0xd3219715, "_gpl");
SYMBOL_CRC(fb_deferred_io_mmap, 0x7f8a5c87, "_gpl");
SYMBOL_CRC(fb_deferred_io_init, 0x02074396, "_gpl");
SYMBOL_CRC(fb_deferred_io_open, 0x5d5af680, "_gpl");
SYMBOL_CRC(fb_deferred_io_release, 0x0ca15c4b, "_gpl");
SYMBOL_CRC(fb_deferred_io_cleanup, 0x0ca15c4b, "_gpl");
SYMBOL_CRC(fbcon_update_vcs, 0x2bcfd4da, "");
SYMBOL_CRC(fbcon_modechange_possible, 0x194dc946, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd44b92ed, "do_blank_screen" },
	{ 0x7ec472ba, "console_blanked" },
	{ 0x036dc143, "__video_get_options" },
	{ 0xc45d298e, "is_vmalloc_addr" },
	{ 0x578ec080, "con_set_default_unimap" },
	{ 0x71bdeedc, "try_module_get" },
	{ 0xa61fd7aa, "__check_object_size" },
	{ 0x55b7912a, "vmemmap" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0x534ed5f3, "__msecs_to_jiffies" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x429aa582, "vmalloc_to_page" },
	{ 0xd272d446, "__s390_indirect_jump_r7" },
	{ 0x399b1c6a, "mapping_wrprotect_range" },
	{ 0xda44517b, "simple_strtol" },
	{ 0x494c552b, "_find_first_bit" },
	{ 0x3659f1d8, "do_unblank_screen" },
	{ 0xbba606e7, "class_destroy" },
	{ 0xe6befa9f, "scnprintf" },
	{ 0x4e5b9a05, "update_region" },
	{ 0x5cdf0545, "noop_dirty_folio" },
	{ 0x7ec472ba, "fg_console" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xfbe7861b, "memcpy" },
	{ 0x5e505530, "video_firmware_drivers_only" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x7851be11, "is_console_locked" },
	{ 0x59ed6329, "get_device" },
	{ 0xea77b0aa, "con_copy_unimap" },
	{ 0xdd6830c7, "sysfs_emit" },
	{ 0x42e36980, "do_take_over_console" },
	{ 0x85acaba2, "flush_delayed_work" },
	{ 0xe8213e80, "_printk" },
	{ 0x2520ea93, "refcount_warn_saturate" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x8ce83585, "queue_delayed_work_on" },
	{ 0x7851be11, "console_trylock" },
	{ 0xb95d3a55, "put_device" },
	{ 0x5c9159f9, "console_printk" },
	{ 0x92b95568, "__vc_resize" },
	{ 0x7ec472ba, "oops_in_progress" },
	{ 0x79018d57, "module_put" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x7c2cb040, "file_write_and_wait_range" },
	{ 0x44decd6f, "hugetlb_optimize_vmemmap_key" },
	{ 0xddb698e5, "con_is_bound" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0x09977ec6, "down_write" },
	{ 0x09977ec6, "up_write" },
	{ 0xd272d446, "console_conditional_schedule" },
	{ 0x7f438994, "__memset16" },
	{ 0xec1d15f3, "class_create" },
	{ 0xc03fe7bf, "file_update_time" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x9b4b48a0, "color_table" },
	{ 0xd272d446, "console_lock" },
	{ 0x5a4baedb, "strncmp" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x86778480, "find_font" },
	{ 0xcbc1e051, "__bitmap_subset" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0x8cb0d1eb, "memcmp" },
	{ 0xaff69526, "__mutex_init" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0x904f3b6c, "get_default_font" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0xded9edeb, "redraw_screen" },
	{ 0xd272d446, "console_unlock" },
	{ 0x3ae56302, "vc_cons" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xce4af33b, "kstrdup" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0x40d50b52, "device_create_with_groups" },
	{ 0x7bcdb96f, "crc32_le_arch" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0x85acaba2, "cancel_delayed_work_sync" },
	{ 0x9f5a41cc, "param_ops_bool" },
	{ 0x55e17c12, "con_is_visible" },
	{ 0xa3422db1, "device_destroy" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x546c19d9, "validate_usercopy_range" },
	{ 0x75738bed, "__warn_printk" },
	{ 0x71798f7e, "delayed_work_timer_fn" },
	{ 0x0a589842, "simple_strtoul" },
	{ 0x3fc3dc31, "__folio_lock" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x02f9bbf0, "timer_init_key" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0xddb698e5, "do_unregister_con_driver" },
	{ 0x2182515b, "ignore_console_lock_warning" },
	{ 0x7960a3c8, "__devm_add_action" },
	{ 0xf1de9e85, "kvfree" },
	{ 0xa7d9a41b, "__vma_start_write" },
	{ 0x42e36980, "do_unbind_con_driver" },
	{ 0xfc0126c0, "__kvmalloc_node_noprof" },
	{ 0xaef1f20d, "system_power_efficient_wq" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0x37c0b5f3, "__request_module" },
	{ 0xaef1f20d, "system_wq" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xd44b92ed,
	0x7ec472ba,
	0x036dc143,
	0xc45d298e,
	0x578ec080,
	0x71bdeedc,
	0xa61fd7aa,
	0x55b7912a,
	0xdc352a3b,
	0x534ed5f3,
	0x76ceef55,
	0x429aa582,
	0xd272d446,
	0x399b1c6a,
	0xda44517b,
	0x494c552b,
	0x3659f1d8,
	0xbba606e7,
	0xe6befa9f,
	0x4e5b9a05,
	0x5cdf0545,
	0x7ec472ba,
	0xd272d446,
	0xfbe7861b,
	0x5e505530,
	0xcb8b6ec6,
	0x7851be11,
	0x59ed6329,
	0xea77b0aa,
	0xdd6830c7,
	0x42e36980,
	0x85acaba2,
	0xe8213e80,
	0x2520ea93,
	0xd272d446,
	0x8ce83585,
	0x7851be11,
	0xb95d3a55,
	0x5c9159f9,
	0x92b95568,
	0x7ec472ba,
	0x79018d57,
	0xd272d446,
	0x7c2cb040,
	0x44decd6f,
	0xddb698e5,
	0xd272d446,
	0x09977ec6,
	0x09977ec6,
	0xd272d446,
	0x7f438994,
	0xec1d15f3,
	0xc03fe7bf,
	0x760fcb1a,
	0x9b4b48a0,
	0xd272d446,
	0x5a4baedb,
	0xd272d446,
	0x86778480,
	0xcbc1e051,
	0x4f1e5fd0,
	0x8cb0d1eb,
	0xaff69526,
	0xf521a19a,
	0x904f3b6c,
	0xd272d446,
	0xded9edeb,
	0xd272d446,
	0x3ae56302,
	0xd272d446,
	0xce4af33b,
	0xd272d446,
	0x40d50b52,
	0x7bcdb96f,
	0x760fcb1a,
	0x85acaba2,
	0x9f5a41cc,
	0x55e17c12,
	0xa3422db1,
	0x23f25c0a,
	0x544e22b5,
	0x546c19d9,
	0x75738bed,
	0x71798f7e,
	0x0a589842,
	0x3fc3dc31,
	0xd272d446,
	0x02f9bbf0,
	0xd272d446,
	0xddb698e5,
	0x2182515b,
	0x7960a3c8,
	0xf1de9e85,
	0xa7d9a41b,
	0x42e36980,
	0xfc0126c0,
	0xaef1f20d,
	0x9dc59ece,
	0x37c0b5f3,
	0xaef1f20d,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"do_blank_screen\0"
	"console_blanked\0"
	"__video_get_options\0"
	"is_vmalloc_addr\0"
	"con_set_default_unimap\0"
	"try_module_get\0"
	"__check_object_size\0"
	"vmemmap\0"
	"__list_add_valid_or_report\0"
	"__msecs_to_jiffies\0"
	"__kmalloc_noprof\0"
	"vmalloc_to_page\0"
	"__s390_indirect_jump_r7\0"
	"mapping_wrprotect_range\0"
	"simple_strtol\0"
	"_find_first_bit\0"
	"do_unblank_screen\0"
	"class_destroy\0"
	"scnprintf\0"
	"update_region\0"
	"noop_dirty_folio\0"
	"fg_console\0"
	"__s390_indirect_jump_r3\0"
	"memcpy\0"
	"video_firmware_drivers_only\0"
	"kfree\0"
	"is_console_locked\0"
	"get_device\0"
	"con_copy_unimap\0"
	"sysfs_emit\0"
	"do_take_over_console\0"
	"flush_delayed_work\0"
	"_printk\0"
	"refcount_warn_saturate\0"
	"__s390_indirect_jump_r4\0"
	"queue_delayed_work_on\0"
	"console_trylock\0"
	"put_device\0"
	"console_printk\0"
	"__vc_resize\0"
	"oops_in_progress\0"
	"module_put\0"
	"__s390_indirect_jump_r6\0"
	"file_write_and_wait_range\0"
	"hugetlb_optimize_vmemmap_key\0"
	"con_is_bound\0"
	"__s390_indirect_jump_r9\0"
	"down_write\0"
	"up_write\0"
	"console_conditional_schedule\0"
	"__memset16\0"
	"class_create\0"
	"file_update_time\0"
	"mutex_lock\0"
	"color_table\0"
	"console_lock\0"
	"strncmp\0"
	"__s390_indirect_jump_r10\0"
	"find_font\0"
	"__bitmap_subset\0"
	"__list_del_entry_valid_or_report\0"
	"memcmp\0"
	"__mutex_init\0"
	"__fortify_panic\0"
	"get_default_font\0"
	"__s390_indirect_jump_r14\0"
	"redraw_screen\0"
	"console_unlock\0"
	"vc_cons\0"
	"__s390_indirect_jump_r1\0"
	"kstrdup\0"
	"__s390_indirect_jump_r8\0"
	"device_create_with_groups\0"
	"crc32_le_arch\0"
	"mutex_unlock\0"
	"cancel_delayed_work_sync\0"
	"param_ops_bool\0"
	"con_is_visible\0"
	"device_destroy\0"
	"__dynamic_pr_debug\0"
	"__kmalloc_cache_noprof\0"
	"validate_usercopy_range\0"
	"__warn_printk\0"
	"delayed_work_timer_fn\0"
	"simple_strtoul\0"
	"__folio_lock\0"
	"__s390_indirect_jump_r5\0"
	"timer_init_key\0"
	"__s390_indirect_jump_r11\0"
	"do_unregister_con_driver\0"
	"ignore_console_lock_warning\0"
	"__devm_add_action\0"
	"kvfree\0"
	"__vma_start_write\0"
	"do_unbind_con_driver\0"
	"__kvmalloc_node_noprof\0"
	"system_power_efficient_wq\0"
	"kmalloc_caches\0"
	"__request_module\0"
	"system_wq\0"
	"module_layout\0"
;

MODULE_INFO(depends, "font");


MODULE_INFO(srcversion, "BF6EB3DC44141F1F8600022");
MODULE_INFO(rhelversion, "10.99");
