#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ebt_register_template, "", "");
KSYMTAB_FUNC(ebt_unregister_template, "", "");
KSYMTAB_FUNC(ebt_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(ebt_register_table, "", "");
KSYMTAB_FUNC(ebt_unregister_table, "", "");
KSYMTAB_FUNC(ebt_do_table, "", "");

SYMBOL_CRC(ebt_register_template, 0x3542c0c3, "");
SYMBOL_CRC(ebt_unregister_template, 0xfdcd9096, "");
SYMBOL_CRC(ebt_unregister_table_pre_exit, 0x785d97aa, "");
SYMBOL_CRC(ebt_register_table, 0x6da30cc9, "");
SYMBOL_CRC(ebt_unregister_table, 0x785d97aa, "");
SYMBOL_CRC(ebt_do_table, 0x35c2c3b0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0x729c7fae, "xt_find_match" },
	{ 0x79018d57, "module_put" },
	{ 0x37c0b5f3, "__request_module" },
	{ 0x8c61b612, "xt_check_match" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x973883b2, "xt_request_find_target" },
	{ 0xdcc87498, "xt_check_target" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0xe84ba8e1, "nf_unregister_net_hooks" },
	{ 0x6692a9b8, "xt_register_target" },
	{ 0x6ff74433, "nf_register_sockopt" },
	{ 0xe9e575b1, "register_pernet_subsys" },
	{ 0xeb13ffd8, "nf_unregister_sockopt" },
	{ 0x3767edec, "xt_unregister_target" },
	{ 0x33d65850, "unregister_pernet_subsys" },
	{ 0x0746002e, "strnlen" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0x999a5f5f, "sized_strscpy" },
	{ 0x5ca5c33a, "xt_data_to_user" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xf296206e, "nr_cpu_ids" },
	{ 0x5201f61b, "__cpu_possible_mask" },
	{ 0x86632fd6, "_find_next_bit" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0x75738bed, "__warn_printk" },
	{ 0xfcc2e8f3, "__local_bh_enable_ip" },
	{ 0xa9849b09, "arch_read_lock_wait" },
	{ 0x71bdeedc, "try_module_get" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xd7a59a65, "vmalloc_noprof" },
	{ 0xe30ae1d9, "vmalloc_node_noprof" },
	{ 0xf1de9e85, "vfree" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0x546c19d9, "validate_usercopy_range" },
	{ 0xa61fd7aa, "__check_object_size" },
	{ 0xd272d446, "__s390_indirect_jump_r13" },
	{ 0xa9849b09, "arch_write_lock_wait" },
	{ 0xe459c92c, "audit_enabled" },
	{ 0x712ad141, "__audit_log_nfcfg" },
	{ 0xa3718a32, "ns_capable" },
	{ 0xf64ac983, "__copy_overflow" },
	{ 0x7851be11, "net_ratelimit" },
	{ 0xe8213e80, "_printk" },
	{ 0x57a9e4b2, "__vmalloc_noprof" },
	{ 0x783f158a, "kmemdup_noprof" },
	{ 0x420f8055, "kmemdup_array" },
	{ 0x92e4bbc3, "nf_register_net_hooks" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xd272d446,
	0x760fcb1a,
	0x760fcb1a,
	0x729c7fae,
	0x79018d57,
	0x37c0b5f3,
	0x8c61b612,
	0xd272d446,
	0x973883b2,
	0xdcc87498,
	0xd272d446,
	0xe84ba8e1,
	0x6692a9b8,
	0x6ff74433,
	0xe9e575b1,
	0xeb13ffd8,
	0x3767edec,
	0x33d65850,
	0x0746002e,
	0xf521a19a,
	0x999a5f5f,
	0x5ca5c33a,
	0x4f1e5fd0,
	0xcb8b6ec6,
	0x9dc59ece,
	0x544e22b5,
	0xdc352a3b,
	0xfbe7861b,
	0xf296206e,
	0x5201f61b,
	0x86632fd6,
	0xd272d446,
	0xd272d446,
	0x75738bed,
	0xfcc2e8f3,
	0xa9849b09,
	0x71bdeedc,
	0xd272d446,
	0xd7a59a65,
	0xe30ae1d9,
	0xf1de9e85,
	0xd272d446,
	0x546c19d9,
	0xa61fd7aa,
	0xd272d446,
	0xa9849b09,
	0xe459c92c,
	0x712ad141,
	0xa3718a32,
	0xf64ac983,
	0x7851be11,
	0xe8213e80,
	0x57a9e4b2,
	0x783f158a,
	0x420f8055,
	0x92e4bbc3,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"__s390_indirect_jump_r14\0"
	"mutex_lock\0"
	"mutex_unlock\0"
	"xt_find_match\0"
	"module_put\0"
	"__request_module\0"
	"xt_check_match\0"
	"__s390_indirect_jump_r4\0"
	"xt_request_find_target\0"
	"xt_check_target\0"
	"__s390_indirect_jump_r10\0"
	"nf_unregister_net_hooks\0"
	"xt_register_target\0"
	"nf_register_sockopt\0"
	"register_pernet_subsys\0"
	"nf_unregister_sockopt\0"
	"xt_unregister_target\0"
	"unregister_pernet_subsys\0"
	"strnlen\0"
	"__fortify_panic\0"
	"sized_strscpy\0"
	"xt_data_to_user\0"
	"__list_del_entry_valid_or_report\0"
	"kfree\0"
	"kmalloc_caches\0"
	"__kmalloc_cache_noprof\0"
	"__list_add_valid_or_report\0"
	"memcpy\0"
	"nr_cpu_ids\0"
	"__cpu_possible_mask\0"
	"_find_next_bit\0"
	"__s390_indirect_jump_r1\0"
	"__s390_indirect_jump_r5\0"
	"__warn_printk\0"
	"__local_bh_enable_ip\0"
	"arch_read_lock_wait\0"
	"try_module_get\0"
	"__s390_indirect_jump_r8\0"
	"vmalloc_noprof\0"
	"vmalloc_node_noprof\0"
	"vfree\0"
	"__s390_indirect_jump_r3\0"
	"validate_usercopy_range\0"
	"__check_object_size\0"
	"__s390_indirect_jump_r13\0"
	"arch_write_lock_wait\0"
	"audit_enabled\0"
	"__audit_log_nfcfg\0"
	"ns_capable\0"
	"__copy_overflow\0"
	"net_ratelimit\0"
	"_printk\0"
	"__vmalloc_noprof\0"
	"kmemdup_noprof\0"
	"kmemdup_array\0"
	"nf_register_net_hooks\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "15E87F83E56B1FA820C2BC9");
MODULE_INFO(rhelversion, "10.99");
