#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipt_alloc_initial_table, "_gpl", "");
KSYMTAB_FUNC(ipt_register_table, "", "");
KSYMTAB_FUNC(ipt_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(ipt_unregister_table_exit, "", "");
KSYMTAB_FUNC(ipt_do_table, "", "");

SYMBOL_CRC(ipt_alloc_initial_table, 0xba756b9d, "_gpl");
SYMBOL_CRC(ipt_register_table, 0x1d2e64b6, "");
SYMBOL_CRC(ipt_unregister_table_pre_exit, 0xe6af9b12, "");
SYMBOL_CRC(ipt_unregister_table_exit, 0xe6af9b12, "");
SYMBOL_CRC(ipt_do_table, 0x1c5161ed, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x02d84bc0, "xt_find_table" },
	{ 0xe84ba8e1, "nf_unregister_net_hooks" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0xe9e575b1, "register_pernet_subsys" },
	{ 0xf1fbb3db, "xt_register_targets" },
	{ 0x6ff74433, "nf_register_sockopt" },
	{ 0x64dbf9ee, "xt_unregister_targets" },
	{ 0x33d65850, "unregister_pernet_subsys" },
	{ 0x8943dbd2, "xt_proto_fini" },
	{ 0x822c195b, "xt_proto_init" },
	{ 0xeb13ffd8, "nf_unregister_sockopt" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x0746002e, "strnlen" },
	{ 0x999a5f5f, "sized_strscpy" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0x7851be11, "net_ratelimit" },
	{ 0xe8213e80, "_printk" },
	{ 0xea60e9fb, "xt_percpu_counter_alloc" },
	{ 0xb48db049, "xt_request_find_match" },
	{ 0x8c61b612, "xt_check_match" },
	{ 0x79018d57, "module_put" },
	{ 0xd67b91e8, "xt_percpu_counter_free" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0x973883b2, "xt_request_find_target" },
	{ 0xdcc87498, "xt_check_target" },
	{ 0xd272d446, "__s390_indirect_jump_r9" },
	{ 0xb0cabea5, "xt_unregister_table" },
	{ 0x2017cf37, "xt_free_table_info" },
	{ 0x8a641803, "xt_counters_alloc" },
	{ 0x9f2628b9, "xt_request_find_table_lock" },
	{ 0xa4604c66, "xt_table_unlock" },
	{ 0xf1de9e85, "vfree" },
	{ 0x3b57ce74, "xt_replace_table" },
	{ 0xf296206e, "nr_cpu_ids" },
	{ 0x5201f61b, "__cpu_possible_mask" },
	{ 0x86632fd6, "_find_next_bit" },
	{ 0xc1434f70, "__per_cpu_offset" },
	{ 0x7851be11, "__cond_resched" },
	{ 0x546c19d9, "validate_usercopy_range" },
	{ 0xa61fd7aa, "__check_object_size" },
	{ 0xd7a59a65, "vzalloc_noprof" },
	{ 0x79f76830, "xt_recseq" },
	{ 0x94428c01, "xt_match_to_user" },
	{ 0x3f8f6932, "xt_target_to_user" },
	{ 0xb1ce28d0, "xt_tee_enabled" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0xfcc2e8f3, "__local_bh_enable_ip" },
	{ 0xf5b5063f, "nf_log_trace" },
	{ 0x95e575a9, "xt_alloc_entry_offsets" },
	{ 0xb54fb3cf, "xt_check_entry_offsets" },
	{ 0xf1de9e85, "kvfree" },
	{ 0x81b7fb96, "xt_check_table_hooks" },
	{ 0x099fa880, "xt_find_jump_offset" },
	{ 0x2103087a, "xt_alloc_table_info" },
	{ 0xfbe7861b, "memcpy" },
	{ 0x0de15e0e, "xt_register_table" },
	{ 0x420f8055, "kmemdup_array" },
	{ 0x92e4bbc3, "nf_register_net_hooks" },
	{ 0xf64ac983, "__copy_overflow" },
	{ 0xa3718a32, "ns_capable" },
	{ 0x9f2628b9, "xt_find_table_lock" },
	{ 0xc717260f, "xt_find_revision" },
	{ 0x37c0b5f3, "__request_module" },
	{ 0x73d1b795, "xt_copy_counters" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0x02d84bc0,
	0xe84ba8e1,
	0xd272d446,
	0xe9e575b1,
	0xf1fbb3db,
	0x6ff74433,
	0x64dbf9ee,
	0x33d65850,
	0x8943dbd2,
	0x822c195b,
	0xeb13ffd8,
	0x76ceef55,
	0x0746002e,
	0x999a5f5f,
	0xf521a19a,
	0x7851be11,
	0xe8213e80,
	0xea60e9fb,
	0xb48db049,
	0x8c61b612,
	0x79018d57,
	0xd67b91e8,
	0xd272d446,
	0x973883b2,
	0xdcc87498,
	0xd272d446,
	0xb0cabea5,
	0x2017cf37,
	0x8a641803,
	0x9f2628b9,
	0xa4604c66,
	0xf1de9e85,
	0x3b57ce74,
	0xf296206e,
	0x5201f61b,
	0x86632fd6,
	0xc1434f70,
	0x7851be11,
	0x546c19d9,
	0xa61fd7aa,
	0xd7a59a65,
	0x79f76830,
	0x94428c01,
	0x3f8f6932,
	0xb1ce28d0,
	0xd272d446,
	0xd272d446,
	0xfcc2e8f3,
	0xf5b5063f,
	0x95e575a9,
	0xb54fb3cf,
	0xf1de9e85,
	0x81b7fb96,
	0x099fa880,
	0x2103087a,
	0xfbe7861b,
	0x0de15e0e,
	0x420f8055,
	0x92e4bbc3,
	0xf64ac983,
	0xa3718a32,
	0x9f2628b9,
	0xc717260f,
	0x37c0b5f3,
	0x73d1b795,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"xt_find_table\0"
	"nf_unregister_net_hooks\0"
	"__s390_indirect_jump_r14\0"
	"register_pernet_subsys\0"
	"xt_register_targets\0"
	"nf_register_sockopt\0"
	"xt_unregister_targets\0"
	"unregister_pernet_subsys\0"
	"xt_proto_fini\0"
	"xt_proto_init\0"
	"nf_unregister_sockopt\0"
	"__kmalloc_noprof\0"
	"strnlen\0"
	"sized_strscpy\0"
	"__fortify_panic\0"
	"net_ratelimit\0"
	"_printk\0"
	"xt_percpu_counter_alloc\0"
	"xt_request_find_match\0"
	"xt_check_match\0"
	"module_put\0"
	"xt_percpu_counter_free\0"
	"__s390_indirect_jump_r4\0"
	"xt_request_find_target\0"
	"xt_check_target\0"
	"__s390_indirect_jump_r9\0"
	"xt_unregister_table\0"
	"xt_free_table_info\0"
	"xt_counters_alloc\0"
	"xt_request_find_table_lock\0"
	"xt_table_unlock\0"
	"vfree\0"
	"xt_replace_table\0"
	"nr_cpu_ids\0"
	"__cpu_possible_mask\0"
	"_find_next_bit\0"
	"__per_cpu_offset\0"
	"__cond_resched\0"
	"validate_usercopy_range\0"
	"__check_object_size\0"
	"vzalloc_noprof\0"
	"xt_recseq\0"
	"xt_match_to_user\0"
	"xt_target_to_user\0"
	"xt_tee_enabled\0"
	"__s390_indirect_jump_r1\0"
	"__s390_indirect_jump_r5\0"
	"__local_bh_enable_ip\0"
	"nf_log_trace\0"
	"xt_alloc_entry_offsets\0"
	"xt_check_entry_offsets\0"
	"kvfree\0"
	"xt_check_table_hooks\0"
	"xt_find_jump_offset\0"
	"xt_alloc_table_info\0"
	"memcpy\0"
	"xt_register_table\0"
	"kmemdup_array\0"
	"nf_register_net_hooks\0"
	"__copy_overflow\0"
	"ns_capable\0"
	"xt_find_table_lock\0"
	"xt_find_revision\0"
	"__request_module\0"
	"xt_copy_counters\0"
	"module_layout\0"
;

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7B146AE7E50742439773F1F");
MODULE_INFO(rhelversion, "10.99");
