#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0x09c4efb0, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0xee3b99bd, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0xbf709776, "_gpl");
SYMBOL_CRC(ip_set_free, 0x9d0c3572, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0x3640125b, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0xd5e71e3d, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0x2dce79a2, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0x5b048aaf, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0x69802f2c, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0xecc111e0, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0xb1ea97d4, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0xb3085a9a, "_gpl");
SYMBOL_CRC(ip_set_test, 0x317f59b8, "_gpl");
SYMBOL_CRC(ip_set_add, 0x317f59b8, "_gpl");
SYMBOL_CRC(ip_set_del, 0x317f59b8, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0xb34e721a, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0xba4d5967, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0xe636f0e9, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0x4824b32c, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0xba4d5967, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0x8a1b0e4d, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0x38f50390, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0x38f50390, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0xd92fa579, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0xd92fa579, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x650d5b13, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb15f3f2, "__netlink_dump_start" },
	{ 0xc45d298e, "is_vmalloc_addr" },
	{ 0x71bdeedc, "try_module_get" },
	{ 0xa61fd7aa, "__check_object_size" },
	{ 0xdc352a3b, "__list_add_valid_or_report" },
	{ 0x5ef3b9f4, "skb_copy_bits" },
	{ 0x0f1185b8, "__nlmsg_put" },
	{ 0x76ceef55, "__kmalloc_noprof" },
	{ 0x809f63d8, "arch_spin_lock_wait" },
	{ 0x6ff74433, "nf_register_sockopt" },
	{ 0xd272d446, "__s390_indirect_jump_r13" },
	{ 0x775c42f9, "nla_put_64bit" },
	{ 0xd272d446, "__s390_indirect_jump_r3" },
	{ 0xfbe7861b, "memcpy" },
	{ 0xcb8b6ec6, "kfree" },
	{ 0xb5594ffa, "nfnetlink_subsys_register" },
	{ 0x747de4d9, "netlink_ack" },
	{ 0xe9e575b1, "register_pernet_subsys" },
	{ 0xa9849b09, "arch_write_lock_wait" },
	{ 0xe8213e80, "_printk" },
	{ 0x51905738, "do_trace_netlink_extack" },
	{ 0xeb13ffd8, "nf_unregister_sockopt" },
	{ 0xd272d446, "__s390_indirect_jump_r4" },
	{ 0xb4a21282, "ipv6_skip_exthdr" },
	{ 0x0746002e, "strnlen" },
	{ 0x77ce0d16, "__alloc_skb" },
	{ 0x79018d57, "module_put" },
	{ 0x999a5f5f, "sized_strscpy" },
	{ 0xd272d446, "__s390_indirect_jump_r6" },
	{ 0x7851be11, "__cond_resched" },
	{ 0xa9849b09, "arch_read_lock_wait" },
	{ 0xd272d446, "synchronize_rcu" },
	{ 0x96178613, "sk_skb_reason_drop" },
	{ 0xd7a59a65, "vmalloc_noprof" },
	{ 0x760fcb1a, "mutex_lock" },
	{ 0xa268c64e, "nfnetlink_unicast" },
	{ 0x5a4baedb, "strncmp" },
	{ 0xd272d446, "__s390_indirect_jump_r10" },
	{ 0x3500e6c8, "nla_put" },
	{ 0x4f1e5fd0, "__list_del_entry_valid_or_report" },
	{ 0xa3718a32, "ns_capable" },
	{ 0xfcc2e8f3, "__local_bh_enable_ip" },
	{ 0x03f3eeba, "nfnl_unlock" },
	{ 0xf521a19a, "__fortify_panic" },
	{ 0xe199f25f, "jiffies_to_msecs" },
	{ 0x33d65850, "unregister_pernet_subsys" },
	{ 0xd272d446, "__s390_indirect_jump_r14" },
	{ 0x5ff52f68, "nla_memcpy" },
	{ 0xb5594ffa, "nfnetlink_subsys_unregister" },
	{ 0x63517849, "skb_trim" },
	{ 0x058c185a, "jiffies" },
	{ 0xd272d446, "__s390_indirect_jump_r1" },
	{ 0xd272d446, "__s390_indirect_jump_r8" },
	{ 0xb9fcd065, "call_rcu" },
	{ 0xa4c0178c, "kvfree_call_rcu" },
	{ 0xf1de9e85, "vfree" },
	{ 0x03f3eeba, "nfnl_lock" },
	{ 0x760fcb1a, "mutex_unlock" },
	{ 0x23f25c0a, "__dynamic_pr_debug" },
	{ 0x544e22b5, "__kmalloc_cache_noprof" },
	{ 0x546c19d9, "validate_usercopy_range" },
	{ 0xd272d446, "__s390_indirect_jump_r5" },
	{ 0xd272d446, "__s390_indirect_jump_r11" },
	{ 0xd272d446, "rcu_barrier" },
	{ 0xa20c3799, "__nla_parse" },
	{ 0x9f5a41cc, "param_ops_int" },
	{ 0xf1de9e85, "kvfree" },
	{ 0xfc0126c0, "__kvmalloc_node_noprof" },
	{ 0x9dc59ece, "kmalloc_caches" },
	{ 0x37c0b5f3, "__request_module" },
	{ 0xd272d446, "synchronize_net" },
	{ 0xa7de3c76, "module_layout" },
};

static const u32 ____version_ext_crcs[]
__used __section("__version_ext_crcs") = {
	0xdb15f3f2,
	0xc45d298e,
	0x71bdeedc,
	0xa61fd7aa,
	0xdc352a3b,
	0x5ef3b9f4,
	0x0f1185b8,
	0x76ceef55,
	0x809f63d8,
	0x6ff74433,
	0xd272d446,
	0x775c42f9,
	0xd272d446,
	0xfbe7861b,
	0xcb8b6ec6,
	0xb5594ffa,
	0x747de4d9,
	0xe9e575b1,
	0xa9849b09,
	0xe8213e80,
	0x51905738,
	0xeb13ffd8,
	0xd272d446,
	0xb4a21282,
	0x0746002e,
	0x77ce0d16,
	0x79018d57,
	0x999a5f5f,
	0xd272d446,
	0x7851be11,
	0xa9849b09,
	0xd272d446,
	0x96178613,
	0xd7a59a65,
	0x760fcb1a,
	0xa268c64e,
	0x5a4baedb,
	0xd272d446,
	0x3500e6c8,
	0x4f1e5fd0,
	0xa3718a32,
	0xfcc2e8f3,
	0x03f3eeba,
	0xf521a19a,
	0xe199f25f,
	0x33d65850,
	0xd272d446,
	0x5ff52f68,
	0xb5594ffa,
	0x63517849,
	0x058c185a,
	0xd272d446,
	0xd272d446,
	0xb9fcd065,
	0xa4c0178c,
	0xf1de9e85,
	0x03f3eeba,
	0x760fcb1a,
	0x23f25c0a,
	0x544e22b5,
	0x546c19d9,
	0xd272d446,
	0xd272d446,
	0xd272d446,
	0xa20c3799,
	0x9f5a41cc,
	0xf1de9e85,
	0xfc0126c0,
	0x9dc59ece,
	0x37c0b5f3,
	0xd272d446,
	0xa7de3c76,
};
static const char ____version_ext_names[]
__used __section("__version_ext_names") =
	"__netlink_dump_start\0"
	"is_vmalloc_addr\0"
	"try_module_get\0"
	"__check_object_size\0"
	"__list_add_valid_or_report\0"
	"skb_copy_bits\0"
	"__nlmsg_put\0"
	"__kmalloc_noprof\0"
	"arch_spin_lock_wait\0"
	"nf_register_sockopt\0"
	"__s390_indirect_jump_r13\0"
	"nla_put_64bit\0"
	"__s390_indirect_jump_r3\0"
	"memcpy\0"
	"kfree\0"
	"nfnetlink_subsys_register\0"
	"netlink_ack\0"
	"register_pernet_subsys\0"
	"arch_write_lock_wait\0"
	"_printk\0"
	"do_trace_netlink_extack\0"
	"nf_unregister_sockopt\0"
	"__s390_indirect_jump_r4\0"
	"ipv6_skip_exthdr\0"
	"strnlen\0"
	"__alloc_skb\0"
	"module_put\0"
	"sized_strscpy\0"
	"__s390_indirect_jump_r6\0"
	"__cond_resched\0"
	"arch_read_lock_wait\0"
	"synchronize_rcu\0"
	"sk_skb_reason_drop\0"
	"vmalloc_noprof\0"
	"mutex_lock\0"
	"nfnetlink_unicast\0"
	"strncmp\0"
	"__s390_indirect_jump_r10\0"
	"nla_put\0"
	"__list_del_entry_valid_or_report\0"
	"ns_capable\0"
	"__local_bh_enable_ip\0"
	"nfnl_unlock\0"
	"__fortify_panic\0"
	"jiffies_to_msecs\0"
	"unregister_pernet_subsys\0"
	"__s390_indirect_jump_r14\0"
	"nla_memcpy\0"
	"nfnetlink_subsys_unregister\0"
	"skb_trim\0"
	"jiffies\0"
	"__s390_indirect_jump_r1\0"
	"__s390_indirect_jump_r8\0"
	"call_rcu\0"
	"kvfree_call_rcu\0"
	"vfree\0"
	"nfnl_lock\0"
	"mutex_unlock\0"
	"__dynamic_pr_debug\0"
	"__kmalloc_cache_noprof\0"
	"validate_usercopy_range\0"
	"__s390_indirect_jump_r5\0"
	"__s390_indirect_jump_r11\0"
	"rcu_barrier\0"
	"__nla_parse\0"
	"param_ops_int\0"
	"kvfree\0"
	"__kvmalloc_node_noprof\0"
	"kmalloc_caches\0"
	"__request_module\0"
	"synchronize_net\0"
	"module_layout\0"
;

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "645D6FB0F274B840E35279F");
MODULE_INFO(rhelversion, "10.99");
